/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/3d widget UIM/X integration file
 *
 *  SCCSID -- @(#)Xrt3d_cg.c	1.9    97/02/10 KL Group Inc.
 */

/******************************************************************************/
/*				Xrt3d_cg.c												      */
/******************************************************************************/

#include <stdio.h>
#include "utype.h"
#include "class_info.h"


#include <Xm/Xrt3d.h>
#include "Xrt3d_xtype.h"
#include "Xrt_restable.h"

static	RES_INFO	Xrt3d_res[size_xrt3dResNum];
static	RES_INFO	xrt3dText_res[size_xrt3dTextResNum];

static void
Xrt3d_cgdef_resource(table, res_info_table, n, m)
Xrt3dResourceDesc		*table;
RES_INFO				*res_info_table;
int 					n;
int 					m;
{
	RES_INFO	*pResInfo;

	pResInfo 				= &(res_info_table[m]);
	pResInfo->name 			= table[n].name;
	pResInfo->xt_name 		= table[n].xt_name;
	pResInfo->xt_name_def 	= table[n].xt_name_def;
	pResInfo->pass 			= (int) table[n].pass;
	pResInfo->xtype 		= table[n].type->xtype;	
	
	if (table[n].type->convert_flag == 1) {
		pResInfo->rt_conv = 1;
	}

	if (table[n].type->converter) {
		pResInfo->converter = table[n].type->converter;
	}
	
	if (table[n].type->datatype.type_3d == XRT3D_UX_CALLBACK) {
		pResInfo->callback = 1;
	}
}


Xrt3d_cg()
{

	int							n, n_res_used;
	static	WGT_CLASS_INFO		Xrt3d_class_info;
	static	WGT_CLASS_INFO		Xrt3dText_class_info;

	Xrt3d_init_resource_table();

	/*
	 *	Define resources and class info for Xrt3d
	 */

	n_res_used = 0;
	for (n = 0; n < num3d_res; n++) {
		if (xrt3d_res_table[n].used) {
			Xrt3d_cgdef_resource(xrt3d_res_table, Xrt3d_res, n, n_res_used);
			n_res_used++;
		}
	}

	
	Xrt3d_class_info.name = "Xrt3d";
	Xrt3d_class_info.filename = "Xrt3d";
	Xrt3d_class_info.supername = "primitive";
	Xrt3d_class_info.xt_name = "xtXrt3dWidgetClass";
	Xrt3d_class_info.xt_filename = "Xm/Xrt3d.h";
	Xrt3d_class_info.resources = Xrt3d_res;
	Xrt3d_class_info.num_resources = n_res_used;
	
	CgEnterWidgetClassInfo( &Xrt3d_class_info );

	/*
	 *	Define resources and class info for Xrt3dText
	 */

	n_res_used = 0;
	for (n = 0; n < num3dtext_res; n++) {
		if (xrt3dtext_res_table[n].used) {
			Xrt3d_cgdef_resource(xrt3dtext_res_table, xrt3dText_res,
								 n, n_res_used);
			n_res_used++;
		}
	}

	
	Xrt3dText_class_info.name = "Xrt3dText";
	Xrt3dText_class_info.filename = "Xrt3d"; /* use UxXrt3d.h - 06/19/95 jw */
	Xrt3dText_class_info.supername = "gadget";
	Xrt3dText_class_info.xt_name = "xtXrt3dTextObjectClass";
	Xrt3dText_class_info.xt_filename = "Xm/Xrt3d.h";
	Xrt3dText_class_info.resources = xrt3dText_res;
	Xrt3dText_class_info.num_resources = n_res_used;
	
	CgEnterWidgetClassInfo( &Xrt3dText_class_info );

}
