/* $AstecId: Xrt3d_menus.c,v 1.2 1998/01/05 03:28:37 aoyama Exp $ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/3d widget UIM/X integration file
 *
 *  SCCSID -- @(#)Xrt3d_menus.c	1.5    95/09/25 KL Group Inc.
 */

/******************************************************************************
				Xrt3d_menus.c
******************************************************************************/

#include <stdio.h>
#include <Xm/Xm.h>
#include "uxproto.h"
#include "cr_menu_ds.h"		/* definitions of message numbers MS_xxxx */

#include "UxCascB.h"
#include "UxRowCol.h"

swidget	UxAddToCreateMenu UXPROTO((swidget, 
								   char *, 
								   char *, 
								   Boolean, 
								   void (*)(), 
								   Class_t, 
								   void (*)() ));

extern Class_t UxC_Xrt3d;
extern Class_t UxC_Xrt3dText;

static swidget	create_xrt3d;
static swidget	create_xrt3d_rc;
static swidget	top_create_xrt3d;
static swidget	top_create_xrt3d_rc;


static void
Xrt3d_createmenu(casc_swgt, rowcol_swgt, popup)
swidget	casc_swgt;
swidget	rowcol_swgt;
int	popup;
{
	swidget child_casc;
	swidget child_rowcol;


	child_casc = UxCreateCascadeButton("3d_casc",rowcol_swgt);
	child_rowcol = UxCreateRowColumn("3d_rowcol",rowcol_swgt);
	if(popup){
		create_xrt3d = child_casc;
		create_xrt3d_rc = child_rowcol;
	}
	else{
		top_create_xrt3d = child_casc;
		top_create_xrt3d_rc = child_rowcol;
	}
	UxPutLabelString(child_casc, "XRT/3d");
	UxPutMnemonic(child_casc, "3");
	UxPutSubMenuId(child_casc, "3d_rowcol");
	UxPutRowColumnType(child_rowcol, "menu_pulldown");
	UxCreateWidget(child_rowcol);
	UxCreateWidget(child_casc);

	(void) UxAddToCreateMenu(child_rowcol,
							 "Xrt3d",
							 "3",
							 FALSE,
							 NULL,
							 UxC_Xrt3d,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "Xrt3dText",
							 "T",
							 FALSE,
							 NULL,
							 UxC_Xrt3dText,
							 NULL);
}

void Xrt3d_custmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	Xrt3d_createmenu(casc_swgt, rowcol_swgt, FALSE);
}

void Xrt3d_tcustmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	Xrt3d_createmenu(casc_swgt, rowcol_swgt, TRUE);
}
