/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *
 * $AstecId: UxXrt3d.hxx,v 1.6 2000/06/19 08:32:15 kosaka Exp $
 *  SCCSID -- @(#)UxXrt3d.hxx	1.8    99/01/29 KL Group Inc.
 */

/******************************************************************************
				UxXrt3d.hxx
******************************************************************************/

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrt3d : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrt3d(void);
	UXINLINE UxXrt3d(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrt3dAxisStrokeFont () const;
	UXINLINE void SetXrt3dAxisStrokeFont (const char *);

	UXINLINE short GetXrt3dAxisStrokeSize () const;
	UXINLINE void SetXrt3dAxisStrokeSize	(short);

	UXINLINE char * GetXrt3dAxisTitleStrokeFont () const;
	UXINLINE void SetXrt3dAxisTitleStrokeFont (const char *);

	UXINLINE short GetXrt3dAxisTitleStrokeSize () const;
	UXINLINE void SetXrt3dAxisTitleStrokeSize	(short);

	UXINLINE char * GetXrt3dBackgroundColor () const;
	UXINLINE void SetXrt3dBackgroundColor (const char *);

	UXINLINE char * GetXrt3dContourStyles () const;
	UXINLINE void SetXrt3dContourStyles (const char *);

	UXINLINE char * GetXrt3dDataAreaBackgroundColor () const;
	UXINLINE void SetXrt3dDataAreaBackgroundColor (const char *);

	UXINLINE char * GetXrt3dDebug () const;
	UXINLINE void SetXrt3dDebug (const char *);

	UXINLINE char * GetXrt3dDistnMethod () const;
	UXINLINE void SetXrt3dDistnMethod (const char *);

	UXINLINE char * GetXrt3dDistnTable () const;
	UXINLINE void SetXrt3dDistnTable (const char *);

	UXINLINE char * GetXrt3dDoubleBuffer () const;
	UXINLINE void SetXrt3dDoubleBuffer (const char *);

	UXINLINE char * GetXrt3dDrawContours () const;
	UXINLINE void SetXrt3dDrawContours (const char *);

	UXINLINE char * GetXrt3dDrawHiddenLines () const;
	UXINLINE void SetXrt3dDrawHiddenLines (const char *);

	UXINLINE char * GetXrt3dDrawMesh () const;
	UXINLINE void SetXrt3dDrawMesh (const char *);

	UXINLINE char * GetXrt3dDrawShaded () const;
	UXINLINE void SetXrt3dDrawShaded (const char *);

	UXINLINE char * GetXrt3dDrawZones () const;
	UXINLINE void SetXrt3dDrawZones (const char *);

	UXINLINE char * GetXrt3dFooterAdjust () const;
	UXINLINE void SetXrt3dFooterAdjust (const char *);

	UXINLINE char * GetXrt3dFooterBackgroundColor () const;
	UXINLINE void SetXrt3dFooterBackgroundColor (const char *);

	UXINLINE char * GetXrt3dFooterBorder () const;
	UXINLINE void SetXrt3dFooterBorder (const char *);

	UXINLINE short GetXrt3dFooterBorderWidth () const;
	UXINLINE void SetXrt3dFooterBorderWidth	(short);

	UXINLINE char * GetXrt3dFooterFont () const;
	UXINLINE void SetXrt3dFooterFont (const char *);

	UXINLINE char * GetXrt3dFooterForegroundColor () const;
	UXINLINE void SetXrt3dFooterForegroundColor (const char *);

	UXINLINE short GetXrt3dFooterHeight () const;
	UXINLINE void SetXrt3dFooterHeight	(short);

	UXINLINE char * GetXrt3dFooterStrings () const;
	UXINLINE void SetXrt3dFooterStrings (const char *);

	UXINLINE short GetXrt3dFooterWidth () const;
	UXINLINE void SetXrt3dFooterWidth	(short);

	UXINLINE short GetXrt3dFooterX () const;
	UXINLINE void SetXrt3dFooterX	(short);

	UXINLINE char * GetXrt3dFooterXUseDefault () const;
	UXINLINE void SetXrt3dFooterXUseDefault (const char *);

	UXINLINE short GetXrt3dFooterY () const;
	UXINLINE void SetXrt3dFooterY	(short);

	UXINLINE char * GetXrt3dFooterYUseDefault () const;
	UXINLINE void SetXrt3dFooterYUseDefault (const char *);

	UXINLINE char * GetXrt3dForegroundColor () const;
	UXINLINE void SetXrt3dForegroundColor (const char *);

	UXINLINE char * GetXrt3dGraphBackgroundColor () const;
	UXINLINE void SetXrt3dGraphBackgroundColor (const char *);

	UXINLINE char * GetXrt3dGraphBorder () const;
	UXINLINE void SetXrt3dGraphBorder (const char *);

	UXINLINE short GetXrt3dGraphBorderWidth () const;
	UXINLINE void SetXrt3dGraphBorderWidth	(short);

	UXINLINE char * GetXrt3dGraphForegroundColor () const;
	UXINLINE void SetXrt3dGraphForegroundColor (const char *);

	UXINLINE short GetXrt3dGraphHeight () const;
	UXINLINE void SetXrt3dGraphHeight	(short);

	UXINLINE char * GetXrt3dGraphHeightUseDefault () const;
	UXINLINE void SetXrt3dGraphHeightUseDefault (const char *);

	UXINLINE short GetXrt3dGraphWidth () const;
	UXINLINE void SetXrt3dGraphWidth	(short);

	UXINLINE char * GetXrt3dGraphWidthUseDefault () const;
	UXINLINE void SetXrt3dGraphWidthUseDefault (const char *);

	UXINLINE short GetXrt3dGraphX () const;
	UXINLINE void SetXrt3dGraphX	(short);

	UXINLINE char * GetXrt3dGraphXUseDefault () const;
	UXINLINE void SetXrt3dGraphXUseDefault (const char *);

	UXINLINE short GetXrt3dGraphY () const;
	UXINLINE void SetXrt3dGraphY	(short);

	UXINLINE char * GetXrt3dGraphYUseDefault () const;
	UXINLINE void SetXrt3dGraphYUseDefault (const char *);

	UXINLINE char * GetXrt3dHeaderAdjust () const;
	UXINLINE void SetXrt3dHeaderAdjust (const char *);

	UXINLINE char * GetXrt3dHeaderBackgroundColor () const;
	UXINLINE void SetXrt3dHeaderBackgroundColor (const char *);

	UXINLINE char * GetXrt3dHeaderBorder () const;
	UXINLINE void SetXrt3dHeaderBorder (const char *);

	UXINLINE short GetXrt3dHeaderBorderWidth () const;
	UXINLINE void SetXrt3dHeaderBorderWidth	(short);

	UXINLINE char * GetXrt3dHeaderFont () const;
	UXINLINE void SetXrt3dHeaderFont (const char *);

	UXINLINE char * GetXrt3dHeaderForegroundColor () const;
	UXINLINE void SetXrt3dHeaderForegroundColor (const char *);

	UXINLINE short GetXrt3dHeaderHeight () const;
	UXINLINE void SetXrt3dHeaderHeight	(short);

	UXINLINE char * GetXrt3dHeaderStrings () const;
	UXINLINE void SetXrt3dHeaderStrings (const char *);

	UXINLINE short GetXrt3dHeaderWidth () const;
	UXINLINE void SetXrt3dHeaderWidth	(short);

	UXINLINE short GetXrt3dHeaderX () const;
	UXINLINE void SetXrt3dHeaderX	(short);

	UXINLINE char * GetXrt3dHeaderXUseDefault () const;
	UXINLINE void SetXrt3dHeaderXUseDefault (const char *);

	UXINLINE short GetXrt3dHeaderY () const;
	UXINLINE void SetXrt3dHeaderY	(short);

	UXINLINE char * GetXrt3dHeaderYUseDefault () const;
	UXINLINE void SetXrt3dHeaderYUseDefault (const char *);

	UXINLINE char * GetXrt3dLegendAnchor () const;
	UXINLINE void SetXrt3dLegendAnchor (const char *);

	UXINLINE char * GetXrt3dLegendBackgroundColor () const;
	UXINLINE void SetXrt3dLegendBackgroundColor (const char *);

	UXINLINE char * GetXrt3dLegendBorder () const;
	UXINLINE void SetXrt3dLegendBorder (const char *);

	UXINLINE short GetXrt3dLegendBorderWidth () const;
	UXINLINE void SetXrt3dLegendBorderWidth	(short);

	UXINLINE char * GetXrt3dLegendFont () const;
	UXINLINE void SetXrt3dLegendFont (const char *);

	UXINLINE char * GetXrt3dLegendForegroundColor () const;
	UXINLINE void SetXrt3dLegendForegroundColor (const char *);

	UXINLINE short GetXrt3dLegendHeight () const;
	UXINLINE void SetXrt3dLegendHeight	(short);

//	UXINLINE (voidFunction) GetXrt3dLegendLabelFunc () const;
//	UXINLINE void SetXrt3dLegendLabelFunc (voidFunction);

	UXINLINE char * GetXrt3dLegendOrientation () const;
	UXINLINE void SetXrt3dLegendOrientation (const char *);

	UXINLINE char * GetXrt3dLegendShow () const;
	UXINLINE void SetXrt3dLegendShow (const char *);

	UXINLINE char * GetXrt3dLegendStrings () const;
	UXINLINE void SetXrt3dLegendStrings (const char *);

	UXINLINE char * GetXrt3dLegendStyle () const;
	UXINLINE void SetXrt3dLegendStyle (const char *);

	UXINLINE short GetXrt3dLegendWidth () const;
	UXINLINE void SetXrt3dLegendWidth	(short);

	UXINLINE short GetXrt3dLegendX () const;
	UXINLINE void SetXrt3dLegendX	(short);

	UXINLINE char * GetXrt3dLegendXUseDefault () const;
	UXINLINE void SetXrt3dLegendXUseDefault (const char *);

	UXINLINE short GetXrt3dLegendY () const;
	UXINLINE void SetXrt3dLegendY	(short);

	UXINLINE char * GetXrt3dLegendYUseDefault () const;
	UXINLINE void SetXrt3dLegendYUseDefault (const char *);

	UXINLINE char * GetXrt3dMeshBottomColor () const;
	UXINLINE void SetXrt3dMeshBottomColor (const char *);

	UXINLINE char * GetXrt3dMeshTopColor () const;
	UXINLINE void SetXrt3dMeshTopColor (const char *);

	UXINLINE int GetXrt3dNumDistnLevels () const;
	UXINLINE void SetXrt3dNumDistnLevels	(int);
//??
	UXINLINE double GetXrt3dPerspectiveDepth () const;
	UXINLINE void SetXrt3dPerspectiveDepth	(double);

	UXINLINE char * GetXrt3dPreviewMethod () const;
	UXINLINE void SetXrt3dPreviewMethod (const char *);

	UXINLINE char * GetXrt3dProjectZMax () const;
	UXINLINE void SetXrt3dProjectZMax (const char *);

	UXINLINE char * GetXrt3dProjectZMin () const;
	UXINLINE void SetXrt3dProjectZMin (const char *);

	UXINLINE char * GetXrt3dRepaint () const;
	UXINLINE void SetXrt3dRepaint (const char *);

	UXINLINE char * GetXrt3dSolidSurface () const;
	UXINLINE void SetXrt3dSolidSurface (const char *);

	UXINLINE char * GetXrt3dSurfaceBottomColor () const;
	UXINLINE void SetXrt3dSurfaceBottomColor (const char *);

	UXINLINE char * GetXrt3dSurfaceData () const;
	UXINLINE void SetXrt3dSurfaceData (const char *);

	UXINLINE char * GetXrt3dSurfaceTopColor () const;
	UXINLINE void SetXrt3dSurfaceTopColor (const char *);

	UXINLINE char * GetXrt3dTextList () const;
	UXINLINE void SetXrt3dTextList (const char *);

	UXINLINE char * GetXrt3dType () const;
	UXINLINE void SetXrt3dType (const char *);

	UXINLINE char * GetXrt3dViewNormalized () const;
	UXINLINE void SetXrt3dViewNormalized	(const char *);
//??
	UXINLINE double GetXrt3dViewScale () const;
	UXINLINE void SetXrt3dViewScale (double);
//??
	UXINLINE double GetXrt3dViewXTranslate () const;
	UXINLINE void SetXrt3dViewXTranslate (double);
//??
	UXINLINE double GetXrt3dViewYTranslate () const;
	UXINLINE void SetXrt3dViewYTranslate (double);

	UXINLINE char * GetXrt3dXAnnoMethod () const;
	UXINLINE void SetXrt3dXAnnoMethod (const char *);

	UXINLINE char * GetXrt3dXAxisShow () const;
	UXINLINE void SetXrt3dXAxisShow (const char *);

	UXINLINE char * GetXrt3dXAxisTitle () const;
	UXINLINE void SetXrt3dXAxisTitle (const char *);

	UXINLINE char * GetXrt3dXBarFormat () const;
	UXINLINE void SetXrt3dXBarFormat (const char *);
//??
	UXINLINE double GetXrt3dXBarSpacing () const;
	UXINLINE void SetXrt3dXBarSpacing (double);

	UXINLINE char * GetXrt3dXDataLabels () const;
	UXINLINE void SetXrt3dXDataLabels (const char *);

	UXINLINE char * GetXrt3dXGridLines () const;
	UXINLINE void SetXrt3dXGridLines (const char *);
//??
	UXINLINE double GetXrt3dXMax () const;
	UXINLINE void SetXrt3dXMax (double);

	UXINLINE char * GetXrt3dXMaxUseDefault () const;
	UXINLINE void SetXrt3dXMaxUseDefault (const char *);

	UXINLINE int GetXrt3dXMeshFilter () const;
	UXINLINE void SetXrt3dXMeshFilter	(int);

	UXINLINE char * GetXrt3dXMeshShow () const;
	UXINLINE void SetXrt3dXMeshShow (const char *);
//??
	UXINLINE double GetXrt3dXMin () const;
	UXINLINE void SetXrt3dXMin (double);

	UXINLINE char * GetXrt3dXMinUseDefault () const;
	UXINLINE void SetXrt3dXMinUseDefault (const char *);
//??
	UXINLINE double GetXrt3dXRotation () const;
	UXINLINE void SetXrt3dXRotation (double);
//??
	UXINLINE double GetXrt3dXScale () const;
	UXINLINE void SetXrt3dXScale (double);

	UXINLINE char * GetXrt3dXValueLabels () const;
	UXINLINE void SetXrt3dXValueLabels (const char *);

	UXINLINE char * GetXrt3dXYColors () const;
	UXINLINE void SetXrt3dXYColors (const char *);

	UXINLINE char * GetXrt3dYAnnoMethod () const;
	UXINLINE void SetXrt3dYAnnoMethod (const char *);

	UXINLINE char * GetXrt3dYAxisShow () const;
	UXINLINE void SetXrt3dYAxisShow (const char *);

	UXINLINE char * GetXrt3dYAxisTitle () const;
	UXINLINE void SetXrt3dYAxisTitle (const char *);

	UXINLINE char * GetXrt3dYBarFormat () const;
	UXINLINE void SetXrt3dYBarFormat (const char *);
//??
	UXINLINE double GetXrt3dYBarSpacing () const;
	UXINLINE void SetXrt3dYBarSpacing (double);

	UXINLINE char * GetXrt3dYDataLabels () const;
	UXINLINE void SetXrt3dYDataLabels (const char *);

	UXINLINE char * GetXrt3dYGridLines () const;
	UXINLINE void SetXrt3dYGridLines (const char *);
//??
	UXINLINE double GetXrt3dYMax () const;
	UXINLINE void SetXrt3dYMax (double);

	UXINLINE char * GetXrt3dYMaxUseDefault () const;
	UXINLINE void SetXrt3dYMaxUseDefault (const char *);

	UXINLINE int GetXrt3dYMeshFilter () const;
	UXINLINE void SetXrt3dYMeshFilter	(int);

	UXINLINE char * GetXrt3dYMeshShow () const;
	UXINLINE void SetXrt3dYMeshShow (const char *);
//??
	UXINLINE double GetXrt3dYMin () const;
	UXINLINE void SetXrt3dYMin (double);

	UXINLINE char * GetXrt3dYMinUseDefault () const;
	UXINLINE void SetXrt3dYMinUseDefault (const char *);
//??
	UXINLINE double GetXrt3dYRotation () const;
	UXINLINE void SetXrt3dYRotation (double);
//??
	UXINLINE double GetXrt3dYScale () const;
	UXINLINE void SetXrt3dYScale (double);

	UXINLINE char * GetXrt3dYValueLabels () const;
	UXINLINE void SetXrt3dYValueLabels (const char *);

	UXINLINE char * GetXrt3dZAnnoMethod () const;
	UXINLINE void SetXrt3dZAnnoMethod (const char *);

	UXINLINE char * GetXrt3dZAxisShow () const;
	UXINLINE void SetXrt3dZAxisShow (const char *);

	UXINLINE char * GetXrt3dZAxisTitle () const;
	UXINLINE void SetXrt3dZAxisTitle (const char *);

	UXINLINE char * GetXrt3dZGridLines () const;
	UXINLINE void SetXrt3dZGridLines (const char *);
//??
	UXINLINE double GetXrt3dZMax () const;
	UXINLINE void SetXrt3dZMax (double);

	UXINLINE char * GetXrt3dZMaxUseDefault () const;
	UXINLINE void SetXrt3dZMaxUseDefault (const char *);
//??
	UXINLINE double GetXrt3dZMin () const;
	UXINLINE void SetXrt3dZMin (double);

	UXINLINE char * GetXrt3dZMinUseDefault () const;
	UXINLINE void SetXrt3dZMinUseDefault (const char *);
//??
	UXINLINE double GetXrt3dZOrigin () const;
	UXINLINE void SetXrt3dZOrigin (double);
//??
	UXINLINE double GetXrt3dZRotation () const;
	UXINLINE void SetXrt3dZRotation (double);
//??
	UXINLINE double GetXrt3dZScale () const;
	UXINLINE void SetXrt3dZScale (double);

	UXINLINE char * GetXrt3dZValueLabels () const;
	UXINLINE void SetXrt3dZValueLabels (const char *);

	UXINLINE char * GetXrt3dZoneData () const;
	UXINLINE void SetXrt3dZoneData (const char *);

	UXINLINE char * GetXrt3dZoneMethod () const;
	UXINLINE void SetXrt3dZoneMethod (const char *);

//	UXINLINE voidFunction GetXrt3dColorFunc () const;
//	UXINLINE void SetXrt3dColorFunc(voidFunction)

	UXINLINE char * GetXrt3dDataStyles () const;
	UXINLINE void SetXrt3dDataStyles(const char *);

	UXINLINE char * GetXrt3dDataStylesUseDefault () const;
	UXINLINE void SetXrt3dDataStylesUseDefault(const char *);

	UXINLINE char * GetXrt3dDrawDropLines () const;
	UXINLINE void SetXrt3dDrawDropLines(const char *);

	UXINLINE char * GetXrt3dFooterImage () const;
	UXINLINE void SetXrt3dFooterImage(const char *);

	UXINLINE char * GetXrt3dFooterImageLayout () const;
	UXINLINE void SetXrt3dFooterImageLayout(const char *);

	UXINLINE char * GetXrt3dFooterImageMinimumSize () const;
	UXINLINE void SetXrt3dFooterImageMinimumSize(const char *);

	UXINLINE char * GetXrt3dGraphImage () const;
	UXINLINE void SetXrt3dGraphImage(const char *);

	UXINLINE char * GetXrt3dGraphImageLayout () const;
	UXINLINE void SetXrt3dGraphImageLayout(const char *);

	UXINLINE char * GetXrt3dHeaderImage () const;
	UXINLINE void SetXrt3dHeaderImage(const char *);

	UXINLINE char * GetXrt3dHeaderImageLayout () const;
	UXINLINE void SetXrt3dHeaderImageLayout(const char *);

	UXINLINE char * GetXrt3dHeaderImageMinimumSize () const;
	UXINLINE void SetXrt3dHeaderImageMinimumSize(const char *);

	UXINLINE char * GetXrt3dImage () const;
	UXINLINE void SetXrt3dImage(const char *);

	UXINLINE char * GetXrt3dImageLayout () const;
	UXINLINE void SetXrt3dImageLayout(const char *);

	UXINLINE char * GetXrt3dLegendDistnRange () const;
	UXINLINE void SetXrt3dLegendDistnRange(const char *);

	UXINLINE char * GetXrt3dLegendImage () const;
	UXINLINE void SetXrt3dLegendImage(const char *);

	UXINLINE char * GetXrt3dLegendImageLayout () const;
	UXINLINE void SetXrt3dLegendImageLayout(const char *);

	UXINLINE int GetXrt3dLegendLabelFilter () const;
	UXINLINE void SetXrt3dLegendLabelFilter(int);

	UXINLINE char * GetXrt3dLegendTitle () const;
	UXINLINE void SetXrt3dLegendTitle(const char *);

	UXINLINE char * GetXrt3dXGridLineStyle () const;
	UXINLINE void SetXrt3dXGridLineStyle(const char *);

	UXINLINE char * GetXrt3dXGridLineStyleUseDefault () const;
	UXINLINE void SetXrt3dXGridLineStyleUseDefault(const char *);

	UXINLINE char * GetXrt3dYGridLineStyle () const;
	UXINLINE void SetXrt3dYGridLineStyle(const char *);

	UXINLINE char * GetXrt3dYGridLineStyleUseDefault () const;
	UXINLINE void SetXrt3dYGridLineStyleUseDefault(const char *);

	UXINLINE char * GetXrt3dZGridLineStyle () const;
	UXINLINE void SetXrt3dZGridLineStyle(const char *);

	UXINLINE char * GetXrt3dZGridLineStyleUseDefault () const;
	UXINLINE void SetXrt3dZGridLineStyleUseDefault(const char *);
};

class UxXrt3dText : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrt3dText(void);
	UXINLINE UxXrt3dText(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrt3dTextAdjust () const;
	UXINLINE void SetXrt3dTextAdjust (const char *);

	UXINLINE int GetXrt3dTextAttachIndexX () const;
	UXINLINE void SetXrt3dTextAttachIndexX	(int);

	UXINLINE int GetXrt3dTextAttachIndexY () const;
	UXINLINE void SetXrt3dTextAttachIndexY	(int);

	UXINLINE char * GetXrt3dTextAttachMethod () const;
	UXINLINE void SetXrt3dTextAttachMethod (const char *);

	UXINLINE short GetXrt3dTextAttachPixelX () const;
	UXINLINE void SetXrt3dTextAttachPixelX	(short);

	UXINLINE short GetXrt3dTextAttachPixelY () const;
	UXINLINE void SetXrt3dTextAttachPixelY	(short);
//??
	UXINLINE double GetXrt3dTextAttachPointX () const;
	UXINLINE void SetXrt3dTextAttachPointX (double);
//??
	UXINLINE double GetXrt3dTextAttachPointY () const;
	UXINLINE void SetXrt3dTextAttachPointY (double);
//??
	UXINLINE double GetXrt3dTextAttachPointZ () const;
	UXINLINE void SetXrt3dTextAttachPointZ (double);

	UXINLINE char * GetXrt3dTextBackgroundColor () const;
	UXINLINE void SetXrt3dTextBackgroundColor (const char *);

	UXINLINE char * GetXrt3dTextBorder () const;
	UXINLINE void SetXrt3dTextBorder (const char *);

	UXINLINE short GetXrt3dTextBorderWidth () const;
	UXINLINE void SetXrt3dTextBorderWidth	(short);

	UXINLINE char * GetXrt3dTextFont () const;
	UXINLINE void SetXrt3dTextFont (const char *);

	UXINLINE char * GetXrt3dTextForegroundColor () const;
	UXINLINE void SetXrt3dTextForegroundColor (const char *);

	UXINLINE char * GetXrt3dTextLineShow () const;
	UXINLINE void SetXrt3dTextLineShow (const char *);

	UXINLINE short GetXrt3dTextOffsetX () const;
	UXINLINE void SetXrt3dTextOffsetX	(short);

	UXINLINE short GetXrt3dTextOffsetY () const;
	UXINLINE void SetXrt3dTextOffsetY	(short);

	UXINLINE char * GetXrt3dTextPrintFont () const;
	UXINLINE void SetXrt3dTextPrintFont (const char *);

	UXINLINE char * GetXrt3dTextPlane () const;
	UXINLINE void SetXrt3dTextPlane (const char *);

	UXINLINE char * GetXrt3dTextShow () const;
	UXINLINE void SetXrt3dTextShow (const char *);

	UXINLINE char * GetXrt3dTextStrings () const;
	UXINLINE void SetXrt3dTextStrings (const char *);

	UXINLINE char * GetXrt3dTextStrokeFont () const;
	UXINLINE void SetXrt3dTextStrokeFont (const char *);

	UXINLINE short GetXrt3dTextStrokeSize () const;
	UXINLINE void SetXrt3dTextStrokeSize	(short);

	UXINLINE int GetXrt3dTextAttachIndexPoint () const;
	UXINLINE void SetXrt3dTextAttachIndexPoint(int);

	UXINLINE int GetXrt3dTextAttachIndexSeries () const;
	UXINLINE void SetXrt3dTextAttachIndexSeries(int);

	UXINLINE char * GetXrt3dTextImage () const;
	UXINLINE void SetXrt3dTextImage(const char *);

	UXINLINE char * GetXrt3dTextImageLayout () const;
	UXINLINE void SetXrt3dTextImageLayout(const char *);

	UXINLINE char * GetXrt3dTextImageMinimumSize () const;
	UXINLINE void SetXrt3dTextImageMinimumSize(const char *);
};

#ifdef DESIGN_TIME

#define THREED_TABLE(x)	xrt3d_res_table[x].prpty, xrt3d_res_table[x].name
#define TXT3D_TABLE(x) xrt3dtext_res_table[x].prpty, xrt3dtext_res_table[x].name

extern Class_t UxC_Xrt3d;

extern Class_t UxC_Xrt3dText;

#else  /* (not DESIGN_TIME) */

// define macro to access properties of type double

extern "C" {
		XtArgVal UxGetXrt3dDoubleProp(swidget sw, char *res);
		double   UxXrt3dArgValToDouble(XtArgVal val);
		XtArgVal Xrt3dDoubleToArgVal(double val);
}

#define RT_3D_GET_DOUBLE(res) \
	UxXrt3dArgValToDouble(UxGetXrt3dDoubleProp(UxThis,res))
#define RT_3D_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)Xrt3dDoubleToArgVal((double)val))

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */


// Constructors
inline UxXrt3d::UxXrt3d(void){}
inline UxXrt3d::UxXrt3d(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrt3d::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xtXrt3dWidgetClass, parent);
	return UxThis;
}

inline char * UxXrt3d::GetXrt3dAxisStrokeFont (void) const
	{ return (char * ) DDGetProp(XtNxrt3dAxisStrokeFont);}
inline void UxXrt3d::SetXrt3dAxisStrokeFont (const char * val)
	{ DDSetProp(XtNxrt3dAxisStrokeFont, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dAxisStrokeSize (void) const
	{ return (short ) ShortGetProp(XtNxrt3dAxisStrokeSize);}
inline void UxXrt3d::SetXrt3dAxisStrokeSize	(short val)
	{ SetProp(XtNxrt3dAxisStrokeSize, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dAxisTitleStrokeFont (void) const
	{ return (char * ) DDGetProp(XtNxrt3dAxisTitleStrokeFont);}
inline void UxXrt3d::SetXrt3dAxisTitleStrokeFont (const char * val)
	{ DDSetProp(XtNxrt3dAxisTitleStrokeFont, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dAxisTitleStrokeSize (void) const
	{ return (short ) ShortGetProp(XtNxrt3dAxisTitleStrokeSize);}
inline void UxXrt3d::SetXrt3dAxisTitleStrokeSize	(short val)
	{ SetProp(XtNxrt3dAxisTitleStrokeSize, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dBackgroundColor);}
inline void UxXrt3d::SetXrt3dBackgroundColor (const char * val)
	{ SetProp(XtNxrt3dBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dContourStyles (void) const
	{ return (char * ) DDGetProp(XtNxrt3dContourStyles);}
inline void UxXrt3d::SetXrt3dContourStyles (const char * val)
	{ DDSetProp(XtNxrt3dContourStyles, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDataAreaBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dDataAreaBackgroundColor);}
inline void UxXrt3d::SetXrt3dDataAreaBackgroundColor (const char * val)
	{ SetProp(XtNxrt3dDataAreaBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDebug (void) const
	{ return (char * ) GetProp(XtNxrt3dDebug);}
inline void UxXrt3d::SetXrt3dDebug (const char * val)
	{ SetProp(XtNxrt3dDebug, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDistnMethod (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDistnMethod);}
inline void UxXrt3d::SetXrt3dDistnMethod (const char * val)
	{ DDSetProp(XtNxrt3dDistnMethod, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDistnTable (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDistnTable);}
inline void UxXrt3d::SetXrt3dDistnTable (const char * val)
	{ DDSetProp(XtNxrt3dDistnTable, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDoubleBuffer (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDoubleBuffer);}
inline void UxXrt3d::SetXrt3dDoubleBuffer (const char * val)
	{ DDSetProp(XtNxrt3dDoubleBuffer, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDrawContours (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDrawContours);}
inline void UxXrt3d::SetXrt3dDrawContours (const char * val)
	{ DDSetProp(XtNxrt3dDrawContours, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDrawHiddenLines (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDrawHiddenLines);}
inline void UxXrt3d::SetXrt3dDrawHiddenLines (const char * val)
	{ DDSetProp(XtNxrt3dDrawHiddenLines, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDrawMesh (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDrawMesh);}
inline void UxXrt3d::SetXrt3dDrawMesh (const char * val)
	{ DDSetProp(XtNxrt3dDrawMesh, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDrawShaded (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDrawShaded);}
inline void UxXrt3d::SetXrt3dDrawShaded (const char * val)
	{ DDSetProp(XtNxrt3dDrawShaded, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDrawZones (void) const
	{ return (char * ) DDGetProp(XtNxrt3dDrawZones);}
inline void UxXrt3d::SetXrt3dDrawZones (const char * val)
	{ DDSetProp(XtNxrt3dDrawZones, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterAdjust (void) const
	{ return (char * ) DDGetProp(XtNxrt3dFooterAdjust);}
inline void UxXrt3d::SetXrt3dFooterAdjust (const char * val)
	{ DDSetProp(XtNxrt3dFooterAdjust, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dFooterBackgroundColor);}
inline void UxXrt3d::SetXrt3dFooterBackgroundColor (const char * val)
	{ SetProp(XtNxrt3dFooterBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterBorder (void) const
	{ return (char * ) GetProp(XtNxrt3dFooterBorder);}
inline void UxXrt3d::SetXrt3dFooterBorder (const char * val)
	{ DDSetProp(XtNxrt3dFooterBorder, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dFooterBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dFooterBorderWidth);}
inline void UxXrt3d::SetXrt3dFooterBorderWidth	(short val)
	{ SetProp(XtNxrt3dFooterBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterFont (void) const
	{ return (char * ) DDGetProp(XtNxrt3dFooterFont);}
inline void UxXrt3d::SetXrt3dFooterFont (const char * val)
	{ DDSetProp(XtNxrt3dFooterFont, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dFooterForegroundColor);}
inline void UxXrt3d::SetXrt3dFooterForegroundColor (const char * val)
	{ SetProp(XtNxrt3dFooterForegroundColor, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dFooterHeight (void) const
	{ return (short ) ShortGetProp(XtNxrt3dFooterHeight);}
inline void UxXrt3d::SetXrt3dFooterHeight	(short val)
	{ SetProp(XtNxrt3dFooterHeight, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterStrings (void) const
	{ return (char * ) GetProp(XtNxrt3dFooterStrings);}
inline void UxXrt3d::SetXrt3dFooterStrings (const char * val)
	{ DDSetProp(XtNxrt3dFooterStrings, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dFooterWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dFooterWidth);}
inline void UxXrt3d::SetXrt3dFooterWidth	(short val)
	{ SetProp(XtNxrt3dFooterWidth, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dFooterX (void) const
	{ return (short ) ShortGetProp(XtNxrt3dFooterX);}
inline void UxXrt3d::SetXrt3dFooterX	(short val)
	{ SetProp(XtNxrt3dFooterX, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dFooterXUseDefault);}
inline void UxXrt3d::SetXrt3dFooterXUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dFooterXUseDefault, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dFooterY (void) const
	{ return (short ) ShortGetProp(XtNxrt3dFooterY);}
inline void UxXrt3d::SetXrt3dFooterY	(short val)
	{ SetProp(XtNxrt3dFooterY, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dFooterYUseDefault);}
inline void UxXrt3d::SetXrt3dFooterYUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dFooterYUseDefault, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dForegroundColor);}
inline void UxXrt3d::SetXrt3dForegroundColor (const char * val)
	{ SetProp(XtNxrt3dForegroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dGraphBackgroundColor);}
inline void UxXrt3d::SetXrt3dGraphBackgroundColor (const char * val)
	{ SetProp(XtNxrt3dGraphBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphBorder (void) const
	{ return (char * ) GetProp(XtNxrt3dGraphBorder);}
inline void UxXrt3d::SetXrt3dGraphBorder (const char * val)
	{ SetProp(XtNxrt3dGraphBorder, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dGraphBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dGraphBorderWidth);}
inline void UxXrt3d::SetXrt3dGraphBorderWidth	(short val)
	{ SetProp(XtNxrt3dGraphBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dGraphForegroundColor);}
inline void UxXrt3d::SetXrt3dGraphForegroundColor (const char * val)
	{ SetProp(XtNxrt3dGraphForegroundColor, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dGraphHeight (void) const
	{ return (short ) ShortGetProp(XtNxrt3dGraphHeight);}
inline void UxXrt3d::SetXrt3dGraphHeight	(short val)
	{ SetProp(XtNxrt3dGraphHeight, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphHeightUseDefault (void) const
	{ return (char *) GetProp(XtNxrt3dGraphHeightUseDefault);}
inline void UxXrt3d::SetXrt3dGraphHeightUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dGraphHeightUseDefault, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dGraphWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dGraphWidth);}
inline void UxXrt3d::SetXrt3dGraphWidth	(short val)
	{ SetProp(XtNxrt3dGraphWidth, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphWidthUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dGraphWidthUseDefault);}
inline void UxXrt3d::SetXrt3dGraphWidthUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dGraphWidthUseDefault, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dGraphX (void) const
	{ return (short ) ShortGetProp(XtNxrt3dGraphX);}
inline void UxXrt3d::SetXrt3dGraphX	(short val)
	{ SetProp(XtNxrt3dGraphX, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dGraphXUseDefault);}
inline void UxXrt3d::SetXrt3dGraphXUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dGraphXUseDefault, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dGraphY (void) const
	{ return (short ) ShortGetProp(XtNxrt3dGraphY);}
inline void UxXrt3d::SetXrt3dGraphY	(short val)
	{ SetProp(XtNxrt3dGraphY, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dGraphYUseDefault);}
inline void UxXrt3d::SetXrt3dGraphYUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dGraphYUseDefault, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderAdjust (void) const
	{ return (char * ) DDGetProp(XtNxrt3dHeaderAdjust);}
inline void UxXrt3d::SetXrt3dHeaderAdjust (const char * val)
	{ DDSetProp(XtNxrt3dHeaderAdjust, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dHeaderBackgroundColor);}
inline void UxXrt3d::SetXrt3dHeaderBackgroundColor (const char * val)
	{ SetProp(XtNxrt3dHeaderBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderBorder (void) const
	{ return (char * ) GetProp(XtNxrt3dHeaderBorder);}
inline void UxXrt3d::SetXrt3dHeaderBorder (const char * val)
	{ DDSetProp(XtNxrt3dHeaderBorder, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dHeaderBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dHeaderBorderWidth);}
inline void UxXrt3d::SetXrt3dHeaderBorderWidth	(short val)
	{ SetProp(XtNxrt3dHeaderBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderFont (void) const
	{ return (char * ) DDGetProp(XtNxrt3dHeaderFont);}
inline void UxXrt3d::SetXrt3dHeaderFont (const char * val)
	{ DDSetProp(XtNxrt3dHeaderFont, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dHeaderForegroundColor);}
inline void UxXrt3d::SetXrt3dHeaderForegroundColor (const char * val)
	{ SetProp(XtNxrt3dHeaderForegroundColor, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dHeaderHeight (void) const
	{ return (short ) ShortGetProp(XtNxrt3dHeaderHeight);}
inline void UxXrt3d::SetXrt3dHeaderHeight	(short val)
	{ SetProp(XtNxrt3dHeaderHeight, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderStrings (void) const
	{ return (char * ) GetProp(XtNxrt3dHeaderStrings);}
inline void UxXrt3d::SetXrt3dHeaderStrings (const char * val)
	{ DDSetProp(XtNxrt3dHeaderStrings, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dHeaderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dHeaderWidth);}
inline void UxXrt3d::SetXrt3dHeaderWidth	(short val)
	{ SetProp(XtNxrt3dHeaderWidth, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dHeaderX (void) const
	{ return (short ) ShortGetProp(XtNxrt3dHeaderX);}
inline void UxXrt3d::SetXrt3dHeaderX	(short val)
	{ SetProp(XtNxrt3dHeaderX, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dHeaderXUseDefault);}
inline void UxXrt3d::SetXrt3dHeaderXUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dHeaderXUseDefault, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dHeaderY (void) const
	{ return (short ) ShortGetProp(XtNxrt3dHeaderY);}
inline void UxXrt3d::SetXrt3dHeaderY	(short val)
	{ SetProp(XtNxrt3dHeaderY, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dHeaderYUseDefault);}
inline void UxXrt3d::SetXrt3dHeaderYUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dHeaderYUseDefault, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendAnchor (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendAnchor);}
inline void UxXrt3d::SetXrt3dLegendAnchor (const char * val)
	{ DDSetProp(XtNxrt3dLegendAnchor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dLegendBackgroundColor);}
inline void UxXrt3d::SetXrt3dLegendBackgroundColor (const char * val)
	{ SetProp(XtNxrt3dLegendBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendBorder (void) const
	{ return (char * ) GetProp(XtNxrt3dLegendBorder);}
inline void UxXrt3d::SetXrt3dLegendBorder (const char * val)
	{ DDSetProp(XtNxrt3dLegendBorder, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dLegendBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dLegendBorderWidth);}
inline void UxXrt3d::SetXrt3dLegendBorderWidth	(short val)
	{ SetProp(XtNxrt3dLegendBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendFont (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendFont);}
inline void UxXrt3d::SetXrt3dLegendFont (const char * val)
	{ DDSetProp(XtNxrt3dLegendFont, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dLegendForegroundColor);}
inline void UxXrt3d::SetXrt3dLegendForegroundColor (const char * val)
	{ SetProp(XtNxrt3dLegendForegroundColor, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dLegendHeight (void) const
	{ return (short ) ShortGetProp(XtNxrt3dLegendHeight);}
inline void UxXrt3d::SetXrt3dLegendHeight	(short val)
	{ SetProp(XtNxrt3dLegendHeight, ((XtArgVal)(val)));}

// inline voidFunction UxXrt3d::GetXrt3dLegendLabelFunc (void) const
// 	{ return (voidFunction)  GetProp(XtNxrt3dLegendLabelFunc);}
// inline void UxXrt3d::SetXrt3dLegendLabelFunc (voidFunction val)
// 	{ SetProp(XtNxrt3dLegendLabelFunc, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendOrientation (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendOrientation);}
inline void UxXrt3d::SetXrt3dLegendOrientation (const char * val)
	{ DDSetProp(XtNxrt3dLegendOrientation, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendShow (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendShow);}
inline void UxXrt3d::SetXrt3dLegendShow (const char * val)
	{ DDSetProp(XtNxrt3dLegendShow, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendStrings (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendStrings);}
inline void UxXrt3d::SetXrt3dLegendStrings (const char * val)
	{ DDSetProp(XtNxrt3dLegendStrings, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendStyle (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendStyle);}
inline void UxXrt3d::SetXrt3dLegendStyle (const char * val)
	{ DDSetProp(XtNxrt3dLegendStyle, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dLegendWidth (void) const
	{ return (short ) ShortGetProp(XtNxrt3dLegendWidth);}
inline void UxXrt3d::SetXrt3dLegendWidth	(short val)
	{ SetProp(XtNxrt3dLegendWidth, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dLegendX (void) const
	{ return (short ) ShortGetProp(XtNxrt3dLegendX);}
inline void UxXrt3d::SetXrt3dLegendX	(short val)
	{ SetProp(XtNxrt3dLegendX, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendXUseDefault);}
inline void UxXrt3d::SetXrt3dLegendXUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dLegendXUseDefault, ((XtArgVal)(val)));}

inline short UxXrt3d::GetXrt3dLegendY (void) const
	{ return (short ) ShortGetProp(XtNxrt3dLegendY);}
inline void UxXrt3d::SetXrt3dLegendY	(short val)
	{ SetProp(XtNxrt3dLegendY, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dLegendYUseDefault);}
inline void UxXrt3d::SetXrt3dLegendYUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dLegendYUseDefault, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dMeshBottomColor (void) const
	{ return (char * ) GetProp(XtNxrt3dMeshBottomColor);}
inline void UxXrt3d::SetXrt3dMeshBottomColor (const char * val)
	{ SetProp(XtNxrt3dMeshBottomColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dMeshTopColor (void) const
	{ return (char * ) GetProp(XtNxrt3dMeshTopColor);}
inline void UxXrt3d::SetXrt3dMeshTopColor (const char * val)
	{ SetProp(XtNxrt3dMeshTopColor, ((XtArgVal)(val)));}

inline int UxXrt3d::GetXrt3dNumDistnLevels (void) const
	{ return (int)IntGetProp(XtNxrt3dNumDistnLevels);}
inline void UxXrt3d::SetXrt3dNumDistnLevels	(int val)
	{ SetProp(XtNxrt3dNumDistnLevels, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dPerspectiveDepth (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dPerspectiveDepth);}
inline void UxXrt3d::SetXrt3dPerspectiveDepth (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dPerspectiveDepth,val);}

inline char * UxXrt3d::GetXrt3dPreviewMethod (void) const
	{ return (char * ) DDGetProp(XtNxrt3dPreviewMethod);}
inline void UxXrt3d::SetXrt3dPreviewMethod (const char * val)
	{ DDSetProp(XtNxrt3dPreviewMethod, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dProjectZMax (void) const
	{ return (char * ) GetProp(XtNxrt3dProjectZMax);}
inline void UxXrt3d::SetXrt3dProjectZMax (const char * val)
	{ SetProp(XtNxrt3dProjectZMax, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dProjectZMin (void) const
	{ return (char * ) DDGetProp(XtNxrt3dProjectZMin);}
inline void UxXrt3d::SetXrt3dProjectZMin (const char * val)
	{ DDSetProp(XtNxrt3dProjectZMin, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dRepaint (void) const
	{ return (char * ) DDGetProp(XtNxrt3dRepaint);}
inline void UxXrt3d::SetXrt3dRepaint (const char * val)
	{ DDSetProp(XtNxrt3dRepaint, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dSolidSurface (void) const
	{ return (char * ) DDGetProp(XtNxrt3dSolidSurface);}
inline void UxXrt3d::SetXrt3dSolidSurface (const char * val)
	{ DDSetProp(XtNxrt3dSolidSurface, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dSurfaceBottomColor (void) const
	{ return (char * ) GetProp(XtNxrt3dSurfaceBottomColor);}
inline void UxXrt3d::SetXrt3dSurfaceBottomColor (const char * val)
	{ SetProp(XtNxrt3dSurfaceBottomColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dSurfaceData (void) const
	{ return (char * ) GetProp(XtNxrt3dSurfaceData);}
inline void UxXrt3d::SetXrt3dSurfaceData (const char * val)
	{ DDSetProp(XtNxrt3dSurfaceData, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dSurfaceTopColor (void) const
	{ return (char * ) GetProp(XtNxrt3dSurfaceTopColor);}
inline void UxXrt3d::SetXrt3dSurfaceTopColor (const char * val)
	{ SetProp(XtNxrt3dSurfaceTopColor, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dTextList (void) const
	{ return (char * ) GetProp(XtNxrt3dTextList);}
inline void UxXrt3d::SetXrt3dTextList (const char * val)
	{ DDSetProp(XtNxrt3dTextList, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dType (void) const
	{ return (char * ) DDGetProp(XtNxrt3dType);}
inline void UxXrt3d::SetXrt3dType (const char * val)
	{ DDSetProp(XtNxrt3dType, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dViewNormalized (void) const
	{ return (char * ) DDGetProp(XtNxrt3dViewNormalized);}
inline void UxXrt3d::SetXrt3dViewNormalized	(const char * val)
	{ DDSetProp(XtNxrt3dViewNormalized, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dViewScale (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dViewScale);}
inline void UxXrt3d::SetXrt3dViewScale (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dViewScale,val);}
//??
inline double UxXrt3d::GetXrt3dViewXTranslate (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dViewXTranslate);}
inline void UxXrt3d::SetXrt3dViewXTranslate (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dViewXTranslate,val);}
//??
inline double UxXrt3d::GetXrt3dViewYTranslate (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dViewYTranslate);}
inline void UxXrt3d::SetXrt3dViewYTranslate (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dViewYTranslate,val);}

inline char * UxXrt3d::GetXrt3dXAnnoMethod (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXAnnoMethod);}
inline void UxXrt3d::SetXrt3dXAnnoMethod (const char * val)
	{ DDSetProp(XtNxrt3dXAnnoMethod, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXAxisShow (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXAxisShow);}
inline void UxXrt3d::SetXrt3dXAxisShow (const char * val)
	{ DDSetProp(XtNxrt3dXAxisShow, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXAxisTitle (void) const
	{ return (char * ) GetProp(XtNxrt3dXAxisTitle);}
inline void UxXrt3d::SetXrt3dXAxisTitle (const char * val)
	{ SetProp(XtNxrt3dXAxisTitle, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXBarFormat (void) const
	{ return (char * ) GetProp(XtNxrt3dXBarFormat);}
inline void UxXrt3d::SetXrt3dXBarFormat (const char * val)
	{ DDSetProp(XtNxrt3dXBarFormat, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dXBarSpacing (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dXBarSpacing);}
inline void UxXrt3d::SetXrt3dXBarSpacing (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dXBarSpacing,val);}

inline char * UxXrt3d::GetXrt3dXDataLabels (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXDataLabels);}
inline void UxXrt3d::SetXrt3dXDataLabels (const char * val)
	{ DDSetProp(XtNxrt3dXDataLabels, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXGridLines (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXGridLines);}
inline void UxXrt3d::SetXrt3dXGridLines (const char * val)
	{ DDSetProp(XtNxrt3dXGridLines, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dXMax (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dXMax);}
inline void UxXrt3d::SetXrt3dXMax (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dXMax,val);}

inline char * UxXrt3d::GetXrt3dXMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXMaxUseDefault);}
inline void UxXrt3d::SetXrt3dXMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dXMaxUseDefault, ((XtArgVal)(val)));}

inline int UxXrt3d::GetXrt3dXMeshFilter (void) const
	{ return (int)IntGetProp(XtNxrt3dXMeshFilter);}
inline void UxXrt3d::SetXrt3dXMeshFilter	(int val)
	{ SetProp(XtNxrt3dXMeshFilter, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXMeshShow (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXMeshShow);}
inline void UxXrt3d::SetXrt3dXMeshShow (const char * val)
	{ DDSetProp(XtNxrt3dXMeshShow, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dXMin (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dXMin);}
inline void UxXrt3d::SetXrt3dXMin (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dXMin,val);}

inline char * UxXrt3d::GetXrt3dXMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXMinUseDefault);}
inline void UxXrt3d::SetXrt3dXMinUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dXMinUseDefault, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dXRotation (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dXRotation);}
inline void UxXrt3d::SetXrt3dXRotation (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dXRotation,val);}
//??
inline double UxXrt3d::GetXrt3dXScale (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dXScale);}
inline void UxXrt3d::SetXrt3dXScale (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dXScale,val);}

inline char * UxXrt3d::GetXrt3dXValueLabels (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXValueLabels);}
inline void UxXrt3d::SetXrt3dXValueLabels (const char * val)
	{ DDSetProp(XtNxrt3dXValueLabels, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXYColors (void) const
	{ return (char * ) DDGetProp(XtNxrt3dXYColors);}
inline void UxXrt3d::SetXrt3dXYColors (const char * val)
	{ DDSetProp(XtNxrt3dXYColors, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYAnnoMethod (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYAnnoMethod);}
inline void UxXrt3d::SetXrt3dYAnnoMethod (const char * val)
	{ DDSetProp(XtNxrt3dYAnnoMethod, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYAxisShow (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYAxisShow);}
inline void UxXrt3d::SetXrt3dYAxisShow (const char * val)
	{ DDSetProp(XtNxrt3dYAxisShow, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYAxisTitle (void) const
	{ return (char * ) GetProp(XtNxrt3dYAxisTitle);}
inline void UxXrt3d::SetXrt3dYAxisTitle (const char * val)
	{ SetProp(XtNxrt3dYAxisTitle, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYBarFormat (void) const
	{ return (char * ) GetProp(XtNxrt3dYBarFormat);}
inline void UxXrt3d::SetXrt3dYBarFormat (const char * val)
	{ DDSetProp(XtNxrt3dYBarFormat, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dYBarSpacing (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dYBarSpacing);}
inline void UxXrt3d::SetXrt3dYBarSpacing (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dYBarSpacing,val);}

inline char * UxXrt3d::GetXrt3dYDataLabels (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYDataLabels);}
inline void UxXrt3d::SetXrt3dYDataLabels (const char * val)
	{ DDSetProp(XtNxrt3dYDataLabels, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYGridLines (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYGridLines);}
inline void UxXrt3d::SetXrt3dYGridLines (const char * val)
	{ DDSetProp(XtNxrt3dYGridLines, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dYMax (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dYMax);}
inline void UxXrt3d::SetXrt3dYMax (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dYMax,val);}

inline char * UxXrt3d::GetXrt3dYMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYMaxUseDefault);}
inline void UxXrt3d::SetXrt3dYMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dYMaxUseDefault, ((XtArgVal)(val)));}

inline int UxXrt3d::GetXrt3dYMeshFilter (void) const
	{ return (int)IntGetProp(XtNxrt3dYMeshFilter);}
inline void UxXrt3d::SetXrt3dYMeshFilter	(int val)
	{ SetProp(XtNxrt3dYMeshFilter, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYMeshShow (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYMeshShow);}
inline void UxXrt3d::SetXrt3dYMeshShow (const char * val)
	{ DDSetProp(XtNxrt3dYMeshShow, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dYMin (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dYMin);}
inline void UxXrt3d::SetXrt3dYMin (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dYMin,val);}

inline char * UxXrt3d::GetXrt3dYMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYMinUseDefault);}
inline void UxXrt3d::SetXrt3dYMinUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dYMinUseDefault, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dYRotation (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dYRotation);}
inline void UxXrt3d::SetXrt3dYRotation (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dYRotation,val);}
//??
inline double UxXrt3d::GetXrt3dYScale (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dYScale);}
inline void UxXrt3d::SetXrt3dYScale (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dYScale,val);}

inline char * UxXrt3d::GetXrt3dYValueLabels (void) const
	{ return (char * ) DDGetProp(XtNxrt3dYValueLabels);}
inline void UxXrt3d::SetXrt3dYValueLabels (const char * val)
	{ DDSetProp(XtNxrt3dYValueLabels, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZAnnoMethod (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZAnnoMethod);}
inline void UxXrt3d::SetXrt3dZAnnoMethod (const char * val)
	{ DDSetProp(XtNxrt3dZAnnoMethod, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZAxisShow (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZAxisShow);}
inline void UxXrt3d::SetXrt3dZAxisShow (const char * val)
	{ DDSetProp(XtNxrt3dZAxisShow, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZAxisTitle (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZAxisTitle);}
inline void UxXrt3d::SetXrt3dZAxisTitle (const char * val)
	{ DDSetProp(XtNxrt3dZAxisTitle, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZGridLines (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZGridLines);}
inline void UxXrt3d::SetXrt3dZGridLines (const char * val)
	{ DDSetProp(XtNxrt3dZGridLines, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dZMax (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dZMax);}
inline void UxXrt3d::SetXrt3dZMax (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dZMax,val);}

inline char * UxXrt3d::GetXrt3dZMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZMaxUseDefault);}
inline void UxXrt3d::SetXrt3dZMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dZMaxUseDefault, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dZMin (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dZMin);}
inline void UxXrt3d::SetXrt3dZMin (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dZMin,val);}

inline char * UxXrt3d::GetXrt3dZMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZMinUseDefault);}
inline void UxXrt3d::SetXrt3dZMinUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dZMinUseDefault, ((XtArgVal)(val)));}
//??
inline double UxXrt3d::GetXrt3dZOrigin (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dZOrigin);}
inline void UxXrt3d::SetXrt3dZOrigin (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dZOrigin,val);}
//??
inline double UxXrt3d::GetXrt3dZRotation (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dZRotation);}
inline void UxXrt3d::SetXrt3dZRotation (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dZRotation,val);}
//??
inline double UxXrt3d::GetXrt3dZScale (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dZScale);}
inline void UxXrt3d::SetXrt3dZScale (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dZScale,val);}

inline char * UxXrt3d::GetXrt3dZValueLabels (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZValueLabels);}
inline void UxXrt3d::SetXrt3dZValueLabels (const char * val)
	{ DDSetProp(XtNxrt3dZValueLabels, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZoneData (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZoneData);}
inline void UxXrt3d::SetXrt3dZoneData (const char * val)
	{ DDSetProp(XtNxrt3dZoneData, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZoneMethod (void) const
	{ return (char * ) DDGetProp(XtNxrt3dZoneMethod);}
inline void UxXrt3d::SetXrt3dZoneMethod (const char * val)
	{ DDSetProp(XtNxrt3dZoneMethod, ((XtArgVal)(val)));}

//inline voidFunction UxXrt3d::GetXrt3dColorFunc (void) const
//	{ return (voidFunction) GetProp(XtNxrt3dColorFunc);}
//inline void UxXrt3d::SetXrt3dColorFunc (const voidFunction val)
//	{ SetProp(XtNxrt3dColorFunc, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDataStyles (void) const
	{ return (char *) DDGetProp(XtNxrt3dDataStyles);}
inline void UxXrt3d::SetXrt3dDataStyles (const char * val)
	{ DDSetProp(XtNxrt3dDataStyles, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDataStylesUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrt3dDataStylesUseDefault);}
inline void UxXrt3d::SetXrt3dDataStylesUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dDataStylesUseDefault, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dDrawDropLines (void) const
	{ return (char *) DDGetProp(XtNxrt3dDrawDropLines);}
inline void UxXrt3d::SetXrt3dDrawDropLines (const char * val)
	{ DDSetProp(XtNxrt3dDrawDropLines, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterImage (void) const
	{ return (char *) DDGetProp(XtNxrt3dFooterImage);}
inline void UxXrt3d::SetXrt3dFooterImage (const char * val)
	{ DDSetProp(XtNxrt3dFooterImage, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrt3dFooterImageLayout);}
inline void UxXrt3d::SetXrt3dFooterImageLayout (const char * val)
	{ DDSetProp(XtNxrt3dFooterImageLayout, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dFooterImageMinimumSize (void) const
	{ return (char *) DDGetProp(XtNxrt3dFooterImageMinimumSize);}
inline void UxXrt3d::SetXrt3dFooterImageMinimumSize (const char * val)
	{ DDSetProp(XtNxrt3dFooterImageMinimumSize, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphImage (void) const
	{ return (char *) DDGetProp(XtNxrt3dGraphImage);}
inline void UxXrt3d::SetXrt3dGraphImage (const char * val)
	{ DDSetProp(XtNxrt3dGraphImage, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dGraphImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrt3dGraphImageLayout);}
inline void UxXrt3d::SetXrt3dGraphImageLayout (const char * val)
	{ DDSetProp(XtNxrt3dGraphImageLayout, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderImage (void) const
	{ return (char *) DDGetProp(XtNxrt3dHeaderImage);}
inline void UxXrt3d::SetXrt3dHeaderImage (const char * val)
	{ DDSetProp(XtNxrt3dHeaderImage, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrt3dHeaderImageLayout);}
inline void UxXrt3d::SetXrt3dHeaderImageLayout (const char * val)
	{ DDSetProp(XtNxrt3dHeaderImageLayout, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dHeaderImageMinimumSize (void) const
	{ return (char *) DDGetProp(XtNxrt3dHeaderImageMinimumSize);}
inline void UxXrt3d::SetXrt3dHeaderImageMinimumSize (const char * val)
	{ DDSetProp(XtNxrt3dHeaderImageMinimumSize, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dImage (void) const
	{ return (char *) DDGetProp(XtNxrt3dImage);}
inline void UxXrt3d::SetXrt3dImage (const char * val)
	{ DDSetProp(XtNxrt3dImage, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrt3dImageLayout);}
inline void UxXrt3d::SetXrt3dImageLayout (const char * val)
	{ DDSetProp(XtNxrt3dImageLayout, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendDistnRange (void) const
	{ return (char *) DDGetProp(XtNxrt3dLegendDistnRange);}
inline void UxXrt3d::SetXrt3dLegendDistnRange (const char * val)
	{ DDSetProp(XtNxrt3dLegendDistnRange, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendImage (void) const
	{ return (char *) DDGetProp(XtNxrt3dLegendImage);}
inline void UxXrt3d::SetXrt3dLegendImage (const char * val)
	{ DDSetProp(XtNxrt3dLegendImage, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrt3dLegendImageLayout);}
inline void UxXrt3d::SetXrt3dLegendImageLayout (const char * val)
	{ DDSetProp(XtNxrt3dLegendImageLayout, ((XtArgVal)(val)));}

inline int UxXrt3d::GetXrt3dLegendLabelFilter (void) const
	{ return (int)IntGetProp(XtNxrt3dLegendLabelFilter);}
inline void UxXrt3d::SetXrt3dLegendLabelFilter (int val)
	{ SetProp(XtNxrt3dLegendLabelFilter, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dLegendTitle (void) const
	{ return (char *) DDGetProp(XtNxrt3dLegendTitle);}
inline void UxXrt3d::SetXrt3dLegendTitle (const char * val)
	{ DDSetProp(XtNxrt3dLegendTitle, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXGridLineStyle (void) const
	{ return (char *) DDGetProp(XtNxrt3dXGridLineStyle);}
inline void UxXrt3d::SetXrt3dXGridLineStyle (const char * val)
	{ DDSetProp(XtNxrt3dXGridLineStyle, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dXGridLineStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrt3dXGridLineStyleUseDefault);}
inline void UxXrt3d::SetXrt3dXGridLineStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dXGridLineStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYGridLineStyle (void) const
	{ return (char *) DDGetProp(XtNxrt3dYGridLineStyle);}
inline void UxXrt3d::SetXrt3dYGridLineStyle (const char * val)
	{ DDSetProp(XtNxrt3dYGridLineStyle, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dYGridLineStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrt3dYGridLineStyleUseDefault);}
inline void UxXrt3d::SetXrt3dYGridLineStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dYGridLineStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZGridLineStyle (void) const
	{ return (char *) DDGetProp(XtNxrt3dZGridLineStyle);}
inline void UxXrt3d::SetXrt3dZGridLineStyle (const char * val)
	{ DDSetProp(XtNxrt3dZGridLineStyle, ((XtArgVal)(val)));}

inline char * UxXrt3d::GetXrt3dZGridLineStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrt3dZGridLineStyleUseDefault);}
inline void UxXrt3d::SetXrt3dZGridLineStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrt3dZGridLineStyleUseDefault, ((XtArgVal)(val)));}


// Constructors
inline UxXrt3dText::UxXrt3dText(void){}
inline UxXrt3dText::UxXrt3dText(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrt3dText::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xtXrt3dTextObjectClass, parent);
	return UxThis;
}

inline char * UxXrt3dText::GetXrt3dTextAdjust (void) const
	{ return (char * ) DDGetProp(XtNxrt3dTextAdjust);}
inline void UxXrt3dText::SetXrt3dTextAdjust (const char * val)
	{ DDSetProp(XtNxrt3dTextAdjust, ((XtArgVal)(val)));}

inline int UxXrt3dText::GetXrt3dTextAttachIndexX (void) const
	{ return (int)IntGetProp(XtNxrt3dTextAttachIndexX);}
inline void UxXrt3dText::SetXrt3dTextAttachIndexX	(int val)
	{ SetProp(XtNxrt3dTextAttachIndexX, ((XtArgVal)(val)));}

inline int UxXrt3dText::GetXrt3dTextAttachIndexY (void) const
	{ return (int)IntGetProp(XtNxrt3dTextAttachIndexY);}
inline void UxXrt3dText::SetXrt3dTextAttachIndexY	(int val)
	{ SetProp(XtNxrt3dTextAttachIndexY, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextAttachMethod (void) const
	{ return (char * ) DDGetProp(XtNxrt3dTextAttachMethod);}
inline void UxXrt3dText::SetXrt3dTextAttachMethod (const char * val)
	{ DDSetProp(XtNxrt3dTextAttachMethod, ((XtArgVal)(val)));}

inline short UxXrt3dText::GetXrt3dTextAttachPixelX (void) const
	{ return (short)ShortGetProp(XtNxrt3dTextAttachPixelX);}
inline void UxXrt3dText::SetXrt3dTextAttachPixelX	(short val)
	{ SetProp(XtNxrt3dTextAttachPixelX, ((XtArgVal)(val)));}

inline short UxXrt3dText::GetXrt3dTextAttachPixelY (void) const
	{ return (short)ShortGetProp(XtNxrt3dTextAttachPixelY);}
inline void UxXrt3dText::SetXrt3dTextAttachPixelY	(short val)
	{ SetProp(XtNxrt3dTextAttachPixelY, ((XtArgVal)(val)));}
//??
inline double UxXrt3dText::GetXrt3dTextAttachPointX (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dTextAttachPointX);}
inline void UxXrt3dText::SetXrt3dTextAttachPointX (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dTextAttachPointX,val);}
//??
inline double UxXrt3dText::GetXrt3dTextAttachPointY (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dTextAttachPointY);}
inline void UxXrt3dText::SetXrt3dTextAttachPointY (double val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dTextAttachPointY,val);}
//??
inline double UxXrt3dText::GetXrt3dTextAttachPointZ (void) const
	{ return RT_3D_GET_DOUBLE(XtNxrt3dTextAttachPointZ);}
inline void UxXrt3dText::SetXrt3dTextAttachPointZ (double  val)
	{ RT_3D_PUT_DOUBLE(XtNxrt3dTextAttachPointZ,val);}

inline char * UxXrt3dText::GetXrt3dTextBackgroundColor (void) const
	{ return (char * ) DDGetProp(XtNxrt3dTextBackgroundColor);}
inline void UxXrt3dText::SetXrt3dTextBackgroundColor (const char * val)
	{ DDSetProp(XtNxrt3dTextBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextBorder (void) const
	{ return (char * ) GetProp(XtNxrt3dTextBorder);}
inline void UxXrt3dText::SetXrt3dTextBorder (const char * val)
	{ DDSetProp(XtNxrt3dTextBorder, ((XtArgVal)(val)));}

inline short UxXrt3dText::GetXrt3dTextBorderWidth (void) const
	{ return (short)ShortGetProp(XtNxrt3dTextBorderWidth);}
inline void UxXrt3dText::SetXrt3dTextBorderWidth	(short val)
	{ SetProp(XtNxrt3dTextBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextFont (void) const
	{ return (char * ) DDGetProp(XtNxrt3dTextFont);}
inline void UxXrt3dText::SetXrt3dTextFont (const char * val)
	{ DDSetProp(XtNxrt3dTextFont, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrt3dTextForegroundColor);}
inline void UxXrt3dText::SetXrt3dTextForegroundColor (const char * val)
	{ SetProp(XtNxrt3dTextForegroundColor, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextLineShow (void) const
	{ return (char * ) GetProp(XtNxrt3dTextLineShow);}
inline void UxXrt3dText::SetXrt3dTextLineShow (const char * val)
	{ DDSetProp(XtNxrt3dTextLineShow, ((XtArgVal)(val)));}

inline short UxXrt3dText::GetXrt3dTextOffsetX (void) const
	{ return (short)ShortGetProp(XtNxrt3dTextOffsetX);}
inline void UxXrt3dText::SetXrt3dTextOffsetX	(short val)
	{ SetProp(XtNxrt3dTextOffsetX, ((XtArgVal)(val)));}

inline short UxXrt3dText::GetXrt3dTextOffsetY (void) const
	{ return (short)ShortGetProp(XtNxrt3dTextOffsetY);}
inline void UxXrt3dText::SetXrt3dTextOffsetY	(short val)
	{ SetProp(XtNxrt3dTextOffsetY, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextPrintFont (void) const
	{ return (char * ) GetProp(XtNxrt3dTextPrintFont);}
inline void UxXrt3dText::SetXrt3dTextPrintFont (const char * val)
	{ SetProp(XtNxrt3dTextPrintFont, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextPlane (void) const
	{ return (char * ) DDGetProp(XtNxrt3dTextPlane);}
inline void UxXrt3dText::SetXrt3dTextPlane (const char * val)
	{ DDSetProp(XtNxrt3dTextPlane, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextShow (void) const
	{ return (char * ) DDGetProp(XtNxrt3dTextShow);}
inline void UxXrt3dText::SetXrt3dTextShow (const char * val)
	{ DDSetProp(XtNxrt3dTextShow, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextStrings (void) const
	{ return (char *) DDGetProp(XtNxrt3dTextStrings);}
inline void UxXrt3dText::SetXrt3dTextStrings	(const char * val)
	{ DDSetProp(XtNxrt3dTextStrings, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextStrokeFont (void) const
	{ return (char * ) DDGetProp(XtNxrt3dTextStrokeFont);}
inline void UxXrt3dText::SetXrt3dTextStrokeFont (const char * val)
	{ DDSetProp(XtNxrt3dTextStrokeFont, ((XtArgVal)(val)));}

inline short UxXrt3dText::GetXrt3dTextStrokeSize (void) const
	{ return (short)ShortGetProp(XtNxrt3dTextStrokeSize);}
inline void UxXrt3dText::SetXrt3dTextStrokeSize	(short val)
	{ SetProp(XtNxrt3dTextStrokeSize, ((XtArgVal)(val)));}

inline int UxXrt3dText::GetXrt3dTextAttachIndexPoint (void) const
	{ return (int)IntGetProp(XtNxrt3dTextAttachIndexPoint);}
inline void UxXrt3dText::SetXrt3dTextAttachIndexPoint (int val)
	{ SetProp(XtNxrt3dTextAttachIndexPoint, ((XtArgVal)(val)));}

inline int UxXrt3dText::GetXrt3dTextAttachIndexSeries (void) const
	{ return (int)IntGetProp(XtNxrt3dTextAttachIndexSeries);}
inline void UxXrt3dText::SetXrt3dTextAttachIndexSeries (int val)
	{ SetProp(XtNxrt3dTextAttachIndexSeries, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextImage (void) const
	{ return (char *) DDGetProp(XtNxrt3dTextImage);}
inline void UxXrt3dText::SetXrt3dTextImage (const char * val)
	{ DDSetProp(XtNxrt3dTextImage, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrt3dTextImageLayout);}
inline void UxXrt3dText::SetXrt3dTextImageLayout (const char * val)
	{ DDSetProp(XtNxrt3dTextImageLayout, ((XtArgVal)(val)));}

inline char * UxXrt3dText::GetXrt3dTextImageMinimumSize (void) const
	{ return (char *) DDGetProp(XtNxrt3dTextImageMinimumSize);}
inline void UxXrt3dText::SetXrt3dTextImageMinimumSize (const char * val)
	{ DDSetProp(XtNxrt3dTextImageMinimumSize, ((XtArgVal)(val)));}

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#undef RT_3D_GET_DOUBLE
#undef RT_3D_PUT_DOUBLE

#endif /* DESIGN_TIME */
#endif /* __cplusplus */

