/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtComboBox.hxx,v 1.5 1999/10/13 11:49:10 nakayama Exp $
 *
 *  SCCSID -- @(#)UxXrtComboBox.hxx	1.6    98/11/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtComboBox : public UxXrtFldManager
{
    public:

	// Constructors
	UXINLINE UxXrtComboBox(void);
	UXINLINE UxXrtComboBox(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
//	UXINLINE char * GetXrtComboArrow () const;
//	UXINLINE void SetXrtComboArrow (const char *);
//
	UXINLINE char * GetXrtComboArrowClass () const;
	UXINLINE void SetXrtComboArrowClass (const char *);
//
//	UXINLINE char * GetXrtComboField () const;
//	UXINLINE void SetXrtComboField (const char *);
	/* pds */ 
	UXINLINE char * GetXrtComboArrowType () const;
	UXINLINE void SetXrtComboArrowType (const char *);

	UXINLINE char * GetXrtComboFieldClass () const;
	UXINLINE void SetXrtComboFieldClass (const char *);

	UXINLINE char * GetXrtComboFieldType () const;
	UXINLINE void SetXrtComboFieldType (const char *);
	/* pds */ 
	UXINLINE short GetXrtComboSpacing () const;
	UXINLINE void SetXrtComboSpacing (short);


};

#ifdef DESIGN_TIME

#define XRTCMBFLD_TABLE(x)	xrtfldcmb_res_table[x].prpty, xrtfldcmb_res_table[x].name

extern Class_t UxC_XrtComboBox;

#else  /* (not DESIGN_TIME) */

// Constructors
inline UxXrtComboBox::UxXrtComboBox(void){}
inline UxXrtComboBox::UxXrtComboBox(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtComboBox::CreateSwidget (const char* name,	swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtComboBoxWidgetClass, parent);
	return UxThis;
}

//inline char * UxXrtComboBox::GetXrtComboArrow (void) const
//	{ return (char * ) DDGetProp(XmNxrtComboArrow);}
//inline void UxXrtComboBox::SetXrtComboArrow (const char * val)
//	{ DDSetProp(XmNxrtComboArrow, ((XtArgVal)(val)));}
//
inline char * UxXrtComboBox::GetXrtComboArrowClass (void) const
	{ return (char * ) DDGetProp(XmNxrtComboArrowClass);}
inline void UxXrtComboBox::SetXrtComboArrowClass (const char * val)
	{ DDSetProp(XmNxrtComboArrowClass, ((XtArgVal)(val)));}
//
//inline char * UxXrtComboBox::GetXrtComboField (void) const
//	{ return (char * ) DDGetProp(XmNxrtComboField);}
//inline void UxXrtComboBox::SetXrtComboField (const char * val)
//	{ DDSetProp(XmNxrtComboField, ((XtArgVal)(val)));}
/* pds */ 
inline char * UxXrtComboBox::GetXrtComboArrowType (void) const
	{ return (char * ) DDGetProp(XmNxrtComboArrowType);}
inline void UxXrtComboBox::SetXrtComboArrowType (const char * val)
	{ DDSetProp(XmNxrtComboArrowType, ((XtArgVal)(val)));}

inline char * UxXrtComboBox::GetXrtComboFieldClass (void) const
	{ return (char * ) DDGetProp(XmNxrtComboFieldClass);}
inline void UxXrtComboBox::SetXrtComboFieldClass (const char * val)
	{ DDSetProp(XmNxrtComboFieldClass, ((XtArgVal)(val)));}

inline char * UxXrtComboBox::GetXrtComboFieldType (void) const
	{ return (char * ) DDGetProp(XmNxrtComboFieldType);}
inline void UxXrtComboBox::SetXrtComboFieldType (const char * val)
	{ DDSetProp(XmNxrtComboFieldType, ((XtArgVal)(val)));}
/* pds */ 	
inline short UxXrtComboBox::GetXrtComboSpacing (void) const
	{ return (short) ShortGetProp(XmNxrtComboSpacing);}
inline void UxXrtComboBox::SetXrtComboSpacing (short val)
	{ SetProp(XmNxrtComboSpacing, ((XtArgVal)(val)));}

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
