/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtField.h	1.8    98/11/05 KL Group Inc.
 */

/******************************************************************************
				UxXrtField.h
******************************************************************************/

#ifndef UXXRTFIELD_INCLUDED
#define UXXRTFIELD_INCLUDED

#include <Xm/XrtField.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxText.h"
#include "UxXrtField.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS


#define XRTFLD_TABLE(x)	xrtfld_res_table[x].prpty, xrtfld_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtFldAllowNull */
#ifndef UxGetXrtFldAllowNull
#define UxGetXrtFldAllowNull(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumAllowNull))
#endif
#ifndef UxPutXrtFldAllowNull
#define UxPutXrtFldAllowNull(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumAllowNull), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldCase */
#ifndef UxGetXrtFldCase
#define UxGetXrtFldCase(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumCase))
#endif
#ifndef UxPutXrtFldCase
#define UxPutXrtFldCase(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumCase), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldDefaultBackground */
#ifndef UxGetXrtFldDefaultBackground
#define UxGetXrtFldDefaultBackground(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumDefaultBackground))
#endif
#ifndef UxPutXrtFldDefaultBackground
#define UxPutXrtFldDefaultBackground(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumDefaultBackground), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldDefaultForeground */
#ifndef UxGetXrtFldDefaultForeground
#define UxGetXrtFldDefaultForeground(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumDefaultForeground))
#endif
#ifndef UxPutXrtFldDefaultForeground
#define UxPutXrtFldDefaultForeground(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumDefaultForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldDisplayFormat */
#ifndef UxGetXrtFldDisplayFormat
#define UxGetXrtFldDisplayFormat(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumDisplayFormat))
#endif
#ifndef UxPutXrtFldDisplayFormat
#define UxPutXrtFldDisplayFormat(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumDisplayFormat), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldDisplayHorizScrollBar */
#ifndef UxGetXrtFldDisplayHorizScrollBar
#define UxGetXrtFldDisplayHorizScrollBar(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumDisplayHorizScrollBar))
#endif
#ifndef UxPutXrtFldDisplayHorizScrollBar
#define UxPutXrtFldDisplayHorizScrollBar(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumDisplayHorizScrollBar), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldDisplayVertScrollBar */
#ifndef UxGetXrtFldDisplayVertScrollBar
#define UxGetXrtFldDisplayVertScrollBar(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumDisplayVertScrollBar))
#endif
#ifndef UxPutXrtFldDisplayVertScrollBar
#define UxPutXrtFldDisplayVertScrollBar(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumDisplayVertScrollBar), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldEditFormat */
#ifndef UxGetXrtFldEditFormat
#define UxGetXrtFldEditFormat(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumEditFormat))
#endif
#ifndef UxPutXrtFldEditFormat
#define UxPutXrtFldEditFormat(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumEditFormat), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldErrorBackground */
#ifndef UxGetXrtFldErrorBackground
#define UxGetXrtFldErrorBackground(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumErrorBackground))
#endif
#ifndef UxPutXrtFldErrorBackground
#define UxPutXrtFldErrorBackground(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumErrorBackground), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldErrorForeground */
#ifndef UxGetXrtFldErrorForeground
#define UxGetXrtFldErrorForeground(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumErrorForeground))
#endif
#ifndef UxPutXrtFldErrorForeground
#define UxPutXrtFldErrorForeground(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumErrorForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldErrorString */
#ifndef UxGetXrtFldErrorString
#define UxGetXrtFldErrorString(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumErrorString))
#endif
#ifndef UxPutXrtFldErrorString
#define UxPutXrtFldErrorString(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumErrorString), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldInvalidChars */
#ifndef UxGetXrtFldInvalidChars
#define UxGetXrtFldInvalidChars(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumInvalidChars))
#endif
#ifndef UxPutXrtFldInvalidChars
#define UxPutXrtFldInvalidChars(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumInvalidChars), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldIsDefault */
#ifndef UxGetXrtFldIsDefault
#define UxGetXrtFldIsDefault(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumIsDefault))
#endif
#ifndef UxPutXrtFldIsDefault
#define UxPutXrtFldIsDefault(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumIsDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldIsModified */
#ifndef UxGetXrtFldIsModified
#define UxGetXrtFldIsModified(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumIsModified))
#endif
#ifndef UxPutXrtFldIsModified
#define UxPutXrtFldIsModified(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumIsModified), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldIsValid */
#ifndef UxGetXrtFldIsValid
#define UxGetXrtFldIsValid(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumIsValid))
#endif
#ifndef UxPutXrtFldIsValid
#define UxPutXrtFldIsValid(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumIsValid), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldLastError */
#ifndef UxGetXrtFldLastError
#define UxGetXrtFldLastError(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumLastError))
#endif
#ifndef UxPutXrtFldLastError
#define UxPutXrtFldLastError(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumLastError), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMask */
#ifndef UxGetXrtFldMask
#define UxGetXrtFldMask(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumMask))
#endif
#ifndef UxPutXrtFldMask
#define UxPutXrtFldMask(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumMask), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMaskChars */
#ifndef UxGetXrtFldMaskChars
#define UxGetXrtFldMaskChars(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumMaskChars))
#endif
#ifndef UxPutXrtFldMaskChars
#define UxPutXrtFldMaskChars(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumMaskChars), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMatchMask */
#ifndef UxGetXrtFldMatchMask
#define UxGetXrtFldMatchMask(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumMatchMask))
#endif
#ifndef UxPutXrtFldMatchMask
#define UxPutXrtFldMatchMask(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumMatchMask), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMatchPickList */
#ifndef UxGetXrtFldMatchPickList
#define UxGetXrtFldMatchPickList(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumMatchPickList))
#endif
#ifndef UxPutXrtFldMatchPickList
#define UxPutXrtFldMatchPickList(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumMatchPickList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMaxLineLength */
#ifndef UxGetXrtFldMaxLineLength
#define UxGetXrtFldMaxLineLength(sw) \
	UxGET_int(sw, XRTFLD_TABLE(xrtFldResNumMaxLineLength))
#endif
#ifndef UxPutXrtFldMaxLineLength
#define UxPutXrtFldMaxLineLength(sw, val) \
	UxPUT_int(sw, XRTFLD_TABLE(xrtFldResNumMaxLineLength), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMaxLines */
#ifndef UxGetXrtFldMaxLines
#define UxGetXrtFldMaxLines(sw) \
	UxGET_int(sw, XRTFLD_TABLE(xrtFldResNumMaxLines))
#endif
#ifndef UxPutXrtFldMaxLines
#define UxPutXrtFldMaxLines(sw, val) \
	UxPUT_int(sw, XRTFLD_TABLE(xrtFldResNumMaxLines), val)
#endif

/* (pds) Design-Time UxGet and UxPut macros for xrtFldMenuAlignment */
#ifndef UxGetXrtFldMenuAlignment
#define UxGetXrtFldMenuAlignment(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumMenuAlignment))
#endif
#ifndef UxPutXrtFldMenuAlignment
#define UxPutXrtFldMenuAlignment(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumMenuAlignment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMenuList */
#ifndef UxGetXrtFldMenuList
#define UxGetXrtFldMenuList(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumMenuList))
#endif
#ifndef UxPutXrtFldMenuList
#define UxPutXrtFldMenuList(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumMenuList), val)
#endif


/* Design-Time UxGet and UxPut macros for xrtFldOverstrike */
#ifndef UxGetXrtFldOverstrike
#define UxGetXrtFldOverstrike(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumOverstrike))
#endif
#ifndef UxPutXrtFldOverstrike
#define UxPutXrtFldOverstrike(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumOverstrike), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldPickListIndex */
#ifndef UxGetXrtFldPickListIndex
#define UxGetXrtFldPickListIndex(sw) \
	UxGET_int(sw, XRTFLD_TABLE(xrtFldResNumPickListIndex))
#endif
#ifndef UxPutXrtFldPickListIndex
#define UxPutXrtFldPickListIndex(sw, val) \
	UxPUT_int(sw, XRTFLD_TABLE(xrtFldResNumPickListIndex), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldPromptString */
#ifndef UxGetXrtFldPromptString
#define UxGetXrtFldPromptString(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumPromptString))
#endif
#ifndef UxPutXrtFldPromptString
#define UxPutXrtFldPromptString(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumPromptString), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldRange */
#ifndef UxGetXrtFldRange
#define UxGetXrtFldRange(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumRange))
#endif
#ifndef UxPutXrtFldRange
#define UxPutXrtFldRange(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumRange), val)
#endif

/* (pds) Design-Time UxGet and UxPut macros for xrtFldSearchPolicy */
#ifndef UxGetXrtFldSearchPolicy
#define UxGetXrtFldSearchPolicy(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumSearchPolicy))
#endif
#ifndef UxPutXrtFldSearchPolicy
#define UxPutXrtFldSearchPolicy(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumSearchPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldValidChars */
#ifndef UxGetXrtFldValidChars
#define UxGetXrtFldValidChars(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumValidChars))
#endif
#ifndef UxPutXrtFldValidChars
#define UxPutXrtFldValidChars(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumValidChars), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldVisibleItemCount */
#ifndef UxGetXrtFldVisibleItemCount
#define UxGetXrtFldVisibleItemCount(sw) \
	UxGET_int(sw, XRTFLD_TABLE(xrtFldResNumVisibleItemCount))
#endif
#ifndef UxPutXrtFldVisibleItemCount
#define UxPutXrtFldVisibleItemCount(sw, val) \
	UxPUT_int(sw, XRTFLD_TABLE(xrtFldResNumVisibleItemCount), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtFldAutoComplete */
#ifndef UxGetXrtFldAutoComplete
#define UxGetXrtFldAutoComplete(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumAutoComplete))
#endif
#ifndef UxPutXrtFldAutoComplete
#define UxPutXrtFldAutoComplete(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumAutoComplete), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtFldCreatePopups */
#ifndef UxGetXrtFldCreatePopups
#define UxGetXrtFldCreatePopups(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumCreatePopups))
#endif
#ifndef UxPutXrtFldCreatePopups
#define UxPutXrtFldCreatePopups(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumCreatePopups), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtFldPopupType */
#ifndef UxGetXrtFldPopupType
#define UxGetXrtFldPopupType(sw) \
	UxGET_string(sw, XRTFLD_TABLE(xrtFldResNumPopupType))
#endif
#ifndef UxPutXrtFldPopupType
#define UxPutXrtFldPopupType(sw, val) \
	UxPUT_string(sw, XRTFLD_TABLE(xrtFldResNumPopupType), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtField;

/* Design-time create macro */
#ifndef UxCreateXrtField
#define UxCreateXrtField(name, parent) \
	UxCreateSwidget(UxC_XrtField, name, parent)
#endif

#else /* Not DESIGN_TIME */

#ifndef UxGetXrtFldAllowNull
#define UxGetXrtFldAllowNull(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldAllowNull)
#endif
#ifndef UxPutXrtFldAllowNull
#define UxPutXrtFldAllowNull(sw, val) \
	UxDDPutProp(sw, XmNxrtFldAllowNull, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldCase
#define UxGetXrtFldCase(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldCase)
#endif
#ifndef UxPutXrtFldCase
#define UxPutXrtFldCase(sw, val) \
	UxDDPutProp(sw, XmNxrtFldCase, (XtArgVal)(val))
#endif

/* There are no macros for Callback UxGetXrtFldCompleteCallback */

/* There are no macros for Callback UxGetXrtFldConvertCallback */

#ifndef UxGetXrtFldDefaultBackground
#define UxGetXrtFldDefaultBackground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldDefaultBackground)
#endif
#ifndef UxPutXrtFldDefaultBackground
#define UxPutXrtFldDefaultBackground(sw, val) \
	UxDDPutProp(sw, XmNxrtFldDefaultBackground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldDefaultForeground
#define UxGetXrtFldDefaultForeground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldDefaultForeground)
#endif
#ifndef UxPutXrtFldDefaultForeground
#define UxPutXrtFldDefaultForeground(sw, val) \
	UxDDPutProp(sw, XmNxrtFldDefaultForeground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldDisplayFormat
#define UxGetXrtFldDisplayFormat(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldDisplayFormat)
#endif
#ifndef UxPutXrtFldDisplayFormat
#define UxPutXrtFldDisplayFormat(sw, val) \
	UxDDPutProp(sw, XmNxrtFldDisplayFormat, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldDisplayHorizScrollBar
#define UxGetXrtFldDisplayHorizScrollBar(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldDisplayHorizScrollBar)
#endif
#ifndef UxPutXrtFldDisplayHorizScrollBar
#define UxPutXrtFldDisplayHorizScrollBar(sw, val) \
	UxDDPutProp(sw, XmNxrtFldDisplayHorizScrollBar, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldDisplayVertScrollBar
#define UxGetXrtFldDisplayVertScrollBar(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldDisplayVertScrollBar)
#endif
#ifndef UxPutXrtFldDisplayVertScrollBar
#define UxPutXrtFldDisplayVertScrollBar(sw, val) \
	UxDDPutProp(sw, XmNxrtFldDisplayVertScrollBar, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldEditFormat
#define UxGetXrtFldEditFormat(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldEditFormat)
#endif
#ifndef UxPutXrtFldEditFormat
#define UxPutXrtFldEditFormat(sw, val) \
	UxDDPutProp(sw, XmNxrtFldEditFormat, (XtArgVal)(val))
#endif

/* There are no macros for Callback UxGetXrtFldEnterCallback */

#ifndef UxGetXrtFldErrorBackground
#define UxGetXrtFldErrorBackground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldErrorBackground)
#endif
#ifndef UxPutXrtFldErrorBackground
#define UxPutXrtFldErrorBackground(sw, val) \
	UxDDPutProp(sw, XmNxrtFldErrorBackground, (XtArgVal)(val))
#endif

/* There are no macros for Callback UxGetXrtFldErrorCallback */

#ifndef UxGetXrtFldErrorForeground
#define UxGetXrtFldErrorForeground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldErrorForeground)
#endif
#ifndef UxPutXrtFldErrorForeground
#define UxPutXrtFldErrorForeground(sw, val) \
	UxDDPutProp(sw, XmNxrtFldErrorForeground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldErrorString
#define UxGetXrtFldErrorString(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldErrorString)
#endif
#ifndef UxPutXrtFldErrorString
#define UxPutXrtFldErrorString(sw, val) \
	UxDDPutProp(sw, XmNxrtFldErrorString, (XtArgVal)(val))
#endif

/* There are no macros for Callback UxGetXrtFldExitCallback */

#ifndef UxGetXrtFldInvalidChars
#define UxGetXrtFldInvalidChars(sw) \
	(char *) UxGetProp(sw, XmNxrtFldInvalidChars)
#endif
#ifndef UxPutXrtFldInvalidChars
#define UxPutXrtFldInvalidChars(sw, val) \
	UxPutProp(sw, XmNxrtFldInvalidChars, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldIsDefault
#define UxGetXrtFldIsDefault(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldIsDefault)
#endif
#ifndef UxPutXrtFldIsDefault
#define UxPutXrtFldIsDefault(sw, val) \
	UxDDPutProp(sw, XmNxrtFldIsDefault, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldIsModified
#define UxGetXrtFldIsModified(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldIsModified)
#endif
#ifndef UxPutXrtFldIsModified
#define UxPutXrtFldIsModified(sw, val) \
	UxDDPutProp(sw, XmNxrtFldIsModified, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldIsValid
#define UxGetXrtFldIsValid(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldIsValid)
#endif
#ifndef UxPutXrtFldIsValid
#define UxPutXrtFldIsValid(sw, val) \
	UxDDPutProp(sw, XmNxrtFldIsValid, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldLastError
#define UxGetXrtFldLastError(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldLastError)
#endif
#ifndef UxPutXrtFldLastError
#define UxPutXrtFldLastError(sw, val) \
	UxDDPutProp(sw, XmNxrtFldLastError, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldMask
#define UxGetXrtFldMask(sw) \
	(char *) UxGetProp(sw, XmNxrtFldMask)
#endif
#ifndef UxPutXrtFldMask
#define UxPutXrtFldMask(sw, val) \
	UxPutProp(sw, XmNxrtFldMask, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldMaskChars
#define UxGetXrtFldMaskChars(sw) \
	(char *) UxGetProp(sw, XmNxrtFldMaskChars)
#endif
#ifndef UxPutXrtFldMaskChars
#define UxPutXrtFldMaskChars(sw, val) \
	UxPutProp(sw, XmNxrtFldMaskChars, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldMatchMask
#define UxGetXrtFldMatchMask(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldMatchMask)
#endif
#ifndef UxPutXrtFldMatchMask
#define UxPutXrtFldMatchMask(sw, val) \
	UxDDPutProp(sw, XmNxrtFldMatchMask, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldMatchPickList
#define UxGetXrtFldMatchPickList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldMatchPickList)
#endif
#ifndef UxPutXrtFldMatchPickList
#define UxPutXrtFldMatchPickList(sw, val) \
	UxDDPutProp(sw, XmNxrtFldMatchPickList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldMaxLineLength
#define UxGetXrtFldMaxLineLength(sw) \
	(int)UxIntGetProp(sw, XmNxrtFldMaxLineLength)
#endif
#ifndef UxPutXrtFldMaxLineLength
#define UxPutXrtFldMaxLineLength(sw, val) \
	UxPutProp(sw, XmNxrtFldMaxLineLength, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldMaxLines
#define UxGetXrtFldMaxLines(sw) \
	(int)UxIntGetProp(sw, XmNxrtFldMaxLines)
#endif
#ifndef UxPutXrtFldMaxLines
#define UxPutXrtFldMaxLines(sw, val) \
	UxPutProp(sw, XmNxrtFldMaxLines, (XtArgVal)(val))
#endif
/* pds */ 
#ifndef UxGetXrtFldMenuAlignment
#define UxGetXrtFldMenuAlignment(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldMenuAlignment)
#endif
#ifndef UxPutXrtFldMenuAlignment
#define UxPutXrtFldMenuAlignment(sw, val) \
	UxDDPutProp(sw, XmNxrtFldMenuAlignment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldMenuList
#define UxGetXrtFldMenuList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldMenuList)
#endif
#ifndef UxPutXrtFldMenuList
#define UxPutXrtFldMenuList(sw, val) \
	UxDDPutProp(sw, XmNxrtFldMenuList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldOverstrike
#define UxGetXrtFldOverstrike(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldOverstrike)
#endif
#ifndef UxPutXrtFldOverstrike
#define UxPutXrtFldOverstrike(sw, val) \
	UxDDPutProp(sw, XmNxrtFldOverstrike, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldPickListIndex
#define UxGetXrtFldPickListIndex(sw) \
	(int)UxIntGetProp(sw, XmNxrtFldPickListIndex)
#endif
#ifndef UxPutXrtFldPickListIndex
#define UxPutXrtFldPickListIndex(sw, val) \
	UxPutProp(sw, XmNxrtFldPickListIndex, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldPromptString
#define UxGetXrtFldPromptString(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldPromptString)
#endif
#ifndef UxPutXrtFldPromptString
#define UxPutXrtFldPromptString(sw, val) \
	UxDDPutProp(sw, XmNxrtFldPromptString, (XtArgVal)(val))
#endif
/* pds */ 
#ifndef UxGetXrtFldSearchPolicy
#define UxGetXrtFldSearchPolicy(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldSearchPolicy)
#endif
#ifndef UxPutXrtFldSearchPolicy
#define UxPutXrtFldSearchPolicy(sw, val) \
	UxDDPutProp(sw, XmNxrtFldSearchPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldRange
#define UxGetXrtFldRange(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldRange)
#endif
#ifndef UxPutXrtFldRange
#define UxPutXrtFldRange(sw, val) \
	UxDDPutProp(sw, XmNxrtFldRange, (XtArgVal)(val))
#endif

/* There are no macros for Callback UxGetXrtFldSpinCallback */

#ifndef UxGetXrtFldValidChars
#define UxGetXrtFldValidChars(sw) \
	(char *) UxGetProp(sw, XmNxrtFldValidChars)
#endif
#ifndef UxPutXrtFldValidChars
#define UxPutXrtFldValidChars(sw, val) \
	UxPutProp(sw, XmNxrtFldValidChars, (XtArgVal)(val))
#endif

/* There are no macros for Callback UxGetXrtFldValidateCallback */

#ifndef UxGetXrtFldVisibleItemCount
#define UxGetXrtFldVisibleItemCount(sw) \
	(int)UxIntGetProp(sw, XmNxrtFldVisibleItemCount)
#endif
#ifndef UxPutXrtFldVisibleItemCount
#define UxPutXrtFldVisibleItemCount(sw, val) \
	UxPutProp(sw, XmNxrtFldVisibleItemCount, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldAutoComplete
#define UxGetXrtFldAutoComplete(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldAutoComplete)
#endif
#ifndef UxPutXrtFldAutoComplete
#define UxPutXrtFldAutoComplete(sw, val) \
	UxDDPutProp(sw, XmNxrtFldAutoComplete, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldCreatePopups
#define UxGetXrtFldCreatePopups(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldCreatePopups)
#endif
#ifndef UxPutXrtFldCreatePopups
#define UxPutXrtFldCreatePopups(sw, val) \
	UxDDPutProp(sw, XmNxrtFldCreatePopups, (XtArgVal)(val))
#endif

#ifndef UxGetXrtFldPopupType
#define UxGetXrtFldPopupType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldPopupType)
#endif
#ifndef UxPutXrtFldPopupType
#define UxPutXrtFldPopupType(sw, val) \
	UxDDPutProp(sw, XmNxrtFldPopupType, (XtArgVal)(val))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtField
#define UxCreateXrtField(name, parent) \
	UxCreateSwidget(name, xmXrtFieldWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UxXRTFIELD_INCLUDED */

/***END*OF*FILE****************************************************************/
