/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtFldManager.hxx,v 1.3 1998/10/12 02:25:27 yamato Exp $
 *
 *  SCCSID -- @(#)UxXrtFldManager.hxx	1.2    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtFldManager : public UxManager
{
    public:

	// Constructors
	UXINLINE UxXrtFldManager(void);
	UXINLINE UxXrtFldManager(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

};

#ifdef DESIGN_TIME

extern Class_t UxC_XrtFldManager;

#else /* not DESIGN_TIME */

// Constructors
inline UxXrtFldManager::UxXrtFldManager(void){}
inline UxXrtFldManager::UxXrtFldManager(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}
	
// Initialisation
inline swidget
UxXrtFldManager::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtFldManagerWidgetClass, parent);
	return UxThis;
}

#endif /* DESIGN_TIME */
#endif /* __cplusplus */

