/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtGLabel.hxx,v 1.3 1998/10/12 02:25:28 yamato Exp $
 *
 *  SCCSID -- @(#)UxXrtGLabel.hxx	1.4    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGLabel : public UxLabel
{
    public:

	// Constructors
	UXINLINE UxXrtGLabel(void);
	UXINLINE UxXrtGLabel(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrtGearBorderType_GLbl () const;
	UXINLINE void SetXrtGearBorderType_GLbl (const char *);

	UXINLINE char * GetXrtGearLabelPixmap_GLbl () const;
	UXINLINE void SetXrtGearLabelPixmap_GLbl (const char *);

	UXINLINE char * GetXrtGearLabelType_GLbl () const;
	UXINLINE void SetXrtGearLabelType_GLbl (const char *);

	UXINLINE short GetXrtGearLayoutSpacing_GLbl () const;
	UXINLINE void SetXrtGearLayoutSpacing_GLbl (short);

	UXINLINE char * GetXrtGearMask_GLbl () const;
	UXINLINE void SetXrtGearMask_GLbl (const char *);

	UXINLINE char * GetXrtGearPixmapRotation_GLbl () const;
	UXINLINE void SetXrtGearPixmapRotation_GLbl (const char *);

	UXINLINE char * GetXrtGearStringLayout_GLbl () const;
	UXINLINE void SetXrtGearStringLayout_GLbl (const char *);

	UXINLINE char * GetXrtGearStringRotation_GLbl () const;
	UXINLINE void SetXrtGearStringRotation_GLbl (const char *);
};

#ifdef DESIGN_TIME

#define XRTGEAR_GLBL_TABLE(x)	xrtGLbl_res_table[x].prpty, xrtGLbl_res_table[x].name

extern Class_t UxC_XrtGLabel;

#else /* (not DESIGN_TIME) */

// Constructors
inline UxXrtGLabel::UxXrtGLabel(void){}
inline UxXrtGLabel::UxXrtGLabel(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtGLabel::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGLabelWidgetClass, parent);
	return UxThis;
}

inline char * UxXrtGLabel::GetXrtGearBorderType_GLbl (void) const
	{ return (char * ) DDGetProp(XmNxrtGearBorderType);}
inline void UxXrtGLabel::SetXrtGearBorderType_GLbl (const char * val)
	{ DDSetProp(XmNxrtGearBorderType, ((XtArgVal)(val)));}

inline char * UxXrtGLabel::GetXrtGearLabelPixmap_GLbl (void) const
	{ return (char * ) DDGetProp(XmNxrtGearLabelPixmap);}
inline void UxXrtGLabel::SetXrtGearLabelPixmap_GLbl (const char * val)
	{ DDSetProp(XmNxrtGearLabelPixmap, ((XtArgVal)(val)));}

inline char * UxXrtGLabel::GetXrtGearLabelType_GLbl (void) const
	{ return (char * ) DDGetProp(XmNxrtGearLabelType);}
inline void UxXrtGLabel::SetXrtGearLabelType_GLbl (const char * val)
	{ DDSetProp(XmNxrtGearLabelType, ((XtArgVal)(val)));}

inline short UxXrtGLabel::GetXrtGearLayoutSpacing_GLbl (void) const
	{ return (short ) ShortGetProp(XmNxrtGearLayoutSpacing);}
inline void UxXrtGLabel::SetXrtGearLayoutSpacing_GLbl (short val)
	{ SetProp(XmNxrtGearLayoutSpacing, ((XtArgVal)(val)));}

inline char * UxXrtGLabel::GetXrtGearMask_GLbl (void) const
	{ return (char * ) DDGetProp(XmNxrtGearMask);}
inline void UxXrtGLabel::SetXrtGearMask_GLbl (const char * val)
	{ DDSetProp(XmNxrtGearMask, ((XtArgVal)(val)));}

inline char * UxXrtGLabel::GetXrtGearPixmapRotation_GLbl (void) const
	{ return (char * ) DDGetProp(XmNxrtGearPixmapRotation);}
inline void UxXrtGLabel::SetXrtGearPixmapRotation_GLbl (const char * val)
	{ DDSetProp(XmNxrtGearPixmapRotation, ((XtArgVal)(val)));}

inline char * UxXrtGLabel::GetXrtGearStringLayout_GLbl (void) const
	{ return (char * ) DDGetProp(XmNxrtGearStringLayout);}
inline void UxXrtGLabel::SetXrtGearStringLayout_GLbl (const char * val)
	{ DDSetProp(XmNxrtGearStringLayout, ((XtArgVal)(val)));}

inline char * UxXrtGLabel::GetXrtGearStringRotation_GLbl (void) const
	{ return (char * ) DDGetProp(XmNxrtGearStringRotation);}
inline void UxXrtGLabel::SetXrtGearStringRotation_GLbl (const char * val)
	{ DDSetProp(XmNxrtGearStringRotation, ((XtArgVal)(val)));}

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
