/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaCircularGauge.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaCircularGauge.h
******************************************************************************/

#ifndef UxXrtGaCircularGauge_h
#define UxXrtGaCircularGauge_h

#include <Xm/XrtGaCircularGauge.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxPrim.h"
#include "UxXrtGaCircularGauge.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaCGauge_prpty_name(x)	XrtGaCircularGauge_res_table[x].prpty, XrtGaCircularGauge_res_table[x].name

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Border))
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Border), val)
#endif

#ifndef UxGetXrtGaCenterList
#define UxGetXrtGaCenterList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_CenterList))
#endif
#ifndef UxPutXrtGaCenterList
#define UxPutXrtGaCenterList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_CenterList),val)
#endif

#ifndef UxGetXrtGaCircularScaleList
#define UxGetXrtGaCircularScaleList(sw) \
	UxGET_string(sw,XrtGaCGauge_prpty_name(XrtGaCGauge_CircularScaleList))
#endif
#ifndef UxPutXrtGaCircularScaleList
#define UxPutXrtGaCircularScaleList(sw, val) \
	UxPUT_string(sw,XrtGaCGauge_prpty_name(XrtGaCGauge_CircularScaleList), val)
#endif

#ifndef UxGetXrtGaCounterList
#define UxGetXrtGaCounterList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_CounterList))
#endif
#ifndef UxPutXrtGaCounterList
#define UxPutXrtGaCounterList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_CounterList),val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Debug), val)
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_DoubleBuffer))
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_DoubleBuffer),val)
#endif

#ifndef UxGetXrtGaFrame
#define UxGetXrtGaFrame(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Frame))
#endif
#ifndef UxPutXrtGaFrame
#define UxPutXrtGaFrame(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Frame), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Image), val)
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_ImageLayout))
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_ImageLayout),val)
#endif

#ifndef UxGetXrtGaNeedleList
#define UxGetXrtGaNeedleList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_NeedleList))
#endif
#ifndef UxPutXrtGaNeedleList
#define UxPutXrtGaNeedleList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_NeedleList),val)
#endif

#ifndef UxGetXrtGaRangeList
#define UxGetXrtGaRangeList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_RangeList))
#endif
#ifndef UxPutXrtGaRangeList
#define UxPutXrtGaRangeList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_RangeList),val)
#endif

#ifndef UxGetXrtGaRenderList
#define UxGetXrtGaRenderList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_RenderList))
#endif
#ifndef UxPutXrtGaRenderList
#define UxPutXrtGaRenderList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_RenderList),val)
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Repaint))
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_Repaint), val)
#endif

#ifndef UxGetXrtGaTextList
#define UxGetXrtGaTextList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_TextList))
#endif
#ifndef UxPutXrtGaTextList
#define UxPutXrtGaTextList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_TextList),val)
#endif

#ifndef UxGetXrtGaTickList
#define UxGetXrtGaTickList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_TickList))
#endif
#ifndef UxPutXrtGaTickList
#define UxPutXrtGaTickList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_TickList),val)
#endif

#ifndef UxGetXrtGaUseRenderList
#define UxGetXrtGaUseRenderList(sw) \
	UxGET_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_UseRenderList))
#endif
#ifndef UxPutXrtGaUseRenderList
#define UxPutXrtGaUseRenderList(sw, val) \
	UxPUT_string(sw, XrtGaCGauge_prpty_name(XrtGaCGauge_UseRenderList), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaCircularGauge;

/* Design-time create macro */
#ifndef UxCreateXrtGaCircularGauge
#define UxCreateXrtGaCircularGauge(name, parent) \
	UxCreateSwidget(UxC_XrtGaCircularGauge, name, parent)
#endif

#else /* RUN-TIME */

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaBorder)
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxDDPutProp(sw, XmNxrtGaBorder, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaCenterList
#define UxGetXrtGaCenterList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaCenterList)
#endif
#ifndef UxPutXrtGaCenterList
#define UxPutXrtGaCenterList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaCenterList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaCircularScaleList
#define UxGetXrtGaCircularScaleList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaCircularScaleList)
#endif
#ifndef UxPutXrtGaCircularScaleList
#define UxPutXrtGaCircularScaleList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaCircularScaleList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaCounterList
#define UxGetXrtGaCounterList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaCounterList)
#endif
#ifndef UxPutXrtGaCounterList
#define UxPutXrtGaCounterList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaCounterList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDoubleBuffer)
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDoubleBuffer, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaFrame
#define UxGetXrtGaFrame(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaFrame)
#endif
#ifndef UxPutXrtGaFrame
#define UxPutXrtGaFrame(sw, val) \
	UxDDPutProp(sw, XmNxrtGaFrame, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageLayout)
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageLayout, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaNeedleList
#define UxGetXrtGaNeedleList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaNeedleList)
#endif
#ifndef UxPutXrtGaNeedleList
#define UxPutXrtGaNeedleList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaNeedleList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRangeList
#define UxGetXrtGaRangeList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRangeList)
#endif
#ifndef UxPutXrtGaRangeList
#define UxPutXrtGaRangeList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRangeList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRenderList
#define UxGetXrtGaRenderList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRenderList)
#endif
#ifndef UxPutXrtGaRenderList
#define UxPutXrtGaRenderList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRenderList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRepaint)
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRepaint, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaTextList
#define UxGetXrtGaTextList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaTextList)
#endif
#ifndef UxPutXrtGaTextList
#define UxPutXrtGaTextList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaTextList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaTickList
#define UxGetXrtGaTickList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaTickList)
#endif
#ifndef UxPutXrtGaTickList
#define UxPutXrtGaTickList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaTickList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaUseRenderList
#define UxGetXrtGaUseRenderList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaUseRenderList)
#endif
#ifndef UxPutXrtGaUseRenderList
#define UxPutXrtGaUseRenderList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaUseRenderList, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaCircularGauge
#define UxCreateXrtGaCircularGauge(name, parent) \
	UxCreateSwidget(name, xmXrtGaCircularGaugeWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

