/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaFrame.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaFrame.h
******************************************************************************/

#ifndef UxXrtGaFrame_h
#define UxXrtGaFrame_h

#include <Xm/XrtGaFrame.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaFrame.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaFrame_prpty_name(x)	XrtGaFrame_res_table[x].prpty, XrtGaFrame_res_table[x].name

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_background), val)
#endif

#ifndef UxGetXrtGaBottomMargin
#define UxGetXrtGaBottomMargin(sw) \
	UxGET_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_BottomMargin))
#endif
#ifndef UxPutXrtGaBottomMargin
#define UxPutXrtGaBottomMargin(sw, val) \
	UxPUT_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_BottomMargin), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_Debug), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_Image), val)
#endif

#ifndef UxGetImageLayout
#define UxGetImageLayout(sw) \
	UxGET_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_ImageLayout))
#endif
#ifndef UxPutImageLayout
#define UxPutImageLayout(sw, val) \
	UxPUT_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_ImageLayout),val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_IsShowing), val)
#endif

#ifndef UxGetXrtGaLeftMargin
#define UxGetXrtGaLeftMargin(sw) \
	UxGET_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_LeftMargin))
#endif
#ifndef UxPutXrtGaLeftMargin
#define UxPutXrtGaLeftMargin(sw, val) \
	UxPUT_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_LeftMargin), val)
#endif

#ifndef UxGetXrtGaRightMargin
#define UxGetXrtGaRightMargin(sw) \
	UxGET_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_RightMargin))
#endif
#ifndef UxPutXrtGaRightMargin
#define UxPutXrtGaRightMargin(sw, val) \
	UxPUT_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_RightMargin), val)
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	UxGET_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_Shape))
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxPUT_string(sw, XrtGaFrame_prpty_name(XrtGaFrame_Shape), val)
#endif

#ifndef UxGetXrtGaTopMargin
#define UxGetXrtGaTopMargin(sw) \
	UxGET_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_TopMargin))
#endif
#ifndef UxPutXrtGaTopMargin
#define UxPutXrtGaTopMargin(sw, val) \
	UxPUT_int(sw, XrtGaFrame_prpty_name(XrtGaFrame_TopMargin), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaFrame;

/* Design-time create macro */
#ifndef UxCreateXrtGaFrame
#define UxCreateXrtGaFrame(name, parent) \
	UxCreateSwidget(UxC_XrtGaFrame, name, parent)
#endif

#else /* RUN-TIME */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaBottomMargin
#define UxGetXrtGaBottomMargin(sw) \
	(int) UxGetProp(sw, XmNxrtGaBottomMargin)
#endif
#ifndef UxPutXrtGaBottomMargin
#define UxPutXrtGaBottomMargin(sw, val) \
	UxPutProp(sw, XmNxrtGaBottomMargin, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetImageLayout
#define UxGetImageLayout(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageLayout)
#endif
#ifndef UxPutImageLayout
#define UxPutImageLayout(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageLayout, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLeftMargin
#define UxGetXrtGaLeftMargin(sw) \
	(int) UxGetProp(sw, XmNxrtGaLeftMargin)
#endif
#ifndef UxPutXrtGaLeftMargin
#define UxPutXrtGaLeftMargin(sw, val) \
	UxPutProp(sw, XmNxrtGaLeftMargin, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRightMargin
#define UxGetXrtGaRightMargin(sw) \
	(int) UxGetProp(sw, XmNxrtGaRightMargin)
#endif
#ifndef UxPutXrtGaRightMargin
#define UxPutXrtGaRightMargin(sw, val) \
	UxPutProp(sw, XmNxrtGaRightMargin, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaShape)
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxDDPutProp(sw, XmNxrtGaShape, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaTopMargin
#define UxGetXrtGaTopMargin(sw) \
	(int) UxGetProp(sw, XmNxrtGaTopMargin)
#endif
#ifndef UxPutXrtGaTopMargin
#define UxPutXrtGaTopMargin(sw, val) \
	UxPutProp(sw, XmNxrtGaTopMargin, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaFrame
#define UxCreateXrtGaFrame(name, parent) \
	UxCreateSwidget(name, xmXrtGaFrameObjectClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

