/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaItem.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaItem.h
******************************************************************************/

#ifndef UxXrtGaItem_h
#define UxXrtGaItem_h

#include <Xm/XrtGaItem.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaItem.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaItem_prpty_name(x)	XrtGaItem_res_table[x].prpty, XrtGaItem_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaItem_prpty_name(XrtGaItem_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaItem_prpty_name(XrtGaItem_background), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaItem_prpty_name(XrtGaItem_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaItem_prpty_name(XrtGaItem_Debug), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaItem_prpty_name(XrtGaItem_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaItem_prpty_name(XrtGaItem_Image), val)
#endif

#ifndef UxGetLabelExtent
#define UxGetLabelExtent(sw) \
	UxGET_string(sw, XrtGaItem_prpty_name(XrtGaItem_labelExtent))
#endif
#ifndef UxPutLabelExtent
#define UxPutLabelExtent(sw, val) \
	UxPUT_string(sw, XrtGaItem_prpty_name(XrtGaItem_labelExtent), val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaItem_prpty_name(XrtGaItem_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaItem_prpty_name(XrtGaItem_IsShowing), val)
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	UxGET_float(sw, XrtGaItem_prpty_name(XrtGaItem_Value))
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	UxPUT_float(sw, XrtGaItem_prpty_name(XrtGaItem_Value), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaItem;

/* Design-time create macro */
#ifndef UxCreateXrtGaItem
#define UxCreateXrtGaItem(name, parent) \
	UxCreateSwidget(UxC_XrtGaItem, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLabelExtent
#define UxGetXrtGaLabelExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaLabelExtent)
#endif
#ifndef UxPutXrtGaLabelExtent
#define UxPutXrtGaLabelExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaLabelExtent, (val))
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaValue)
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaValue, (val))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaItem
#define UxCreateXrtGaItem(name, parent) \
	UxCreateSwidget(name, xmXrtGaItemObjectClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

