/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaMarker.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaMarker.h
******************************************************************************/

#ifndef UxXrtGaMarker_h
#define UxXrtGaMarker_h

#include <Xm/XrtGaMarker.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaMarker.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaMarker_prpty_name(x)	XrtGaMarker_res_table[x].prpty, XrtGaMarker_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_background),val)
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	UxGET_int(sw, XrtGaMarker_prpty_name(XrtGaMarker_width))
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPUT_int(sw, XrtGaMarker_prpty_name(XrtGaMarker_width), val)
#endif

#ifndef UxGetXrtGaCircularScale
#define UxGetXrtGaCircularScale(sw) \
	UxGET_string(sw,XrtGaMarker_prpty_name(XrtGaMarker_CircularScale))
#endif
#ifndef UxPutXrtGaCircularScale
#define UxPutXrtGaCircularScale(sw, val) \
	UxPUT_string(sw,XrtGaMarker_prpty_name(XrtGaMarker_CircularScale), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_Debug), val)
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	UxGET_voidFunction(sw,XrtGaMarker_prpty_name(XrtGaMarker_DrawFunc))
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPUT_voidFunction(sw,XrtGaMarker_prpty_name(XrtGaMarker_DrawFunc), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_Image), val)
#endif

#ifndef UxGetXrtGaImageRotate
#define UxGetXrtGaImageRotate(sw) \
	UxGET_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_ImageRotate))
#endif
#ifndef UxPutXrtGaImageRotate
#define UxPutXrtGaImageRotate(sw, val) \
	UxPUT_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_ImageRotate),val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_IsShowing),val)
#endif

#ifndef UxGetXrtGaMarkerType
#define UxGetXrtGaMarkerType(sw) \
	UxGET_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_MarkerType))
#endif
#ifndef UxPutXrtGaMarkerType
#define UxPutXrtGaMarkerType(sw, val) \
	UxPUT_string(sw, XrtGaMarker_prpty_name(XrtGaMarker_MarkerType),val)
#endif

#ifndef UxGetXrtGaInnerRadius
#define UxGetXrtGaInnerRadius(sw) \
	UxGET_float(sw, XrtGaMarker_prpty_name(XrtGaMarker_InnerRadius))
#endif
#ifndef UxPutXrtGaInnerRadius
#define UxPutXrtGaInnerRadius(sw, val) \
	UxPUT_float(sw, XrtGaMarker_prpty_name(XrtGaMarker_InnerRadius),val)
#endif

#ifndef UxGetXrtGaOuterRadius
#define UxGetXrtGaOuterRadius(sw) \
	UxGET_float(sw, XrtGaMarker_prpty_name(XrtGaMarker_OuterRadius))
#endif
#ifndef UxPutXrtGaOuterRadius
#define UxPutXrtGaOuterRadius(sw, val) \
	UxPUT_float(sw, XrtGaMarker_prpty_name(XrtGaMarker_OuterRadius),val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaMarker;

/* Design-time create macro */
#ifndef UxCreateXrtGaMarker
#define UxCreateXrtGaMarker(name, parent) \
	UxCreateSwidget(UxC_XrtGaMarker, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	(int) UxGetProp(sw, XmNwidth)
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPutProp(sw, XmNwidth, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaCircularScale
#define UxGetXrtGaCircularScale(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaCircularScale)
#endif
#ifndef UxPutXrtGaCircularScale
#define UxPutXrtGaCircularScale(sw, val) \
	UxDDPutProp(sw, XmNxrtGaCircularScale, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	(voidFunction) UxGetProp(sw, XmNxrtGaDrawFunc)
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPutProp(sw, XmNxrtGaDrawFunc, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageRotate
#define UxGetXrtGaImageRotate(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageRotate)
#endif
#ifndef UxPutXrtGaImageRotate
#define UxPutXrtGaImageRotate(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageRotate, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaMarkerType
#define UxGetXrtGaMarkerType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaMarkerType)
#endif
#ifndef UxPutXrtGaMarkerType
#define UxPutXrtGaMarkerType(sw, val) \
	UxDDPutProp(sw, XmNxrtGaMarkerType, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaInnerRadius
#define UxGetXrtGaInnerRadius(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaInnerRadius)
#endif
#ifndef UxPutXrtGaInnerRadius
#define UxPutXrtGaInnerRadius(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaInnerRadius, (val))
#endif

#ifndef UxGetXrtGaOuterRadius
#define UxGetXrtGaOuterRadius(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaOuterRadius)
#endif
#ifndef UxPutXrtGaOuterRadius
#define UxPutXrtGaOuterRadius(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaOuterRadius, (val))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaMarker
#define UxCreateXrtGaMarker(name, parent) \
	UxCreateSwidget(name, xmXrtGaMarkerObjectClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

