/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtGraph.hxx,v 1.6 2000/06/19 08:32:29 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGraph.hxx	1.6    98/11/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGraph : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGraph(void);
	UXINLINE UxXrtGraph(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	/*graph 3.0*/
	UXINLINE char * GetXrtAngleUnit () const;
	UXINLINE void SetXrtAngleUnit (const char *);

	UXINLINE char * GetXrtAxisBoundingBox () const;
	UXINLINE void SetXrtAxisBoundingBox (const char *);

	UXINLINE char * GetXrtAxisFont () const;
	UXINLINE void SetXrtAxisFont (const char *);

	UXINLINE char * GetXrtBackgroundColor () const;
	UXINLINE void SetXrtBackgroundColor (const char *);

	UXINLINE int GetXrtBarClusterOverlap () const;
	UXINLINE void SetXrtBarClusterOverlap   (int);

	UXINLINE int GetXrtBarClusterWidth () const;
	UXINLINE void SetXrtBarClusterWidth   (int);
	/*graph 3.0*/
	UXINLINE char * GetXrtBorder () const;
	UXINLINE void SetXrtBorder (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtCandleComplex () const;
	UXINLINE void SetXrtCandleComplex (const char *);

	UXINLINE char * GetXrtData () const;
	UXINLINE void SetXrtData (const char *);

	UXINLINE char * GetXrtData2 () const;
	UXINLINE void SetXrtData2 (const char *);

	UXINLINE char * GetXrtDataAreaBackgroundColor () const;
	UXINLINE void SetXrtDataAreaBackgroundColor (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtDataAreaForegroundColor () const;
	UXINLINE void SetXrtDataAreaForegroundColor (const char *);

	UXINLINE char * GetXrtDataStyles () const;
	UXINLINE void SetXrtDataStyles (const char *);

	UXINLINE char * GetXrtDataStyles2 () const;
	UXINLINE void SetXrtDataStyles2 (const char *);

	UXINLINE char * GetXrtDataStyles2UseDefault () const;
	UXINLINE void SetXrtDataStyles2UseDefault (const char *);

	UXINLINE char * GetXrtDataStylesUseDefault () const;
	UXINLINE void SetXrtDataStylesUseDefault (const char *);

	UXINLINE char * GetXrtDebug () const;
	UXINLINE void SetXrtDebug (const char *);

	UXINLINE char * GetXrtDoubleBuffer () const;
	UXINLINE void SetXrtDoubleBuffer (const char *);

	UXINLINE char * GetXrtFooterAdjust () const;
	UXINLINE void SetXrtFooterAdjust (const char *);

	UXINLINE char * GetXrtFooterBackgroundColor () const;
	UXINLINE void SetXrtFooterBackgroundColor (const char *);

	UXINLINE char * GetXrtFooterBorder () const;
	UXINLINE void SetXrtFooterBorder (const char *);

	UXINLINE short GetXrtFooterBorderWidth () const;
	UXINLINE void SetXrtFooterBorderWidth    (short);

	UXINLINE char * GetXrtFooterFont () const;
	UXINLINE void SetXrtFooterFont   (const char *);

	UXINLINE char * GetXrtFooterForegroundColor () const;
	UXINLINE void SetXrtFooterForegroundColor (const char *);

	UXINLINE short GetXrtFooterHeight () const;
	UXINLINE void SetXrtFooterHeight    (short);

	UXINLINE char * GetXrtFooterStrings () const;
	UXINLINE void SetXrtFooterStrings (const char *);

	UXINLINE short GetXrtFooterWidth () const;
	UXINLINE void SetXrtFooterWidth  (short);

	UXINLINE short GetXrtFooterX () const;
	UXINLINE void SetXrtFooterX  (short);

	UXINLINE char * GetXrtFooterXUseDefault () const;
	UXINLINE void SetXrtFooterXUseDefault (const char *);

	UXINLINE short GetXrtFooterY () const;
	UXINLINE void SetXrtFooterY    (short);

	UXINLINE char * GetXrtFooterYUseDefault () const;
	UXINLINE void SetXrtFooterYUseDefault (const char *);

	UXINLINE char * GetXrtForegroundColor () const;
	UXINLINE void SetXrtForegroundColor (const char *);

	UXINLINE int GetXrtFrontDataset () const;
	UXINLINE void SetXrtFrontDataset   (int);
	/*graph 3.0*/
	UXINLINE char * GetXrtGraph3dShading () const;
	UXINLINE void SetXrtGraph3dShading (const char *);

	UXINLINE char * GetXrtGraphBackgroundColor () const;
	UXINLINE void SetXrtGraphBackgroundColor (const char *);

	UXINLINE char * GetXrtGraphBorder () const;
	UXINLINE void SetXrtGraphBorder (const char *);

	UXINLINE short GetXrtGraphBorderWidth () const;
	UXINLINE void SetXrtGraphBorderWidth    (short);

	UXINLINE int GetXrtGraphDepth () const;
	UXINLINE void SetXrtGraphDepth   (int);

	UXINLINE char * GetXrtGraphForegroundColor () const;
	UXINLINE void SetXrtGraphForegroundColor (const char *);

	UXINLINE short GetXrtGraphHeight () const;
	UXINLINE void SetXrtGraphHeight    (short);

	UXINLINE char * GetXrtGraphHeightUseDefault () const;
	UXINLINE void SetXrtGraphHeightUseDefault (const char *);

	UXINLINE int GetXrtGraphInclination () const;
	UXINLINE void SetXrtGraphInclination   (int);

	UXINLINE short GetXrtGraphMarginBottom () const;
	UXINLINE void SetXrtGraphMarginBottom	(short);

	UXINLINE char  *GetXrtGraphMarginBottomUseDefault () const;
	UXINLINE void SetXrtGraphMarginBottomUseDefault (const char *);

	UXINLINE short GetXrtGraphMarginLeft () const;
	UXINLINE void SetXrtGraphMarginLeft	(short);

	UXINLINE char * GetXrtGraphMarginLeftUseDefault () const;
	UXINLINE void SetXrtGraphMarginLeftUseDefault	(const char *);

	UXINLINE short GetXrtGraphMarginRight () const;
	UXINLINE void SetXrtGraphMarginRight	(short);

	UXINLINE char * GetXrtGraphMarginRightUseDefault () const;
	UXINLINE void SetXrtGraphMarginRightUseDefault (const char *);

	UXINLINE short GetXrtGraphMarginTop () const;
	UXINLINE void SetXrtGraphMarginTop	(short);

	UXINLINE char * GetXrtGraphMarginTopUseDefault () const;
	UXINLINE void SetXrtGraphMarginTopUseDefault (const char *);

	UXINLINE int GetXrtGraphRotation () const;
	UXINLINE void SetXrtGraphRotation   (int);
	/*graph 3.0*/
	UXINLINE char * GetXrtGraphShowOutlines () const;
	UXINLINE void SetXrtGraphShowOutlines (const char *);

	UXINLINE short GetXrtGraphWidth () const;
	UXINLINE void SetXrtGraphWidth    (short);

	UXINLINE char * GetXrtGraphWidthUseDefault () const;
	UXINLINE void SetXrtGraphWidthUseDefault (const char *);

	UXINLINE short GetXrtGraphX () const;
	UXINLINE void SetXrtGraphX    (short);

	UXINLINE char * GetXrtGraphXUseDefault () const;
	UXINLINE void SetXrtGraphXUseDefault (const char *);

	UXINLINE short GetXrtGraphY () const;
	UXINLINE void SetXrtGraphY    (short);

	UXINLINE char * GetXrtGraphYUseDefault () const;
	UXINLINE void SetXrtGraphYUseDefault (const char *);

	UXINLINE char * GetXrtHeaderAdjust () const;
	UXINLINE void SetXrtHeaderAdjust (const char *);

	UXINLINE char * GetXrtHeaderBackgroundColor () const;
	UXINLINE void SetXrtHeaderBackgroundColor (const char *);

	UXINLINE char * GetXrtHeaderBorder () const;
	UXINLINE void SetXrtHeaderBorder (const char *);

	UXINLINE short GetXrtHeaderBorderWidth () const;
	UXINLINE void SetXrtHeaderBorderWidth    (short);

	UXINLINE char * GetXrtHeaderFont () const;
	UXINLINE void SetXrtHeaderFont   (const char *);

	UXINLINE char * GetXrtHeaderForegroundColor () const;
	UXINLINE void SetXrtHeaderForegroundColor (const char *);

	UXINLINE short GetXrtHeaderHeight () const;
	UXINLINE void SetXrtHeaderHeight    (short);

	UXINLINE char * GetXrtHeaderStrings () const;
	UXINLINE void SetXrtHeaderStrings (const char *);

	UXINLINE short GetXrtHeaderWidth () const;
	UXINLINE void SetXrtHeaderWidth    (short);

	UXINLINE short GetXrtHeaderX () const;
	UXINLINE void SetXrtHeaderX    (short);

	UXINLINE char * GetXrtHeaderXUseDefault () const;
	UXINLINE void SetXrtHeaderXUseDefault (const char *);

	UXINLINE short GetXrtHeaderY () const;
	UXINLINE void SetXrtHeaderY    (short);

	UXINLINE char * GetXrtHeaderYUseDefault () const;
	UXINLINE void SetXrtHeaderYUseDefault (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtHiLoCloseShow () const;
	UXINLINE void SetXrtHiLoCloseShow (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtHiLoOpenCloseFullWidth () const;
	UXINLINE void SetXrtHiLoOpenCloseFullWidth (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtHiLoOpenShow () const;
	UXINLINE void SetXrtHiLoOpenShow (const char *);

	UXINLINE char * GetXrtInvertOrientation () const;
	UXINLINE void SetXrtInvertOrientation (const char *);

	UXINLINE char * GetXrtLegendAnchor () const;
	UXINLINE void SetXrtLegendAnchor (const char *);

	UXINLINE char * GetXrtLegendBackgroundColor () const;
	UXINLINE void SetXrtLegendBackgroundColor (const char *);

	UXINLINE char * GetXrtLegendBorder () const;
	UXINLINE void SetXrtLegendBorder (const char *);

	UXINLINE short GetXrtLegendBorderWidth () const;
	UXINLINE void SetXrtLegendBorderWidth    (short);

	UXINLINE char * GetXrtLegendFont () const;
	UXINLINE void SetXrtLegendFont   (const char *);

	UXINLINE char * GetXrtLegendForegroundColor () const;
	UXINLINE void SetXrtLegendForegroundColor (const char *);

	UXINLINE short GetXrtLegendHeight () const;
	UXINLINE void SetXrtLegendHeight    (short);

	UXINLINE char * GetXrtLegendOrientation () const;
	UXINLINE void SetXrtLegendOrientation (const char *);

	UXINLINE char * GetXrtLegendShow () const;
	UXINLINE void SetXrtLegendShow (const char *);

	UXINLINE short GetXrtLegendWidth () const;
	UXINLINE void SetXrtLegendWidth    (short);

	UXINLINE short GetXrtLegendX () const;
	UXINLINE void SetXrtLegendX    (short);

	UXINLINE char * GetXrtLegendXUseDefault () const;
	UXINLINE void SetXrtLegendXUseDefault (const char *);

	UXINLINE short GetXrtLegendY () const;
	UXINLINE void SetXrtLegendY    (short);

	UXINLINE char * GetXrtLegendYUseDefault () const;
	UXINLINE void SetXrtLegendYUseDefault (const char *);

	UXINLINE char * GetXrtMarkerDataStyle () const;
	UXINLINE void SetXrtMarkerDataStyle (const char *);

	UXINLINE char * GetXrtMarkerDataStyleUseDefault () const;
	UXINLINE void SetXrtMarkerDataStyleUseDefault (const char *);

	UXINLINE int GetXrtMarkerDataset () const;
	UXINLINE void SetXrtMarkerDataset   (int);

	UXINLINE char * GetXrtOtherDataStyle () const;
	UXINLINE void SetXrtOtherDataStyle (const char *);

	UXINLINE char * GetXrtOtherDataStyleUseDefault () const;
	UXINLINE void SetXrtOtherDataStyleUseDefault (const char *);

	UXINLINE char * GetXrtOtherLabel () const;
	UXINLINE void SetXrtOtherLabel (const char *);

	UXINLINE int GetXrtPieMinSlices () const;
	UXINLINE void SetXrtPieMinSlices   (int);

	UXINLINE char * GetXrtPieOrder () const;
	UXINLINE void SetXrtPieOrder (const char *);

	UXINLINE char * GetXrtPieThresholdMethod () const;
	UXINLINE void SetXrtPieThresholdMethod (const char *);
//??
	UXINLINE float GetXrtPieThresholdValue () const;
	UXINLINE void SetXrtPieThresholdValue (float);

	UXINLINE char * GetXrtPointLabels () const;
	UXINLINE void SetXrtPointLabels (const char *);

	UXINLINE char * GetXrtPointLabels2 () const;
	UXINLINE void SetXrtPointLabels2 (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtPolarHalfRange () const;
	UXINLINE void SetXrtPolarHalfRange (const char *);

	UXINLINE char * GetXrtRepaint () const;
	UXINLINE void SetXrtRepaint (const char *);

	UXINLINE char * GetXrtSetLabels () const;
	UXINLINE void SetXrtSetLabels (const char *);

	UXINLINE char * GetXrtSetLabels2 () const;
	UXINLINE void SetXrtSetLabels2 (const char *);

	UXINLINE long GetXrtTimeBase () const;
	UXINLINE void SetXrtTimeBase (long);

	UXINLINE char * GetXrtTimeFormat () const;
	UXINLINE void SetXrtTimeFormat (const char *);

	UXINLINE char * GetXrtTimeFormatUseDefault () const;
	UXINLINE void SetXrtTimeFormatUseDefault (const char *);

	UXINLINE char * GetXrtTimeUnit () const;
	UXINLINE void SetXrtTimeUnit (const char *);

	UXINLINE char * GetXrtType () const;
	UXINLINE void SetXrtType (const char *);

	UXINLINE char * GetXrtType2 () const;
	UXINLINE void SetXrtType2 (const char *);

	UXINLINE char * GetXrtXAnnoPlacement () const;
	UXINLINE void SetXrtXAnnoPlacement (const char *);

	UXINLINE char * GetXrtXAnnotationMethod () const;
	UXINLINE void SetXrtXAnnotationMethod (const char *);

	UXINLINE char * GetXrtXAnnotationRotation () const;
	UXINLINE void SetXrtXAnnotationRotation (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtXAxisLabelFormat () const;
	UXINLINE void SetXrtXAxisLabelFormat (const char *);

	UXINLINE char * GetXrtXAxisLogarithmic () const;
	UXINLINE void SetXrtXAxisLogarithmic (const char *);
//??
	UXINLINE float GetXrtXAxisMax () const;
	UXINLINE void SetXrtXAxisMax (float);

	UXINLINE char * GetXrtXAxisMaxUseDefault () const;
	UXINLINE void SetXrtXAxisMaxUseDefault (const char *);
//??
	UXINLINE float GetXrtXAxisMin () const;
	UXINLINE void SetXrtXAxisMin (float);

	UXINLINE char * GetXrtXAxisMinUseDefault () const;
	UXINLINE void SetXrtXAxisMinUseDefault (const char *);

	UXINLINE char * GetXrtXAxisReversed () const;
	UXINLINE void SetXrtXAxisReversed (const char *);

	UXINLINE char * GetXrtXAxisShow () const;
	UXINLINE void SetXrtXAxisShow (const char *);
//??
	UXINLINE float GetXrtXGrid () const;
	UXINLINE void SetXrtXGrid (float);

	UXINLINE char * GetXrtXGridDataStyle () const;
	UXINLINE void SetXrtXGridDataStyle (const char *);

	UXINLINE char * GetXrtXGridDataStyleUseDefault () const;
	UXINLINE void SetXrtXGridDataStyleUseDefault (const char *);

	UXINLINE char * GetXrtXGridUseDefault () const;
	UXINLINE void SetXrtXGridUseDefault (const char *);

	UXINLINE char * GetXrtXLabels () const;
	UXINLINE void SetXrtXLabels (const char *);
//??
	UXINLINE float GetXrtXMarker () const;
	UXINLINE void SetXrtXMarker (float);
	/*graph 3.0*/
	UXINLINE char * GetXrtXMarkerDataStyle () const;
	UXINLINE void SetXrtXMarkerDataStyle (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtXMarkerDataStyleUseDefault () const;
	UXINLINE void SetXrtXMarkerDataStyleUseDefault (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtXMarkerMethod () const;
	UXINLINE void SetXrtXMarkerMethod (const char *);

	UXINLINE int GetXrtXMarkerPoint () const;
	UXINLINE void SetXrtXMarkerPoint  (int);

	UXINLINE int GetXrtXMarkerSet () const;
	UXINLINE void SetXrtXMarkerSet   (int);

	UXINLINE char * GetXrtXMarkerShow () const;
	UXINLINE void SetXrtXMarkerShow (const char *);
//??
	UXINLINE float GetXrtXMax () const;
	UXINLINE void SetXrtXMax (float);

	UXINLINE char * GetXrtXMaxUseDefault () const;
	UXINLINE void SetXrtXMaxUseDefault (const char *);
//??
	UXINLINE float GetXrtXMin () const;
	UXINLINE void SetXrtXMin (float);

	UXINLINE char * GetXrtXMinUseDefault () const;
	UXINLINE void SetXrtXMinUseDefault (const char *);
//??
	UXINLINE float GetXrtXNum () const;
	UXINLINE void SetXrtXNum (float);

	UXINLINE char * GetXrtXNumMethod () const;
	UXINLINE void SetXrtXNumMethod (const char *);

	UXINLINE char * GetXrtXNumUseDefault () const;
	UXINLINE void SetXrtXNumUseDefault (const char *);
//??
	UXINLINE float GetXrtXOrigin () const;
	UXINLINE void SetXrtXOrigin (float);
	/*graph 3.0*/
	UXINLINE float GetXrtXOriginBase () const;
	UXINLINE void SetXrtXOriginBase (float);

	UXINLINE char * GetXrtXOriginPlacement () const;
	UXINLINE void SetXrtXOriginPlacement (const char *);

	UXINLINE char * GetXrtXOriginUseDefault () const;
	UXINLINE void SetXrtXOriginUseDefault (const char *);

	UXINLINE int GetXrtXPrecision () const;
	UXINLINE void SetXrtXPrecision   (int);

	UXINLINE char * GetXrtXPrecisionUseDefault () const;
	UXINLINE void SetXrtXPrecisionUseDefault (const char *);
//??
	UXINLINE float GetXrtXTick () const;
	UXINLINE void SetXrtXTick (float);

	UXINLINE char * GetXrtXTickUseDefault () const;
	UXINLINE void SetXrtXTickUseDefault (const char *);

	UXINLINE char * GetXrtXTitle () const;
	UXINLINE void SetXrtXTitle (const char *);

	UXINLINE char * GetXrtXTitleRotation () const;
	UXINLINE void SetXrtXTitleRotation (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2AnnoPlacement () const;
	UXINLINE void SetXrtY2AnnoPlacement (const char *);
	/*graph 3.0*/
	UXINLINE float GetXrtY2AnnotationAngle () const;
	UXINLINE void SetXrtY2AnnotationAngle (float);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2AnnotationAngleUseDefault () const;
	UXINLINE void SetXrtY2AnnotationAngleUseDefault (const char *);

	UXINLINE char * GetXrtY2AnnotationMethod () const;
	UXINLINE void SetXrtY2AnnotationMethod (const char *);

	UXINLINE char * GetXrtY2AnnotationRotation () const;
	UXINLINE void SetXrtY2AnnotationRotation (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2Axis100Percent () const;
	UXINLINE void SetXrtY2Axis100Percent (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2AxisLabelFormat () const;
	UXINLINE void SetXrtY2AxisLabelFormat (const char *);

	UXINLINE char * GetXrtY2AxisLogarithmic () const;
	UXINLINE void SetXrtY2AxisLogarithmic (const char *);
//??
	UXINLINE float GetXrtY2AxisMax () const;
	UXINLINE void SetXrtY2AxisMax (float);

	UXINLINE char * GetXrtY2AxisMaxUseDefault () const;
	UXINLINE void SetXrtY2AxisMaxUseDefault (const char *);
//??
	UXINLINE float GetXrtY2AxisMin () const;
	UXINLINE void SetXrtY2AxisMin (float);

	UXINLINE char * GetXrtY2AxisMinUseDefault () const;
	UXINLINE void SetXrtY2AxisMinUseDefault (const char *);

	UXINLINE char * GetXrtY2AxisReversed () const;
	UXINLINE void SetXrtY2AxisReversed (const char *);

	UXINLINE char * GetXrtY2AxisShow () const;
	UXINLINE void SetXrtY2AxisShow (const char *);
	/*graph 3.0*/
	UXINLINE float GetXrtY2Grid () const;
	UXINLINE void SetXrtY2Grid (float);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2GridDataStyle () const;
	UXINLINE void SetXrtY2GridDataStyle (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2GridDataStyleUseDefault () const;
	UXINLINE void SetXrtY2GridDataStyleUseDefault (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2GridUseDefault () const;
	UXINLINE void SetXrtY2GridUseDefault (const char *);

	UXINLINE char * GetXrtY2Labels () const;
	UXINLINE void SetXrtY2Labels (const char *);
//??
	UXINLINE float GetXrtY2Max () const;
	UXINLINE void SetXrtY2Max (float);

	UXINLINE char * GetXrtY2MaxUseDefault () const;
	UXINLINE void SetXrtY2MaxUseDefault (const char *);
//??
	UXINLINE float GetXrtY2Min () const;
	UXINLINE void SetXrtY2Min (float);

	UXINLINE char * GetXrtY2MinUseDefault () const;
	UXINLINE void SetXrtY2MinUseDefault (const char *);
//??
	UXINLINE float GetXrtY2Num () const;
	UXINLINE void SetXrtY2Num (float);

	UXINLINE char * GetXrtY2NumMethod () const;
	UXINLINE void SetXrtY2NumMethod (const char *);

	UXINLINE char * GetXrtY2NumUseDefault () const;
	UXINLINE void SetXrtY2NumUseDefault (const char *);
	/*graph 3.0*/
	UXINLINE float GetXrtY2Origin () const;
	UXINLINE void SetXrtY2Origin (float);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2OriginPlacement () const;
	UXINLINE void SetXrtY2OriginPlacement (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtY2OriginUseDefault () const;
	UXINLINE void SetXrtY2OriginUseDefault (const char *);

	UXINLINE int GetXrtY2Precision () const;
	UXINLINE void SetXrtY2Precision   (int);

	UXINLINE char * GetXrtY2PrecisionUseDefault () const;
	UXINLINE void SetXrtY2PrecisionUseDefault (const char *);
//??
	UXINLINE float GetXrtY2Tick () const;
	UXINLINE void SetXrtY2Tick (float);

	UXINLINE char * GetXrtY2TickUseDefault () const;
	UXINLINE void SetXrtY2TickUseDefault (const char *);

	UXINLINE char * GetXrtY2Title () const;
	UXINLINE void SetXrtY2Title (const char *);

	UXINLINE char * GetXrtY2TitleRotation () const;
	UXINLINE void SetXrtY2TitleRotation (const char *);

	UXINLINE char * GetXrtYAnnoPlacement () const;
	UXINLINE void SetXrtYAnnoPlacement (const char *);
	/*graph 3.0*/
	UXINLINE float GetXrtYAnnotationAngle () const;
	UXINLINE void SetXrtYAnnotationAngle (float);
	/*graph 3.0*/
	UXINLINE char * GetXrtYAnnotationAngleUseDefault () const;
	UXINLINE void SetXrtYAnnotationAngleUseDefault (const char *);

	UXINLINE char * GetXrtYAnnotationMethod () const;
	UXINLINE void SetXrtYAnnotationMethod (const char *);

	UXINLINE char * GetXrtYAnnotationRotation () const;
	UXINLINE void SetXrtYAnnotationRotation (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtYAxis100Percent () const;
	UXINLINE void SetXrtYAxis100Percent (const char *);
//??
	UXINLINE float GetXrtYAxisConst () const;
	UXINLINE void SetXrtYAxisConst (float);
	/*graph 3.0*/
	UXINLINE char * GetXrtYAxisLabelFormat () const;
	UXINLINE void SetXrtYAxisLabelFormat (const char *);

	UXINLINE char * GetXrtYAxisLogarithmic () const;
	UXINLINE void SetXrtYAxisLogarithmic (const char *);
//??
	UXINLINE float GetXrtYAxisMax () const;
	UXINLINE void SetXrtYAxisMax (float);

	UXINLINE char * GetXrtYAxisMaxUseDefault () const;
	UXINLINE void SetXrtYAxisMaxUseDefault (const char *);
//??
	UXINLINE float GetXrtYAxisMin () const;
	UXINLINE void SetXrtYAxisMin (float);

	UXINLINE char * GetXrtYAxisMinUseDefault () const;
	UXINLINE void SetXrtYAxisMinUseDefault (const char *);
//??
	UXINLINE float GetXrtYAxisMult () const;
	UXINLINE void SetXrtYAxisMult (float);

	UXINLINE char * GetXrtYAxisReversed () const;
	UXINLINE void SetXrtYAxisReversed (const char *);

	UXINLINE char * GetXrtYAxisShow () const;
	UXINLINE void SetXrtYAxisShow (const char *);
//??
	UXINLINE float GetXrtYGrid () const;
	UXINLINE void SetXrtYGrid (float);

	UXINLINE char * GetXrtYGridDataStyle () const;
	UXINLINE void SetXrtYGridDataStyle (const char *);

	UXINLINE char * GetXrtYGridDataStyleUseDefault () const;
	UXINLINE void SetXrtYGridDataStyleUseDefault (const char *);

	UXINLINE char * GetXrtYGridUseDefault () const;
	UXINLINE void SetXrtYGridUseDefault (const char *);

	UXINLINE char * GetXrtYLabels () const;
	UXINLINE void SetXrtYLabels (const char *);
//??
	UXINLINE float	GetXrtYMarker () const;
	UXINLINE void SetXrtYMarker (float);
	/*graph 3.0*/
	UXINLINE char * GetXrtYMarkerDataStyle () const;
	UXINLINE void SetXrtYMarkerDataStyle (const char *);
	/*graph 3.0*/
	UXINLINE char * GetXrtYMarkerDataStyleUseDefault () const;
	UXINLINE void SetXrtYMarkerDataStyleUseDefault (const char *);

	UXINLINE char * GetXrtYMarkerShow () const;
	UXINLINE void SetXrtYMarkerShow (const char *);
//??
	UXINLINE float GetXrtYMax () const;
	UXINLINE void SetXrtYMax (float);

	UXINLINE char * GetXrtYMaxUseDefault () const;
	UXINLINE void SetXrtYMaxUseDefault (const char *);
//??
	UXINLINE float GetXrtYMin () const;
	UXINLINE void SetXrtYMin (float);

	UXINLINE char * GetXrtYMinUseDefault () const;
	UXINLINE void SetXrtYMinUseDefault (const char *);
//??
	UXINLINE float GetXrtYNum () const;
	UXINLINE void SetXrtYNum (float);

	UXINLINE char * GetXrtYNumMethod () const;
	UXINLINE void SetXrtYNumMethod (const char *);

	UXINLINE char * GetXrtYNumUseDefault () const;
	UXINLINE void SetXrtYNumUseDefault (const char *);
//??
	UXINLINE float GetXrtYOrigin () const;
	UXINLINE void SetXrtYOrigin (float);

	UXINLINE char * GetXrtYOriginPlacement () const;
	UXINLINE void SetXrtYOriginPlacement (const char *);

	UXINLINE char * GetXrtYOriginUseDefault () const;
	UXINLINE void SetXrtYOriginUseDefault (const char *);

	UXINLINE int GetXrtYPrecision () const;
	UXINLINE void SetXrtYPrecision   (int);

	UXINLINE char * GetXrtYPrecisionUseDefault () const;
	UXINLINE void SetXrtYPrecisionUseDefault (const char *);
//??
	UXINLINE float GetXrtYTick () const;
	UXINLINE void SetXrtYTick (float);

	UXINLINE char * GetXrtYTickUseDefault () const;
	UXINLINE void SetXrtYTickUseDefault (const char *);

	UXINLINE char * GetXrtYTitle () const;
	UXINLINE void SetXrtYTitle (const char *);

	UXINLINE char * GetXrtYTitleRotation () const;
	UXINLINE void SetXrtYTitleRotation (const char *);

	UXINLINE float GetXrtBubbleMax () const;
	UXINLINE void SetXrtBubbleMax(const float);

	UXINLINE char * GetXrtBubbleMethod () const;
	UXINLINE void SetXrtBubbleMethod(const char *);

	UXINLINE float GetXrtBubbleMin () const;
	UXINLINE void SetXrtBubbleMin(const float);

//	UXINLINE voidFunction GetXrtColorFunc () const;
//	UXINLINE void SetXrtColorFunc(voidFunction);

	UXINLINE char * GetXrtExtraDefaultDataStyles () const;
	UXINLINE void SetXrtExtraDefaultDataStyles(const char *);

	UXINLINE char * GetXrtFooterImage () const;
	UXINLINE void SetXrtFooterImage(const char *);

	UXINLINE char * GetXrtFooterImageLayout () const;
	UXINLINE void SetXrtFooterImageLayout(const char *);

	UXINLINE char * GetXrtFooterImageMinimumSize () const;
	UXINLINE void SetXrtFooterImageMinimumSize(const char *);

	UXINLINE char * GetXrtDataAreaImage () const;
	UXINLINE void SetXrtDataAreaImage(const char *);

	UXINLINE char * GetXrtDataAreaImageLayout () const;
	UXINLINE void SetXrtDataAreaImageLayout(const char *);

	UXINLINE char * GetXrtGraphImage () const;
	UXINLINE void SetXrtGraphImage(const char *);

	UXINLINE char * GetXrtGraphImageLayout () const;
	UXINLINE void SetXrtGraphImageLayout(const char *);

	UXINLINE char * GetXrtHeaderImage () const;
	UXINLINE void SetXrtHeaderImage(const char *);

	UXINLINE char * GetXrtHeaderImageLayout () const;
	UXINLINE void SetXrtHeaderImageLayout(const char *);

	UXINLINE char * GetXrtHeaderImageMinimumSize () const;
	UXINLINE void SetXrtHeaderImageMinimumSize(const char *);

	UXINLINE char * GetXrtImage () const;
	UXINLINE void SetXrtImage(const char *);

	UXINLINE char * GetXrtImageLayout () const;
	UXINLINE void SetXrtImageLayout(const char *);

	UXINLINE char * GetXrtIsStacked () const;
	UXINLINE void SetXrtIsStacked(const char *);

	UXINLINE char * GetXrtIsStacked2 () const;
	UXINLINE void SetXrtIsStacked2(const char *);

	UXINLINE char * GetXrtLegendImage () const;
	UXINLINE void SetXrtLegendImage(const char *);

	UXINLINE char * GetXrtLegendImageLayout () const;
	UXINLINE void SetXrtLegendImageLayout(const char *);

	UXINLINE char * GetXrtLegendReversed () const;
	UXINLINE void SetXrtLegendReversed(const char *);

	UXINLINE char * GetXrtLegendTitle () const;
	UXINLINE void SetXrtLegendTitle(const char *);

	UXINLINE char * GetXrtPieMergeMissingSlices () const;
	UXINLINE void SetXrtPieMergeMissingSlices(const char *);

	UXINLINE float GetXrtPieStartAngle () const;
	UXINLINE void SetXrtPieStartAngle(const float);

	UXINLINE char * GetXrtPolarAxisAllowNegatives () const;
	UXINLINE void SetXrtPolarAxisAllowNegatives(const char *);

	UXINLINE char * GetXrtXAxisDataStyle () const;
	UXINLINE void SetXrtXAxisDataStyle(const char *);

	UXINLINE char * GetXrtXAxisDataStyleUseDefault () const;
	UXINLINE void SetXrtXAxisDataStyleUseDefault(const char *);

	UXINLINE char * GetXrtY2AxisDataStyle () const;
	UXINLINE void SetXrtY2AxisDataStyle(const char *);

	UXINLINE char * GetXrtY2AxisDataStyleUseDefault () const;
	UXINLINE void SetXrtY2AxisDataStyleUseDefault(const char *);

	UXINLINE char * GetXrtYAxisDataStyle () const;
	UXINLINE void SetXrtYAxisDataStyle(const char *);

	UXINLINE char * GetXrtYAxisDataStyleUseDefault () const;
	UXINLINE void SetXrtYAxisDataStyleUseDefault(const char *);

};

#ifdef DESIGN_TIME

#define GRAPH_TABLE(z) xrtgph_res_table[z].prpty, xrtgph_res_table[z].name

extern Class_t UxC_XrtGraph;

/* Moved this entry from custom/uxddcppMF.xrt for float point bug */
float UxXrtGraph::GetXrtPieThresholdValue (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumPieThresholdValue));}
void UxXrtGraph::SetXrtPieThresholdValue (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumPieThresholdValue), (double)val);}

float UxXrtGraph::GetXrtXAxisMax (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXAxisMax));}
void UxXrtGraph::SetXrtXAxisMax (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXAxisMax), val);}

float UxXrtGraph::GetXrtXAxisMin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXAxisMin));}
void UxXrtGraph::SetXrtXAxisMin (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXAxisMin), val);}

float UxXrtGraph::GetXrtXGrid (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXGrid));}
void UxXrtGraph::SetXrtXGrid (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXGrid), val);}

float UxXrtGraph::GetXrtXMarker (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXMarker));}
void UxXrtGraph::SetXrtXMarker (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXMarker), val);}

float UxXrtGraph::GetXrtXMax (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXMax));}
void UxXrtGraph::SetXrtXMax (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXMax), val);}

float UxXrtGraph::GetXrtXMin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXMin));}
void UxXrtGraph::SetXrtXMin (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXMin), val);}

float UxXrtGraph::GetXrtXNum (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXNum));}
void UxXrtGraph::SetXrtXNum (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXNum), val);}

float UxXrtGraph::GetXrtXOrigin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXOrigin));}
void UxXrtGraph::SetXrtXOrigin (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXOrigin), val);}

float UxXrtGraph::GetXrtXOriginBase (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXOriginBase));}
void UxXrtGraph::SetXrtXOriginBase (float val)
{ UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXOriginBase), val);}

float UxXrtGraph::GetXrtXTick (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumXTick));}
void UxXrtGraph::SetXrtXTick (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumXTick), val);}

float UxXrtGraph::GetXrtY2AnnotationAngle (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2AnnotationAngle));}
void UxXrtGraph::SetXrtY2AnnotationAngle (float val)
{ UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2AnnotationAngle), val);}

float UxXrtGraph::GetXrtY2AxisMax (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2AxisMax));}
void UxXrtGraph::SetXrtY2AxisMax (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2AxisMax), val);}

float UxXrtGraph::GetXrtY2AxisMin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2AxisMin));}
void UxXrtGraph::SetXrtY2AxisMin (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2AxisMin), val);}

float UxXrtGraph::GetXrtY2Grid (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2Grid));}
void UxXrtGraph::SetXrtY2Grid (float val)
{ UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2Grid), val);}

float UxXrtGraph::GetXrtY2Max (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2Max));}
void UxXrtGraph::SetXrtY2Max (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2Max), val);}

float UxXrtGraph::GetXrtY2Min (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2Min));}
void UxXrtGraph::SetXrtY2Min (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2Min), val);}

float UxXrtGraph::GetXrtY2Num (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2Num));}
void UxXrtGraph::SetXrtY2Num (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2Num), val);}

float UxXrtGraph::GetXrtY2Origin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2Origin));}
void UxXrtGraph::SetXrtY2Origin (float val)
{ UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2Origin), val);}

float UxXrtGraph::GetXrtY2Tick (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumY2Tick));}
void UxXrtGraph::SetXrtY2Tick (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumY2Tick), val);}

float UxXrtGraph::GetXrtYAnnotationAngle (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYAnnotationAngle));}
void UxXrtGraph::SetXrtYAnnotationAngle (float val)
{ UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYAnnotationAngle), val);}

float UxXrtGraph::GetXrtYAxisConst (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYAxisConst));}
void UxXrtGraph::SetXrtYAxisConst (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYAxisConst), val);}

float UxXrtGraph::GetXrtYAxisMax (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYAxisMax));}
void UxXrtGraph::SetXrtYAxisMax (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYAxisMax), val);}

float UxXrtGraph::GetXrtYAxisMin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYAxisMin));}
void UxXrtGraph::SetXrtYAxisMin (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYAxisMin), val);}

float UxXrtGraph::GetXrtYAxisMult (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYAxisMult));}
void UxXrtGraph::SetXrtYAxisMult (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYAxisMult), val);}

float UxXrtGraph::GetXrtYGrid (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYGrid));}
void UxXrtGraph::SetXrtYGrid (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYGrid), val);}

float UxXrtGraph::GetXrtYMarker (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYMarker));}
void UxXrtGraph::SetXrtYMarker (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYMarker), val);}

float UxXrtGraph::GetXrtYMax (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYMax));}
void UxXrtGraph::SetXrtYMax (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYMax), val);}

float UxXrtGraph::GetXrtYMin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYMin));}
void UxXrtGraph::SetXrtYMin (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYMin), val);}

float UxXrtGraph::GetXrtYNum (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYNum));}
void UxXrtGraph::SetXrtYNum (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYNum), val);}

float UxXrtGraph::GetXrtYOrigin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYOrigin));}
void UxXrtGraph::SetXrtYOrigin (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYOrigin), val);}

float UxXrtGraph::GetXrtYTick (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumYTick));}
void UxXrtGraph::SetXrtYTick (float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumYTick), val);}

float UxXrtGraph::GetXrtBubbleMax (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumBubbleMax));}
void UxXrtGraph::SetXrtBubbleMax(const float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumBubbleMax), val);}

float UxXrtGraph::GetXrtBubbleMin (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumBubbleMin));}
void UxXrtGraph::SetXrtBubbleMin(const float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumBubbleMin), val);}

float UxXrtGraph::GetXrtPieStartAngle (void) const
{ return UxXrtGET_double(UxThis, GRAPH_TABLE(xrtResNumPieStartAngle));}
void UxXrtGraph::SetXrtPieStartAngle(const float val)
{UxXrtPUT_double(UxThis, GRAPH_TABLE(xrtResNumPieStartAngle), val);}

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

extern "C" float XrtArgValToFloat(XtArgVal v);
extern "C" XtArgVal XrtFloatToArgVal(double f);

inline UxXrtGraph::UxXrtGraph(void){}
inline UxXrtGraph::UxXrtGraph(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtGraph::CreateSwidget(const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xtXrtGraphWidgetClass, parent);
	return UxThis;
}

/*graph 3.0*/
inline char * UxXrtGraph::GetXrtAngleUnit (void) const
	{ return (char *) DDGetProp(XtNxrtAngleUnit);}
inline void UxXrtGraph::SetXrtAngleUnit    (const char * val)
	{ DDSetProp(XtNxrtAngleUnit, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtAxisBoundingBox (void) const
	{ return (char * ) DDGetProp(XtNxrtAxisBoundingBox);}
inline void UxXrtGraph::SetXrtAxisBoundingBox (const char * val)
	{ DDSetProp(XtNxrtAxisBoundingBox, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtAxisFont (void) const
	{ return (char * ) DDGetProp(XtNxrtAxisFont);}
inline void UxXrtGraph::SetXrtAxisFont   (const char * val)
	{ DDSetProp(XtNxrtAxisFont, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrtBackgroundColor);}
inline void UxXrtGraph::SetXrtBackgroundColor (const char * val)
	{ SetProp(XtNxrtBackgroundColor, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtBarClusterOverlap (void) const
	{ return (int)IntGetProp(XtNxrtBarClusterOverlap);}
inline void UxXrtGraph::SetXrtBarClusterOverlap   (int val)
	{ SetProp(XtNxrtBarClusterOverlap, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtBarClusterWidth (void) const
	{ return (int)IntGetProp(XtNxrtBarClusterWidth);}
inline void UxXrtGraph::SetXrtBarClusterWidth   (int val)
	{ SetProp(XtNxrtBarClusterWidth, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtBorder (void) const
	{ return (char *) DDGetProp(XtNxrtBorder);}
inline void UxXrtGraph::SetXrtBorder    (const char * val)
	{ DDSetProp(XtNxrtBorder, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtCandleComplex (void) const
	{ return (char *) DDGetProp(XtNxrtCandleComplex);}
inline void UxXrtGraph::SetXrtCandleComplex    (const char * val)
	{ DDSetProp(XtNxrtCandleComplex, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtData (void) const
	{ return (char * ) DDGetProp(XtNxrtData);}
inline void UxXrtGraph::SetXrtData (const char * val)
	{ DDSetProp(XtNxrtData, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtData2 (void) const
	{ return (char * ) DDGetProp(XtNxrtData2);}
inline void UxXrtGraph::SetXrtData2 (const char * val) 
	{ DDSetProp(XtNxrtData2, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDataAreaBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrtDataAreaBackgroundColor);}
inline void UxXrtGraph::SetXrtDataAreaBackgroundColor (const char * val)
	{ SetProp(XtNxrtDataAreaBackgroundColor, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtDataAreaForegroundColor (void) const
	{ return (char *) DDGetProp(XtNxrtDataAreaForegroundColor);}
inline void UxXrtGraph::SetXrtDataAreaForegroundColor    (const char * val)
	{ DDSetProp(XtNxrtDataAreaForegroundColor, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDataStyles (void) const
	{ return (char * ) GetProp(XtNxrtDataStyles);}
inline void UxXrtGraph::SetXrtDataStyles (const char * val) 
	{ DDSetProp(XtNxrtDataStyles, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDataStyles2 (void) const
	{ return (char * ) DDGetProp(XtNxrtDataStyles2);}
inline void UxXrtGraph::SetXrtDataStyles2 (const char * val) 
	{ DDSetProp(XtNxrtDataStyles2, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDataStyles2UseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtDataStyles2UseDefault);}
inline void UxXrtGraph::SetXrtDataStyles2UseDefault (const char * val) 
	{ DDSetProp(XtNxrtDataStyles2UseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDataStylesUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtDataStylesUseDefault);}
inline void UxXrtGraph::SetXrtDataStylesUseDefault (const char * val) 
	{ DDSetProp(XtNxrtDataStylesUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDebug (void) const
	{ return (char * ) DDGetProp(XtNxrtDebug);}
inline void UxXrtGraph::SetXrtDebug (const char * val) 
	{ DDSetProp(XtNxrtDebug, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDoubleBuffer (void) const
	{ return (char * ) DDGetProp(XtNxrtDoubleBuffer);}
inline void UxXrtGraph::SetXrtDoubleBuffer (const char * val) 
	{ DDSetProp(XtNxrtDoubleBuffer, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterAdjust (void) const
	{ return (char * ) DDGetProp(XtNxrtFooterAdjust);}
inline void UxXrtGraph::SetXrtFooterAdjust (const char * val) 
	{ DDSetProp(XtNxrtFooterAdjust, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrtFooterBackgroundColor);}
inline void UxXrtGraph::SetXrtFooterBackgroundColor (const char * val) 
	{ SetProp(XtNxrtFooterBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterBorder (void) const
	{ return (char * ) GetProp(XtNxrtFooterBorder);}
inline void UxXrtGraph::SetXrtFooterBorder (const char * val) 
	{ DDSetProp(XtNxrtFooterBorder, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtFooterBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtFooterBorderWidth);}
inline void UxXrtGraph::SetXrtFooterBorderWidth    (short val)
	{ SetProp(XtNxrtFooterBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterFont (void) const
	{ return (char * ) DDGetProp(XtNxrtFooterFont);}
inline void UxXrtGraph::SetXrtFooterFont   (const char * val)
	{ DDSetProp(XtNxrtFooterFont, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrtFooterForegroundColor);}
inline void UxXrtGraph::SetXrtFooterForegroundColor (const char * val) 
	{ SetProp(XtNxrtFooterForegroundColor, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtFooterHeight (void) const
	{ return (short ) ShortGetProp(XtNxrtFooterHeight);}
inline void UxXrtGraph::SetXrtFooterHeight    (short val)
	{ SetProp(XtNxrtFooterHeight, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterStrings (void) const
	{ return (char * ) DDGetProp(XtNxrtFooterStrings);}
inline void UxXrtGraph::SetXrtFooterStrings (const char * val) 
	{ DDSetProp(XtNxrtFooterStrings, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtFooterWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtFooterWidth);}
inline void UxXrtGraph::SetXrtFooterWidth    (short val)
	{ SetProp(XtNxrtFooterWidth, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtFooterX (void) const
	{ return (short ) ShortGetProp(XtNxrtFooterX);}
inline void UxXrtGraph::SetXrtFooterX    (short val)
	{ SetProp(XtNxrtFooterX, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtFooterXUseDefault);}
inline void UxXrtGraph::SetXrtFooterXUseDefault (const char * val) 
	{ DDSetProp(XtNxrtFooterXUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtFooterY (void) const
	{ return (short ) ShortGetProp(XtNxrtFooterY);}
inline void UxXrtGraph::SetXrtFooterY    (short val)
	{ SetProp(XtNxrtFooterY, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtFooterYUseDefault);}
inline void UxXrtGraph::SetXrtFooterYUseDefault (const char * val) 
	{ DDSetProp(XtNxrtFooterYUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrtForegroundColor);}
inline void UxXrtGraph::SetXrtForegroundColor (const char * val) 
	{ SetProp(XtNxrtForegroundColor, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtFrontDataset (void) const
	{ return (int)IntGetProp(XtNxrtFrontDataset);}
inline void UxXrtGraph::SetXrtFrontDataset   (int val)
	{ SetProp(XtNxrtFrontDataset, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtGraph3dShading (void) const
	{ return (char *) DDGetProp(XtNxrtGraph3dShading);}
inline void UxXrtGraph::SetXrtGraph3dShading    (const char * val)
	{ DDSetProp(XtNxrtGraph3dShading, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrtGraphBackgroundColor);}
inline void UxXrtGraph::SetXrtGraphBackgroundColor (const char * val) 
	{ SetProp(XtNxrtGraphBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphBorder (void) const
	{ return (char * ) GetProp(XtNxrtGraphBorder);}
inline void UxXrtGraph::SetXrtGraphBorder (const char * val) 
	{ DDSetProp(XtNxrtGraphBorder, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphBorderWidth);}
inline void UxXrtGraph::SetXrtGraphBorderWidth    (short val)
	{ SetProp(XtNxrtGraphBorderWidth, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtGraphDepth (void) const
	{ return (int)IntGetProp(XtNxrtGraphDepth);}
inline void UxXrtGraph::SetXrtGraphDepth   (int val)
	{ SetProp(XtNxrtGraphDepth, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrtGraphForegroundColor);}
inline void UxXrtGraph::SetXrtGraphForegroundColor (const char * val) 
	{ SetProp(XtNxrtGraphForegroundColor, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphHeight (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphHeight);}
inline void UxXrtGraph::SetXrtGraphHeight    (short val)
	{ SetProp(XtNxrtGraphHeight, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphHeightUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtGraphHeightUseDefault);}
inline void UxXrtGraph::SetXrtGraphHeightUseDefault (const char * val) 
	{ DDSetProp(XtNxrtGraphHeightUseDefault, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtGraphInclination (void) const
	{ return (int)IntGetProp(XtNxrtGraphInclination);}
inline void UxXrtGraph::SetXrtGraphInclination   (int val)
	{ SetProp(XtNxrtGraphInclination, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphMarginBottom (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphMarginBottom);}
inline void UxXrtGraph::SetXrtGraphMarginBottom	(short val)
	{ SetProp(XtNxrtGraphMarginBottom, ((XtArgVal)(val)));}

inline char  *UxXrtGraph::GetXrtGraphMarginBottomUseDefault (void) const
	{ return (char  *) DDGetProp(XtNxrtGraphMarginBottomUseDefault);}
inline void UxXrtGraph::SetXrtGraphMarginBottomUseDefault (const char * val)
	{ DDSetProp(XtNxrtGraphMarginBottomUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphMarginLeft (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphMarginLeft);}
inline void UxXrtGraph::SetXrtGraphMarginLeft	(short val)
	{ SetProp(XtNxrtGraphMarginLeft, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphMarginLeftUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtGraphMarginLeftUseDefault);}
inline void UxXrtGraph::SetXrtGraphMarginLeftUseDefault	(const char * val)
	{ DDSetProp(XtNxrtGraphMarginLeftUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphMarginRight (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphMarginRight);}
inline void UxXrtGraph::SetXrtGraphMarginRight	(short val)
	{ SetProp(XtNxrtGraphMarginRight, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphMarginRightUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtGraphMarginRightUseDefault);}
inline void UxXrtGraph::SetXrtGraphMarginRightUseDefault (const char * val)
	{ DDSetProp(XtNxrtGraphMarginRightUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphMarginTop (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphMarginTop);}
inline void UxXrtGraph::SetXrtGraphMarginTop	(short val)
	{ SetProp(XtNxrtGraphMarginTop, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphMarginTopUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtGraphMarginTopUseDefault);}
inline void UxXrtGraph::SetXrtGraphMarginTopUseDefault (const char * val)
	{ DDSetProp(XtNxrtGraphMarginTopUseDefault, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtGraphRotation (void) const
	{ return (int)IntGetProp(XtNxrtGraphRotation);}
inline void UxXrtGraph::SetXrtGraphRotation   (int val)
	{ SetProp(XtNxrtGraphRotation, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtGraphShowOutlines (void) const
	{ return (char *) DDGetProp(XtNxrtGraphShowOutlines);}
inline void UxXrtGraph::SetXrtGraphShowOutlines    (const char * val)
	{ DDSetProp(XtNxrtGraphShowOutlines, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphWidth);}
inline void UxXrtGraph::SetXrtGraphWidth    (short val)
	{ SetProp(XtNxrtGraphWidth, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphWidthUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtGraphWidthUseDefault);}
inline void UxXrtGraph::SetXrtGraphWidthUseDefault (const char * val)
	{ DDSetProp(XtNxrtGraphWidthUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphX (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphX);}
inline void UxXrtGraph::SetXrtGraphX    (short val)
	{ SetProp(XtNxrtGraphX, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtGraphXUseDefault);}
inline void UxXrtGraph::SetXrtGraphXUseDefault (const char * val)
	{ DDSetProp(XtNxrtGraphXUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtGraphY (void) const
	{ return (short ) ShortGetProp(XtNxrtGraphY);}
inline void UxXrtGraph::SetXrtGraphY    (short val)
	{ SetProp(XtNxrtGraphY, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtGraphYUseDefault);}
inline void UxXrtGraph::SetXrtGraphYUseDefault (const char * val)
	{ DDSetProp(XtNxrtGraphYUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderAdjust (void) const
	{ return (char * ) DDGetProp(XtNxrtHeaderAdjust);}
inline void UxXrtGraph::SetXrtHeaderAdjust (const char * val)
	{ DDSetProp(XtNxrtHeaderAdjust, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrtHeaderBackgroundColor);}
inline void UxXrtGraph::SetXrtHeaderBackgroundColor (const char * val)
	{ SetProp(XtNxrtHeaderBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderBorder (void) const
	{ return (char * ) GetProp(XtNxrtHeaderBorder);}
inline void UxXrtGraph::SetXrtHeaderBorder (const char * val)
	{ SetProp(XtNxrtHeaderBorder, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtHeaderBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtHeaderBorderWidth);}
inline void UxXrtGraph::SetXrtHeaderBorderWidth    (short val)
	{ SetProp(XtNxrtHeaderBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderFont (void) const
	{ return (char *) DDGetProp(XtNxrtHeaderFont);}
inline void UxXrtGraph::SetXrtHeaderFont   (const char * val)
	{ DDSetProp(XtNxrtHeaderFont, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrtHeaderForegroundColor);}
inline void UxXrtGraph::SetXrtHeaderForegroundColor (const char * val)
	{ SetProp(XtNxrtHeaderForegroundColor, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtHeaderHeight (void) const
	{ return (short ) ShortGetProp(XtNxrtHeaderHeight);}
inline void UxXrtGraph::SetXrtHeaderHeight    (short val)
	{ SetProp(XtNxrtHeaderHeight, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderStrings (void) const
	{ return (char * ) DDGetProp(XtNxrtHeaderStrings);}
inline void UxXrtGraph::SetXrtHeaderStrings (const char * val)
	{ DDSetProp(XtNxrtHeaderStrings, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtHeaderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtHeaderWidth);}
inline void UxXrtGraph::SetXrtHeaderWidth    (short val)
	{ SetProp(XtNxrtHeaderWidth, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtHeaderX (void) const
	{ return (short ) ShortGetProp(XtNxrtHeaderX);}
inline void UxXrtGraph::SetXrtHeaderX    (short val)
	{ SetProp(XtNxrtHeaderX, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtHeaderXUseDefault);}
inline void UxXrtGraph::SetXrtHeaderXUseDefault (const char * val)
	{ DDSetProp(XtNxrtHeaderXUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtHeaderY (void) const
	{ return (short ) ShortGetProp(XtNxrtHeaderY);}
inline void UxXrtGraph::SetXrtHeaderY    (short val)
	{ SetProp(XtNxrtHeaderY, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtHeaderYUseDefault);}
inline void UxXrtGraph::SetXrtHeaderYUseDefault (const char * val)
	{ DDSetProp(XtNxrtHeaderYUseDefault, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtHiLoCloseShow (void) const
	{ return (char *) DDGetProp(XtNxrtHiLoCloseShow);}
inline void UxXrtGraph::SetXrtHiLoCloseShow    (const char * val)
	{ DDSetProp(XtNxrtHiLoCloseShow, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtHiLoOpenCloseFullWidth (void) const
	{ return (char *) DDGetProp(XtNxrtHiLoOpenCloseFullWidth);}
inline void UxXrtGraph::SetXrtHiLoOpenCloseFullWidth    (const char * val)
	{ DDSetProp(XtNxrtHiLoOpenCloseFullWidth, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtHiLoOpenShow (void) const
	{ return (char *) DDGetProp(XtNxrtHiLoOpenShow);}
inline void UxXrtGraph::SetXrtHiLoOpenShow    (const char * val)
	{ DDSetProp(XtNxrtHiLoOpenShow, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtInvertOrientation (void) const
	{ return (char * ) DDGetProp(XtNxrtInvertOrientation);}
inline void UxXrtGraph::SetXrtInvertOrientation (const char * val)
	{ DDSetProp(XtNxrtInvertOrientation, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendAnchor (void) const
	{ return (char * ) DDGetProp(XtNxrtLegendAnchor);}
inline void UxXrtGraph::SetXrtLegendAnchor (const char * val)
	{ DDSetProp(XtNxrtLegendAnchor, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendBackgroundColor (void) const
	{ return (char * ) GetProp(XtNxrtLegendBackgroundColor);}
inline void UxXrtGraph::SetXrtLegendBackgroundColor (const char * val)
	{ SetProp(XtNxrtLegendBackgroundColor, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendBorder (void) const
	{ return (char * ) GetProp(XtNxrtLegendBorder);}
inline void UxXrtGraph::SetXrtLegendBorder (const char * val)
	{ DDSetProp(XtNxrtLegendBorder, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtLegendBorderWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtLegendBorderWidth);}
inline void UxXrtGraph::SetXrtLegendBorderWidth    (short val)
	{ SetProp(XtNxrtLegendBorderWidth, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendFont (void) const
	{ return (char * ) DDGetProp(XtNxrtLegendFont);}
inline void UxXrtGraph::SetXrtLegendFont   (const char * val)
	{ DDSetProp(XtNxrtLegendFont, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendForegroundColor (void) const
	{ return (char * ) GetProp(XtNxrtLegendForegroundColor);}
inline void UxXrtGraph::SetXrtLegendForegroundColor (const char * val)
	{ SetProp(XtNxrtLegendForegroundColor, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtLegendHeight (void) const
	{ return (short ) ShortGetProp(XtNxrtLegendHeight);}
inline void UxXrtGraph::SetXrtLegendHeight    (short val)
	{ SetProp(XtNxrtLegendHeight, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendOrientation (void) const
	{ return (char * ) DDGetProp(XtNxrtLegendOrientation);}
inline void UxXrtGraph::SetXrtLegendOrientation (const char * val)
	{ DDSetProp(XtNxrtLegendOrientation, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendShow (void) const
	{ return (char * ) DDGetProp(XtNxrtLegendShow);}
inline void UxXrtGraph::SetXrtLegendShow (const char * val)
	{ DDSetProp(XtNxrtLegendShow, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtLegendWidth (void) const
	{ return (short ) ShortGetProp(XtNxrtLegendWidth);}
inline void UxXrtGraph::SetXrtLegendWidth    (short val)
	{ SetProp(XtNxrtLegendWidth, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtLegendX (void) const
	{ return (short ) ShortGetProp(XtNxrtLegendX);}
inline void UxXrtGraph::SetXrtLegendX    (short val)
	{ SetProp(XtNxrtLegendX, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendXUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtLegendXUseDefault);}
inline void UxXrtGraph::SetXrtLegendXUseDefault (const char * val)
	{ DDSetProp(XtNxrtLegendXUseDefault, ((XtArgVal)(val)));}

inline short UxXrtGraph::GetXrtLegendY (void) const
	{ return (short ) ShortGetProp(XtNxrtLegendY);}
inline void UxXrtGraph::SetXrtLegendY    (short val)
	{ SetProp(XtNxrtLegendY, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendYUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtLegendYUseDefault);}
inline void UxXrtGraph::SetXrtLegendYUseDefault (const char * val)
	{ DDSetProp(XtNxrtLegendYUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtMarkerDataStyle (void) const
	{ return (char * ) DDGetProp(XtNxrtMarkerDataStyle);}
inline void UxXrtGraph::SetXrtMarkerDataStyle (const char * val)
	{ DDSetProp(XtNxrtMarkerDataStyle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtMarkerDataStyleUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtMarkerDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtMarkerDataStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrtMarkerDataStyleUseDefault, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtMarkerDataset (void) const
	{ return (int)IntGetProp(XtNxrtMarkerDataset);}
inline void UxXrtGraph::SetXrtMarkerDataset   (int val)
	{ SetProp(XtNxrtMarkerDataset, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtOtherDataStyle (void) const
	{ return (char * ) DDGetProp(XtNxrtOtherDataStyle);}
inline void UxXrtGraph::SetXrtOtherDataStyle (const char * val)
	{ DDSetProp(XtNxrtOtherDataStyle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtOtherDataStyleUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtOtherDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtOtherDataStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrtOtherDataStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtOtherLabel (void) const
	{ return (char * ) GetProp(XtNxrtOtherLabel);}
inline void UxXrtGraph::SetXrtOtherLabel (const char * val)
	{ SetProp(XtNxrtOtherLabel, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtPieMinSlices (void) const
	{ return (int)IntGetProp(XtNxrtPieMinSlices);}
inline void UxXrtGraph::SetXrtPieMinSlices   (int val)
	{ SetProp(XtNxrtPieMinSlices, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtPieOrder (void) const
	{ return (char * ) DDGetProp(XtNxrtPieOrder);}
inline void UxXrtGraph::SetXrtPieOrder (const char * val)
	{ DDSetProp(XtNxrtPieOrder, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtPieThresholdMethod (void) const
	{ return (char * ) DDGetProp(XtNxrtPieThresholdMethod);}
inline void UxXrtGraph::SetXrtPieThresholdMethod (const char * val)
	{ DDSetProp(XtNxrtPieThresholdMethod, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtPieThresholdValue (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtPieThresholdValue));}
inline 	void UxXrtGraph::SetXrtPieThresholdValue (float val)
	{ SetProp(XtNxrtPieThresholdValue, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtPointLabels (void) const
	{ return (char * ) DDGetProp(XtNxrtPointLabels);}
inline void UxXrtGraph::SetXrtPointLabels (const char * val)
	{ DDSetProp(XtNxrtPointLabels, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtPointLabels2 (void) const
	{ return (char * ) DDGetProp(XtNxrtPointLabels2);}
inline void UxXrtGraph::SetXrtPointLabels2 (const char * val)
	{ DDSetProp(XtNxrtPointLabels2, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtPolarHalfRange (void) const
	{ return (char *) DDGetProp(XtNxrtPolarHalfRange);}
inline void UxXrtGraph::SetXrtPolarHalfRange    (const char * val)
	{ DDSetProp(XtNxrtPolarHalfRange, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtRepaint (void) const
	{ return (char * ) DDGetProp(XtNxrtRepaint);}
inline void UxXrtGraph::SetXrtRepaint (const char * val)
	{ DDSetProp(XtNxrtRepaint, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtSetLabels (void) const
	{ return (char * ) DDGetProp(XtNxrtSetLabels);}
inline void UxXrtGraph::SetXrtSetLabels (const char * val)
	{ DDSetProp(XtNxrtSetLabels, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtSetLabels2 (void) const
	{ return (char * ) DDGetProp(XtNxrtSetLabels2);}
inline void UxXrtGraph::SetXrtSetLabels2 (const char * val)
	{ DDSetProp(XtNxrtSetLabels2, ((XtArgVal)(val)));}

inline long UxXrtGraph::GetXrtTimeBase (void) const
	{ return (long)GetProp(XtNxrtTimeBase);}
inline void UxXrtGraph::SetXrtTimeBase (long val)
	{ SetProp(XtNxrtTimeBase, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtTimeFormat (void) const
	{ return (char * ) GetProp(XtNxrtTimeFormat);}
inline void UxXrtGraph::SetXrtTimeFormat (const char * val)
	{ SetProp(XtNxrtTimeFormat, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtTimeFormatUseDefault (void) const
	{ return (char * ) GetProp(XtNxrtTimeFormatUseDefault);}
inline void UxXrtGraph::SetXrtTimeFormatUseDefault (const char * val)
	{ DDSetProp(XtNxrtTimeFormatUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtTimeUnit (void) const
	{ return (char * ) DDGetProp(XtNxrtTimeUnit);}
inline void UxXrtGraph::SetXrtTimeUnit (const char * val)
	{ DDSetProp(XtNxrtTimeUnit, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtType (void) const
	{ return (char * ) DDGetProp(XtNxrtType);}
inline void UxXrtGraph::SetXrtType (const char * val)
	{ DDSetProp(XtNxrtType, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtType2 (void) const
	{ return (char * ) DDGetProp(XtNxrtType2);}
inline void UxXrtGraph::SetXrtType2 (const char * val)
	{ DDSetProp(XtNxrtType2, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAnnoPlacement (void) const
	{ return (char * ) DDGetProp(XtNxrtXAnnoPlacement);}
inline void UxXrtGraph::SetXrtXAnnoPlacement (const char * val)
	{ DDSetProp(XtNxrtXAnnoPlacement, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAnnotationMethod (void) const
	{ return (char * ) DDGetProp(XtNxrtXAnnotationMethod);}
inline void UxXrtGraph::SetXrtXAnnotationMethod (const char * val)
	{ DDSetProp(XtNxrtXAnnotationMethod, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAnnotationRotation (void) const
	{ return (char * ) DDGetProp(XtNxrtXAnnotationRotation);}
inline void UxXrtGraph::SetXrtXAnnotationRotation (const char * val)
	{ DDSetProp(XtNxrtXAnnotationRotation, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtXAxisLabelFormat (void) const
	{ return (char *) GetProp(XtNxrtXAxisLabelFormat);}
inline void UxXrtGraph::SetXrtXAxisLabelFormat    (const char * val)
	{ SetProp(XtNxrtXAxisLabelFormat, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAxisLogarithmic (void) const
	{ return (char * ) DDGetProp(XtNxrtXAxisLogarithmic);}
inline void UxXrtGraph::SetXrtXAxisLogarithmic (const char * val)
	{ DDSetProp(XtNxrtXAxisLogarithmic, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXAxisMax (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtXAxisMax));}
inline void UxXrtGraph::SetXrtXAxisMax  (float val)
	{SetProp(XtNxrtXAxisMax, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXAxisMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXAxisMaxUseDefault);}
inline void UxXrtGraph::SetXrtXAxisMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrtXAxisMaxUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXAxisMin (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtXAxisMin));}
inline void UxXrtGraph::SetXrtXAxisMin (float val)
	{SetProp(XtNxrtXAxisMin, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXAxisMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXAxisMinUseDefault);}
inline void UxXrtGraph::SetXrtXAxisMinUseDefault (const char * val)
	{ DDSetProp(XtNxrtXAxisMinUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAxisReversed (void) const
	{ return (char * ) DDGetProp(XtNxrtXAxisReversed);}
inline void UxXrtGraph::SetXrtXAxisReversed (const char * val)
	{ DDSetProp(XtNxrtXAxisReversed, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAxisShow (void) const
	{ return (char * ) DDGetProp(XtNxrtXAxisShow);}
inline void UxXrtGraph::SetXrtXAxisShow (const char * val)
	{ DDSetProp(XtNxrtXAxisShow, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXGrid  (void) const
	{return (float) XrtArgValToFloat((XtArgVal)GetProp(XtNxrtXGrid));}
inline void UxXrtGraph::SetXrtXGrid (float val)
	{SetProp(XtNxrtXGrid, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXGridDataStyle (void) const
	{ return (char * ) DDGetProp(XtNxrtXGridDataStyle);}
inline void UxXrtGraph::SetXrtXGridDataStyle (const char * val)
	{ DDSetProp(XtNxrtXGridDataStyle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXGridDataStyleUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXGridDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtXGridDataStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrtXGridDataStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXGridUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXGridUseDefault);}
inline void UxXrtGraph::SetXrtXGridUseDefault (const char * val)
	{ DDSetProp(XtNxrtXGridUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXLabels (void) const
	{ return (char * ) DDGetProp(XtNxrtXLabels);}
inline void UxXrtGraph::SetXrtXLabels (const char * val)
	{ DDSetProp(XtNxrtXLabels, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXMarker (void) const
	{return (float) XrtArgValToFloat((XtArgVal)GetProp(XtNxrtXMarker));}
inline void UxXrtGraph::SetXrtXMarker (float val)
	{SetProp(XtNxrtXMarker, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtXMarkerDataStyle (void) const
	{ return (char *) DDGetProp(XtNxrtXMarkerDataStyle);}
inline void UxXrtGraph::SetXrtXMarkerDataStyle    (const char * val)
	{ DDSetProp(XtNxrtXMarkerDataStyle, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtXMarkerDataStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtXMarkerDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtXMarkerDataStyleUseDefault    (const char * val)
	{ DDSetProp(XtNxrtXMarkerDataStyleUseDefault, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtXMarkerMethod (void) const
	{ return (char *) DDGetProp(XtNxrtXMarkerMethod);}
inline void UxXrtGraph::SetXrtXMarkerMethod    (const char * val)
	{ DDSetProp(XtNxrtXMarkerMethod, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtXMarkerPoint (void) const
	{ return (int)IntGetProp(XtNxrtXMarkerPoint);}
inline void UxXrtGraph::SetXrtXMarkerPoint  (int val)
	{ SetProp(XtNxrtXMarkerPoint, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtXMarkerSet (void) const
	{ return (int)IntGetProp(XtNxrtXMarkerSet);}
inline void UxXrtGraph::SetXrtXMarkerSet   (int val)
	{ SetProp(XtNxrtXMarkerSet, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXMarkerShow (void) const
	{ return (char * ) DDGetProp(XtNxrtXMarkerShow);}
inline void UxXrtGraph::SetXrtXMarkerShow (const char * val)
	{ DDSetProp(XtNxrtXMarkerShow, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXMax (void) const
	{return (float) XrtArgValToFloat((XtArgVal)GetProp(XtNxrtXMax));}
inline void UxXrtGraph::SetXrtXMax (float val)
	{SetProp(XtNxrtXMax, (XtArgVal)XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXMaxUseDefault);}
inline void UxXrtGraph::SetXrtXMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrtXMaxUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXMin (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtXMin));}
inline void UxXrtGraph::SetXrtXMin (float val)
	{SetProp(XtNxrtXMin, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXMinUseDefault);}
inline void UxXrtGraph::SetXrtXMinUseDefault (const char * val)
	{ DDSetProp(XtNxrtXMinUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXNum (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtXNum));}
inline void UxXrtGraph::SetXrtXNum (float val)
	{SetProp(XtNxrtXNum, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXNumMethod (void) const
	{ return (char * ) DDGetProp(XtNxrtXNumMethod);}
inline void UxXrtGraph::SetXrtXNumMethod (const char * val)
	{ DDSetProp(XtNxrtXNumMethod, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXNumUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXNumUseDefault);}
inline void UxXrtGraph::SetXrtXNumUseDefault (const char * val)
	{ DDSetProp(XtNxrtXNumUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXOrigin (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtXOrigin));}
inline void UxXrtGraph::SetXrtXOrigin (float val)
	{SetProp(XtNxrtXOrigin, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/
inline float UxXrtGraph::GetXrtXOriginBase (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtXOriginBase));}
inline 	void UxXrtGraph::SetXrtXOriginBase (float val)
	{ SetProp(XtNxrtXOriginBase, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXOriginPlacement (void) const
	{ return (char * ) DDGetProp(XtNxrtXOriginPlacement);}
inline void UxXrtGraph::SetXrtXOriginPlacement	(const char * val)
	{ DDSetProp(XtNxrtXOriginPlacement, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXOriginUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXOriginUseDefault);}
inline void UxXrtGraph::SetXrtXOriginUseDefault (const char * val)
	{ DDSetProp(XtNxrtXOriginUseDefault, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtXPrecision (void) const
	{ return (int)IntGetProp(XtNxrtXPrecision);}
inline void UxXrtGraph::SetXrtXPrecision   (int val)
	{ SetProp(XtNxrtXPrecision, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXPrecisionUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXPrecisionUseDefault);}
inline void UxXrtGraph::SetXrtXPrecisionUseDefault (const char * val)
	{ DDSetProp(XtNxrtXPrecisionUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtXTick (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtXTick));}
inline void UxXrtGraph::SetXrtXTick (float val)
	{SetProp(XtNxrtXTick, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtXTickUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtXTickUseDefault);}
inline void UxXrtGraph::SetXrtXTickUseDefault (const char * val)
	{ DDSetProp(XtNxrtXTickUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXTitle (void) const
	{ return (char * ) GetProp(XtNxrtXTitle);}
inline void UxXrtGraph::SetXrtXTitle (const char * val)
	{ SetProp(XtNxrtXTitle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXTitleRotation (void) const
	{ return (char * ) GetProp(XtNxrtXTitleRotation);}
inline void UxXrtGraph::SetXrtXTitleRotation (const char * val)
	{ DDSetProp(XtNxrtXTitleRotation, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2AnnoPlacement (void) const
	{ return (char *) DDGetProp(XtNxrtY2AnnoPlacement);}
inline void UxXrtGraph::SetXrtY2AnnoPlacement    (const char * val)
	{ DDSetProp(XtNxrtY2AnnoPlacement, ((XtArgVal)(val)));}
/*graph 3.0*/
inline float UxXrtGraph::GetXrtY2AnnotationAngle (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2AnnotationAngle));}
inline 	void UxXrtGraph::SetXrtY2AnnotationAngle (float val)
	{ SetProp(XtNxrtY2AnnotationAngle, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2AnnotationAngleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtY2AnnotationAngleUseDefault);}
inline void UxXrtGraph::SetXrtY2AnnotationAngleUseDefault    (const char * val)
	{ DDSetProp(XtNxrtY2AnnotationAngleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2AnnotationMethod (void) const
	{ return (char * ) DDGetProp(XtNxrtY2AnnotationMethod);}
inline void UxXrtGraph::SetXrtY2AnnotationMethod (const char * val)
	{ DDSetProp(XtNxrtY2AnnotationMethod, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2AnnotationRotation (void) const
	{ return (char * ) DDGetProp(XtNxrtY2AnnotationRotation);}
inline void UxXrtGraph::SetXrtY2AnnotationRotation (const char * val)
	{ DDSetProp(XtNxrtY2AnnotationRotation, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2Axis100Percent (void) const
	{ return (char *) DDGetProp(XtNxrtY2Axis100Percent);}
inline void UxXrtGraph::SetXrtY2Axis100Percent    (const char * val)
	{ DDSetProp(XtNxrtY2Axis100Percent, ((XtArgVal)(val)));}
/*graph 3.0*/
inline char * UxXrtGraph::GetXrtY2AxisLabelFormat (void) const
	{ return (char *) GetProp(XtNxrtY2AxisLabelFormat);}
inline void UxXrtGraph::SetXrtY2AxisLabelFormat    (const char * val)
	{ SetProp(XtNxrtY2AxisLabelFormat, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2AxisLogarithmic (void) const
	{ return (char * ) DDGetProp(XtNxrtY2AxisLogarithmic);}
inline void UxXrtGraph::SetXrtY2AxisLogarithmic (const char * val)
	{ DDSetProp(XtNxrtY2AxisLogarithmic, ((XtArgVal)(val)));}
//??
inline float UxXrtGraph::GetXrtY2AxisMax (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2AxisMax));}
inline void UxXrtGraph::SetXrtY2AxisMax (float val)
	{SetProp(XtNxrtY2AxisMax, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtY2AxisMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtY2AxisMaxUseDefault);}
inline void UxXrtGraph::SetXrtY2AxisMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2AxisMaxUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtY2AxisMin (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2AxisMin));}
inline void UxXrtGraph::SetXrtY2AxisMin (float val)
	{SetProp(XtNxrtY2AxisMin, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtY2AxisMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtY2AxisMinUseDefault);}
inline void UxXrtGraph::SetXrtY2AxisMinUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2AxisMinUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2AxisReversed (void) const
	{ return (char * ) DDGetProp(XtNxrtY2AxisReversed);}
inline void UxXrtGraph::SetXrtY2AxisReversed (const char * val)
	{ DDSetProp(XtNxrtY2AxisReversed, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2AxisShow (void) const
	{ return (char * ) DDGetProp(XtNxrtY2AxisShow);}
inline void UxXrtGraph::SetXrtY2AxisShow (const char * val)
	{ DDSetProp(XtNxrtY2AxisShow, ((XtArgVal)(val)));}
/*graph 3.0*/
inline float UxXrtGraph::GetXrtY2Grid (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2Grid));}
inline 	void UxXrtGraph::SetXrtY2Grid (float val)
	{ SetProp(XtNxrtY2Grid, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2GridDataStyle (void) const
	{ return (char *) DDGetProp(XtNxrtY2GridDataStyle);}
inline void UxXrtGraph::SetXrtY2GridDataStyle    (const char * val)
	{ DDSetProp(XtNxrtY2GridDataStyle, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2GridDataStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtY2GridDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtY2GridDataStyleUseDefault    (const char * val)
	{ DDSetProp(XtNxrtY2GridDataStyleUseDefault, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2GridUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtY2GridUseDefault);}
inline void UxXrtGraph::SetXrtY2GridUseDefault    (const char * val)
	{ DDSetProp(XtNxrtY2GridUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2Labels (void) const
	{ return (char * ) DDGetProp(XtNxrtY2Labels);}
inline void UxXrtGraph::SetXrtY2Labels (const char * val)
	{ DDSetProp(XtNxrtY2Labels, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtY2Max (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2Max));}
inline void UxXrtGraph::SetXrtY2Max (float val)
	{SetProp(XtNxrtY2Max, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtY2MaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtY2MaxUseDefault);}
inline void UxXrtGraph::SetXrtY2MaxUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2MaxUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtY2Min (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2Min));}
inline void UxXrtGraph::SetXrtY2Min (float val)
	{SetProp(XtNxrtY2Min, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtY2MinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtY2MinUseDefault);}
inline void UxXrtGraph::SetXrtY2MinUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2MinUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtY2Num (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2Num));}
inline void UxXrtGraph::SetXrtY2Num (float val)
	{SetProp(XtNxrtY2Num, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtY2NumMethod (void) const
	{ return (char * ) DDGetProp(XtNxrtY2NumMethod);}
inline void UxXrtGraph::SetXrtY2NumMethod (const char * val)
	{ DDSetProp(XtNxrtY2NumMethod, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2NumUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtY2NumUseDefault);}
inline void UxXrtGraph::SetXrtY2NumUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2NumUseDefault, ((XtArgVal)(val)));}
/*graph 3.0*/
inline float UxXrtGraph::GetXrtY2Origin (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2Origin));}
inline 	void UxXrtGraph::SetXrtY2Origin (float val)
	{ SetProp(XtNxrtY2Origin, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2OriginPlacement (void) const
	{ return (char *) DDGetProp(XtNxrtY2OriginPlacement);}
inline void UxXrtGraph::SetXrtY2OriginPlacement    (const char * val)
	{ DDSetProp(XtNxrtY2OriginPlacement, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtY2OriginUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtY2OriginUseDefault);}
inline void UxXrtGraph::SetXrtY2OriginUseDefault    (const char * val)
	{ DDSetProp(XtNxrtY2OriginUseDefault, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtY2Precision (void) const
	{ return (int)IntGetProp(XtNxrtY2Precision);}
inline void UxXrtGraph::SetXrtY2Precision   (int val)
	{ SetProp(XtNxrtY2Precision, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2PrecisionUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtY2PrecisionUseDefault);}
inline void UxXrtGraph::SetXrtY2PrecisionUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2PrecisionUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtY2Tick (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtY2Tick));}
inline void UxXrtGraph::SetXrtY2Tick (float val)
	{SetProp(XtNxrtY2Tick, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtY2TickUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtY2TickUseDefault);}
inline void UxXrtGraph::SetXrtY2TickUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2TickUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2Title (void) const
	{ return (char * ) GetProp(XtNxrtY2Title);}
inline void UxXrtGraph::SetXrtY2Title (const char * val)
	{ SetProp(XtNxrtY2Title, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2TitleRotation (void) const
	{ return (char * ) GetProp(XtNxrtY2TitleRotation);}
inline void UxXrtGraph::SetXrtY2TitleRotation (const char * val)
	{ DDSetProp(XtNxrtY2TitleRotation, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYAnnoPlacement (void) const
	{ return (char * ) DDGetProp(XtNxrtYAnnoPlacement);}
inline void UxXrtGraph::SetXrtYAnnoPlacement (const char * val)
	{ DDSetProp(XtNxrtYAnnoPlacement, ((XtArgVal)(val)));}
/*graph 3.0*/
inline float UxXrtGraph::GetXrtYAnnotationAngle (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYAnnotationAngle));}
inline 	void UxXrtGraph::SetXrtYAnnotationAngle (float val)
	{ SetProp(XtNxrtYAnnotationAngle, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtYAnnotationAngleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtYAnnotationAngleUseDefault);}
inline void UxXrtGraph::SetXrtYAnnotationAngleUseDefault    (const char * val)
	{ DDSetProp(XtNxrtYAnnotationAngleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYAnnotationMethod (void) const
	{ return (char * ) DDGetProp(XtNxrtYAnnotationMethod);}
inline void UxXrtGraph::SetXrtYAnnotationMethod (const char * val)
	{ DDSetProp(XtNxrtYAnnotationMethod, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYAnnotationRotation (void) const
	{ return (char * ) DDGetProp(XtNxrtYAnnotationRotation);}
inline void UxXrtGraph::SetXrtYAnnotationRotation (const char * val)
	{ DDSetProp(XtNxrtYAnnotationRotation, ((XtArgVal)(val)));}	
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtYAxis100Percent (void) const
	{ return (char *) DDGetProp(XtNxrtYAxis100Percent);}
inline void UxXrtGraph::SetXrtYAxis100Percent    (const char * val)
	{ DDSetProp(XtNxrtYAxis100Percent, ((XtArgVal)(val)));}
//??
inline float UxXrtGraph::GetXrtYAxisConst (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYAxisConst));}
inline void UxXrtGraph::SetXrtYAxisConst (float val)
	{SetProp(XtNxrtYAxisConst, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtYAxisLabelFormat (void) const
	{ return (char *) GetProp(XtNxrtYAxisLabelFormat);}
inline void UxXrtGraph::SetXrtYAxisLabelFormat    (const char * val)
	{ SetProp(XtNxrtYAxisLabelFormat, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYAxisLogarithmic (void) const
	{ return (char * ) DDGetProp(XtNxrtYAxisLogarithmic);}
inline void UxXrtGraph::SetXrtYAxisLogarithmic (const char * val)
	{ DDSetProp(XtNxrtYAxisLogarithmic, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYAxisMax (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYAxisMax));}
inline void UxXrtGraph::SetXrtYAxisMax (float val)
	{SetProp(XtNxrtYAxisMax, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYAxisMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYAxisMaxUseDefault);}
inline void UxXrtGraph::SetXrtYAxisMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrtYAxisMaxUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYAxisMin (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYAxisMin));}
inline void UxXrtGraph::SetXrtYAxisMin (float val)
	{SetProp(XtNxrtYAxisMin, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYAxisMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYAxisMinUseDefault);}
inline void UxXrtGraph::SetXrtYAxisMinUseDefault (const char * val)
	{ DDSetProp(XtNxrtYAxisMinUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYAxisMult (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYAxisMult));}
inline void UxXrtGraph::SetXrtYAxisMult (float val)
	{SetProp(XtNxrtYAxisMult, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYAxisReversed (void) const
	{ return (char * ) DDGetProp(XtNxrtYAxisReversed);}
inline void UxXrtGraph::SetXrtYAxisReversed (const char * val)
	{ DDSetProp(XtNxrtYAxisReversed, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYAxisShow (void) const
	{ return (char * ) DDGetProp(XtNxrtYAxisShow);}
inline void UxXrtGraph::SetXrtYAxisShow (const char * val)
	{ DDSetProp(XtNxrtYAxisShow, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYGrid (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYGrid));}
inline void UxXrtGraph::SetXrtYGrid (float val)
	{SetProp(XtNxrtYGrid, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYGridDataStyle (void) const
	{ return (char * ) DDGetProp(XtNxrtYGridDataStyle);}
inline void UxXrtGraph::SetXrtYGridDataStyle (const char * val)
	{ DDSetProp(XtNxrtYGridDataStyle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYGridDataStyleUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYGridDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtYGridDataStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrtYGridDataStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYGridUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYGridUseDefault);}
inline void UxXrtGraph::SetXrtYGridUseDefault (const char * val)
	{ DDSetProp(XtNxrtYGridUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYLabels (void) const
	{ return (char * ) DDGetProp(XtNxrtYLabels);}
inline void UxXrtGraph::SetXrtYLabels (const char * val)
	{ DDSetProp(XtNxrtYLabels, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYMarker (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYMarker));}
inline void UxXrtGraph::SetXrtYMarker (float val)
	{SetProp(XtNxrtYMarker, (XtArgVal) XrtFloatToArgVal((float) val));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtYMarkerDataStyle (void) const
	{ return (char *) DDGetProp(XtNxrtYMarkerDataStyle);}
inline void UxXrtGraph::SetXrtYMarkerDataStyle    (const char * val)
	{ DDSetProp(XtNxrtYMarkerDataStyle, ((XtArgVal)(val)));}
/*graph 3.0*/	
inline char * UxXrtGraph::GetXrtYMarkerDataStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtYMarkerDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtYMarkerDataStyleUseDefault    (const char * val)
	{ DDSetProp(XtNxrtYMarkerDataStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYMarkerShow (void) const
	{ return (char * ) DDGetProp(XtNxrtYMarkerShow);}
inline void UxXrtGraph::SetXrtYMarkerShow (const char * val)
	{ DDSetProp(XtNxrtYMarkerShow, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYMax (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtYMax));}
inline void UxXrtGraph::SetXrtYMax (float val)
	{SetProp(XtNxrtYMax, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYMaxUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYMaxUseDefault);}
inline void UxXrtGraph::SetXrtYMaxUseDefault (const char * val)
	{ DDSetProp(XtNxrtYMaxUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYMin (void) const
	{return (float) XrtArgValToFloat((XtArgVal)GetProp(XtNxrtYMin));}
inline void UxXrtGraph::SetXrtYMin (float val)
	{SetProp(XtNxrtYMin, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYMinUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYMinUseDefault);}
inline void UxXrtGraph::SetXrtYMinUseDefault (const char * val)
	{ DDSetProp(XtNxrtYMinUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYNum (void) const
	{return (float) XrtArgValToFloat((XtArgVal)GetProp(XtNxrtYNum));}
inline void UxXrtGraph::SetXrtYNum (float val)
	{SetProp(XtNxrtYNum, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYNumMethod (void) const
	{ return (char * ) DDGetProp(XtNxrtYNumMethod);}
inline void UxXrtGraph::SetXrtYNumMethod (const char * val)
	{ DDSetProp(XtNxrtYNumMethod, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYNumUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYNumUseDefault);}
inline void UxXrtGraph::SetXrtYNumUseDefault (const char * val)
	{ DDSetProp(XtNxrtYNumUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYOrigin (void) const
	{return (float) XrtArgValToFloat((XtArgVal)GetProp(XtNxrtYOrigin));}
inline void UxXrtGraph::SetXrtYOrigin (float val)
	{SetProp(XtNxrtYOrigin, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYOriginPlacement (void) const
	{ return (char * ) DDGetProp(XtNxrtYOriginPlacement);}
inline void UxXrtGraph::SetXrtYOriginPlacement (const char * val)
	{ DDSetProp(XtNxrtYOriginPlacement, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYOriginUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYOriginUseDefault);}
inline void UxXrtGraph::SetXrtYOriginUseDefault (const char * val)
	{ DDSetProp(XtNxrtYOriginUseDefault, ((XtArgVal)(val)));}

inline int UxXrtGraph::GetXrtYPrecision (void) const
	{ return (int)IntGetProp(XtNxrtYPrecision);}
inline void UxXrtGraph::SetXrtYPrecision   (int val)
	{ SetProp(XtNxrtYPrecision, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYPrecisionUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYPrecisionUseDefault);}
inline void UxXrtGraph::SetXrtYPrecisionUseDefault (const char * val)
	{ DDSetProp(XtNxrtYPrecisionUseDefault, ((XtArgVal)(val)));}	
//??
inline float UxXrtGraph::GetXrtYTick (void) const
	{return (float) XrtArgValToFloat((XtArgVal)GetProp(XtNxrtYTick));}
inline void UxXrtGraph::SetXrtYTick (float val)
	{SetProp(XtNxrtYTick, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtYTickUseDefault (void) const
	{ return (char * ) DDGetProp(XtNxrtYTickUseDefault);}
inline void UxXrtGraph::SetXrtYTickUseDefault (const char * val)
	{ DDSetProp(XtNxrtYTickUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYTitle (void) const
	{ return (char * ) GetProp(XtNxrtYTitle);}
inline void UxXrtGraph::SetXrtYTitle (const char * val)
	{ SetProp(XtNxrtYTitle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYTitleRotation (void) const
	{ return (char * ) GetProp(XtNxrtYTitleRotation);}
inline void UxXrtGraph::SetXrtYTitleRotation (const char * val)
	{ DDSetProp(XtNxrtYTitleRotation, ((XtArgVal)(val)));}

inline float UxXrtGraph::GetXrtBubbleMax (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtBubbleMax));}
inline void UxXrtGraph::SetXrtBubbleMax (const float val)
	{ SetProp(XtNxrtBubbleMax, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtBubbleMethod (void) const
	{ return (char *) DDGetProp(XtNxrtBubbleMethod);}
inline void UxXrtGraph::SetXrtBubbleMethod (const char * val)
	{ DDSetProp(XtNxrtBubbleMethod, ((XtArgVal)(val)));}

inline float UxXrtGraph::GetXrtBubbleMin (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtBubbleMin));}
inline void UxXrtGraph::SetXrtBubbleMin (const float val)
	{ SetProp(XtNxrtBubbleMin, (XtArgVal) XrtFloatToArgVal((float) val));}

//inline voidFunction UxXrtGraph::GetXrtColorFunc (void) const
//	{ return (voidFunction) GetProp(XtNxrtColorFunc);}
//inline void UxXrtGraph::SetXrtColorFunc (const voidFunction val)
//	{ SetProp(XtNxrtColorFunc, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtExtraDefaultDataStyles (void) const
	{ return (char *) DDGetProp(XtNxrtExtraDefaultDataStyles);}
inline void UxXrtGraph::SetXrtExtraDefaultDataStyles (const char * val)
	{ DDSetProp(XtNxrtExtraDefaultDataStyles, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterImage (void) const
	{ return (char *) DDGetProp(XtNxrtFooterImage);}
inline void UxXrtGraph::SetXrtFooterImage (const char * val)
	{ DDSetProp(XtNxrtFooterImage, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrtFooterImageLayout);}
inline void UxXrtGraph::SetXrtFooterImageLayout (const char * val)
	{ DDSetProp(XtNxrtFooterImageLayout, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtFooterImageMinimumSize (void) const
	{ return (char *) DDGetProp(XtNxrtFooterImageMinimumSize);}
inline void UxXrtGraph::SetXrtFooterImageMinimumSize (const char * val)
	{ DDSetProp(XtNxrtFooterImageMinimumSize, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDataAreaImage (void) const
	{ return (char *) DDGetProp(XtNxrtDataAreaImage);}
inline void UxXrtGraph::SetXrtDataAreaImage (const char * val)
	{ DDSetProp(XtNxrtDataAreaImage, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtDataAreaImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrtDataAreaImageLayout);}
inline void UxXrtGraph::SetXrtDataAreaImageLayout (const char * val)
	{ DDSetProp(XtNxrtDataAreaImageLayout, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphImage (void) const
	{ return (char *) DDGetProp(XtNxrtGraphImage);}
inline void UxXrtGraph::SetXrtGraphImage (const char * val)
	{ DDSetProp(XtNxrtGraphImage, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtGraphImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrtGraphImageLayout);}
inline void UxXrtGraph::SetXrtGraphImageLayout (const char * val)
	{ DDSetProp(XtNxrtGraphImageLayout, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderImage (void) const
	{ return (char *) DDGetProp(XtNxrtHeaderImage);}
inline void UxXrtGraph::SetXrtHeaderImage (const char * val)
	{ DDSetProp(XtNxrtHeaderImage, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrtHeaderImageLayout);}
inline void UxXrtGraph::SetXrtHeaderImageLayout (const char * val)
	{ DDSetProp(XtNxrtHeaderImageLayout, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtHeaderImageMinimumSize (void) const
	{ return (char *) DDGetProp(XtNxrtHeaderImageMinimumSize);}
inline void UxXrtGraph::SetXrtHeaderImageMinimumSize (const char * val)
	{ DDSetProp(XtNxrtHeaderImageMinimumSize, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtImage (void) const
	{ return (char *) DDGetProp(XtNxrtImage);}
inline void UxXrtGraph::SetXrtImage (const char * val)
	{ DDSetProp(XtNxrtImage, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrtImageLayout);}
inline void UxXrtGraph::SetXrtImageLayout (const char * val)
	{ DDSetProp(XtNxrtImageLayout, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtIsStacked (void) const
	{ return (char *) DDGetProp(XtNxrtIsStacked);}
inline void UxXrtGraph::SetXrtIsStacked (const char * val)
	{ DDSetProp(XtNxrtIsStacked, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtIsStacked2 (void) const
	{ return (char *) DDGetProp(XtNxrtIsStacked2);}
inline void UxXrtGraph::SetXrtIsStacked2 (const char * val)
	{ DDSetProp(XtNxrtIsStacked2, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendImage (void) const
	{ return (char *) DDGetProp(XtNxrtLegendImage);}
inline void UxXrtGraph::SetXrtLegendImage (const char * val)
	{ DDSetProp(XtNxrtLegendImage, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendImageLayout (void) const
	{ return (char *) DDGetProp(XtNxrtLegendImageLayout);}
inline void UxXrtGraph::SetXrtLegendImageLayout (const char * val)
	{ DDSetProp(XtNxrtLegendImageLayout, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendReversed (void) const
	{ return (char *) DDGetProp(XtNxrtLegendReversed);}
inline void UxXrtGraph::SetXrtLegendReversed (const char * val)
	{ DDSetProp(XtNxrtLegendReversed, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtLegendTitle (void) const
	{ return (char *) DDGetProp(XtNxrtLegendTitle);}
inline void UxXrtGraph::SetXrtLegendTitle (const char * val)
	{ DDSetProp(XtNxrtLegendTitle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtPieMergeMissingSlices (void) const
	{ return (char *) DDGetProp(XtNxrtPieMergeMissingSlices);}
inline void UxXrtGraph::SetXrtPieMergeMissingSlices (const char * val)
	{ DDSetProp(XtNxrtPieMergeMissingSlices, ((XtArgVal)(val)));}

inline float UxXrtGraph::GetXrtPieStartAngle (void) const
	{return (float) XrtArgValToFloat((XtArgVal) GetProp(XtNxrtPieStartAngle));}
inline void UxXrtGraph::SetXrtPieStartAngle (const float val)
	{ SetProp(XtNxrtPieStartAngle, (XtArgVal) XrtFloatToArgVal((float) val));}

inline char * UxXrtGraph::GetXrtPolarAxisAllowNegatives (void) const
	{ return (char *) DDGetProp(XtNxrtPolarAxisAllowNegatives);}
inline void UxXrtGraph::SetXrtPolarAxisAllowNegatives (const char * val)
	{ DDSetProp(XtNxrtPolarAxisAllowNegatives, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAxisDataStyle (void) const
	{ return (char *) DDGetProp(XtNxrtXAxisDataStyle);}
inline void UxXrtGraph::SetXrtXAxisDataStyle (const char * val)
	{ DDSetProp(XtNxrtXAxisDataStyle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtXAxisDataStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtXAxisDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtXAxisDataStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrtXAxisDataStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2AxisDataStyle (void) const
	{ return (char *) DDGetProp(XtNxrtY2AxisDataStyle);}
inline void UxXrtGraph::SetXrtY2AxisDataStyle (const char * val)
	{ DDSetProp(XtNxrtY2AxisDataStyle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtY2AxisDataStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtY2AxisDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtY2AxisDataStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrtY2AxisDataStyleUseDefault, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYAxisDataStyle (void) const
	{ return (char *) DDGetProp(XtNxrtYAxisDataStyle);}
inline void UxXrtGraph::SetXrtYAxisDataStyle (const char * val)
	{ DDSetProp(XtNxrtYAxisDataStyle, ((XtArgVal)(val)));}

inline char * UxXrtGraph::GetXrtYAxisDataStyleUseDefault (void) const
	{ return (char *) DDGetProp(XtNxrtYAxisDataStyleUseDefault);}
inline void UxXrtGraph::SetXrtYAxisDataStyleUseDefault (const char * val)
	{ DDSetProp(XtNxrtYAxisDataStyleUseDefault, ((XtArgVal)(val)));}

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
