/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtProgress.hxx,v 1.7 2000/06/19 08:32:34 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtProgress.hxx	1.7    97/04/24 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtProgress : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtProgress(void);
	UXINLINE UxXrtProgress(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char *  GetFontList_Progress () const;
	UXINLINE void SetFontList_Progress (const char *);
	UXINLINE short GetMarginHeight_Progress () const;
	UXINLINE void SetMarginHeight_Progress (short);

	UXINLINE short GetMarginWidth_Progress () const;
	UXINLINE void SetMarginWidth_Progress (short);

	UXINLINE int GetMaximum_Progress () const;
	UXINLINE void SetMaximum_Progress (int);

	UXINLINE int GetMinimum_Progress () const;
	UXINLINE void SetMinimum_Progress (int);

	UXINLINE char * GetRecomputeSize_Progress () const;
	UXINLINE void SetRecomputeSize_Progress (const char *);

	UXINLINE int GetValue_Progress () const;
	UXINLINE void SetValue_Progress (int);

	UXINLINE char * GetXrtGearBarColor_Progress () const;
	UXINLINE void SetXrtGearBarColor_Progress (const char *);

	UXINLINE int GetXrtGearBarCount_Progress () const;
	UXINLINE void SetXrtGearBarCount_Progress (int);

	UXINLINE short GetXrtGearBarSpacing_Progress () const;
	UXINLINE void SetXrtGearBarSpacing_Progress (short);

	UXINLINE char * GetXrtGearDoubleBuffer_Progress () const;
	UXINLINE void SetXrtGearDoubleBuffer_Progress (const char *);

	UXINLINE char * GetXrtGearIcon_Progress () const;
	UXINLINE void SetXrtGearIcon_Progress (const char *);

	UXINLINE char * GetXrtGearLabelAlignment_Progress () const;
	UXINLINE void SetXrtGearLabelAlignment_Progress (const char *);

	UXINLINE char * GetXrtGearLabelFormat_Progress () const;
	UXINLINE void SetXrtGearLabelFormat_Progress (const char *);

	UXINLINE char * GetXrtGearLabelShow_Progress () const;
	UXINLINE void SetXrtGearLabelShow_Progress (const char *);

	UXINLINE int GetXrtGearProgressTimeOut_Progress () const;
	UXINLINE void SetXrtGearProgressTimeOut_Progress (int);

	UXINLINE char * GetXrtGearProgressType_Progress () const;
	UXINLINE void SetXrtGearProgressType_Progress (const char *);
};

#ifdef DESIGN_TIME

#define XRTGEAR_PROGRESS_TABLE(x)	xrtProgress_res_table[x].prpty, xrtProgress_res_table[x].name

extern Class_t UxC_XrtProgress;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtProgress::UxXrtProgress(void){}
inline UxXrtProgress::UxXrtProgress(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtProgress::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtProgressWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtProgress::GetFontList_Progress (void) const
	{return ( char * ) DDGetProp(XmNfontList);}
inline void UxXrtProgress::SetFontList_Progress (const char * val)
	{ DDSetProp(XmNfontList, ((XtArgVal)(val)));}
				
inline short UxXrtProgress::GetMarginHeight_Progress (void) const
	{return ( short) ShortGetProp(XmNmarginHeight);}
inline void UxXrtProgress::SetMarginHeight_Progress (short val)
	{ SetProp(XmNmarginHeight, ((XtArgVal)(val)));}

inline short UxXrtProgress::GetMarginWidth_Progress (void) const
	{return ( short) ShortGetProp(XmNmarginWidth);}
inline void UxXrtProgress::SetMarginWidth_Progress (short val)
	{ SetProp(XmNmarginWidth, ((XtArgVal)(val)));}

inline int UxXrtProgress::GetMaximum_Progress (void) const
	{return (int)IntGetProp(XmNmaximum);}
inline void UxXrtProgress::SetMaximum_Progress (int val)
	{ SetProp(XmNmaximum, ((XtArgVal)(val)));}

inline int UxXrtProgress::GetMinimum_Progress (void) const
	{return (int)IntGetProp(XmNminimum);}
inline void UxXrtProgress::SetMinimum_Progress (int val)
	{ SetProp(XmNminimum, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetRecomputeSize_Progress (void) const
	{return ( char *) DDGetProp(XmNrecomputeSize);}
inline void UxXrtProgress::SetRecomputeSize_Progress (const char * val)
	{ DDSetProp(XmNrecomputeSize, ((XtArgVal)(val)));}

inline int UxXrtProgress::GetValue_Progress (void) const
	{return (int)IntGetProp(XmNvalue);}
inline void UxXrtProgress::SetValue_Progress (int val)
	{ SetProp(XmNvalue, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetXrtGearBarColor_Progress (void) const
	{return ( char *) DDGetProp(XmNxrtGearBarColor);}
inline void UxXrtProgress::SetXrtGearBarColor_Progress (const char * val)
	{ DDSetProp(XmNxrtGearBarColor, ((XtArgVal)(val)));}

inline int UxXrtProgress::GetXrtGearBarCount_Progress (void) const
	{return (int)IntGetProp(XmNxrtGearBarCount);}
inline void UxXrtProgress::SetXrtGearBarCount_Progress (int val)
	{ SetProp(XmNxrtGearBarCount, ((XtArgVal)(val)));}

inline short UxXrtProgress::GetXrtGearBarSpacing_Progress (void) const
	{return (short)ShortGetProp(XmNxrtGearBarSpacing);}
inline void UxXrtProgress::SetXrtGearBarSpacing_Progress (short val)
	{ SetProp(XmNxrtGearBarSpacing, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetXrtGearDoubleBuffer_Progress (void) const
	{return (char *)DDGetProp(XmNxrtGearDoubleBuffer);}
inline void UxXrtProgress::SetXrtGearDoubleBuffer_Progress (const char * val)
	{ DDSetProp(XmNxrtGearDoubleBuffer, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetXrtGearIcon_Progress (void) const
	{return ( char *) DDGetProp(XmNxrtGearIcon);}
inline void UxXrtProgress::SetXrtGearIcon_Progress (const char * val)
	{ DDSetProp(XmNxrtGearIcon, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetXrtGearLabelAlignment_Progress (void) const
	{return ( char *) DDGetProp(XmNxrtGearLabelAlignment);}
inline void UxXrtProgress::SetXrtGearLabelAlignment_Progress (const char * val)
	{ DDSetProp(XmNxrtGearLabelAlignment, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetXrtGearLabelFormat_Progress (void) const
	{return ( char *) GetProp(XmNxrtGearLabelFormat);}
inline void UxXrtProgress::SetXrtGearLabelFormat_Progress (const char * val)
	{ SetProp(XmNxrtGearLabelFormat, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetXrtGearLabelShow_Progress (void) const
	{return ( char *) DDGetProp(XmNxrtGearLabelShow);}
inline void UxXrtProgress::SetXrtGearLabelShow_Progress (const char * val)
	{ DDSetProp(XmNxrtGearLabelShow, ((XtArgVal)(val)));}

inline int UxXrtProgress::GetXrtGearProgressTimeOut_Progress (void) const
	{return (int)IntGetProp(XmNxrtGearProgressTimeOut);}
inline void UxXrtProgress::SetXrtGearProgressTimeOut_Progress (int val)
	{ SetProp(XmNxrtGearProgressTimeOut, ((XtArgVal)(val)));}

inline char * UxXrtProgress::GetXrtGearProgressType_Progress (void) const
	{return ( char *) DDGetProp(XmNxrtGearProgressType);}
inline void UxXrtProgress::SetXrtGearProgressType_Progress (const char * val)
	{ DDSetProp(XmNxrtGearProgressType, ((XtArgVal)(val)));}

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
