/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtSpinBox.hxx,v 1.5 1999/10/13 11:50:40 nakayama Exp $
 *
 *  SCCSID -- @(#)UxXrtSpinBox.hxx	1.6    98/11/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtSpinBox : public UxXrtFldManager
{
    public:

	// Constructors
	UXINLINE UxXrtSpinBox(void);
	UXINLINE UxXrtSpinBox(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrtSpinArrowLayout () const;
	UXINLINE void SetXrtSpinArrowLayout (const char *);

	UXINLINE char * GetXrtSpinArrowOrientation () const;
	UXINLINE void SetXrtSpinArrowOrientation (const char *);

	UXINLINE char * GetXrtSpinDecrArrow () const;
	UXINLINE void SetXrtSpinDecrArrow (const char *);

	UXINLINE char * GetXrtSpinDecrArrowClass () const;
	UXINLINE void SetXrtSpinDecrArrowClass (const char *);
	/* pds */ 
	UXINLINE char * GetXrtSpinArrowType () const;
	UXINLINE void SetXrtSpinArrowType (const char *);

	UXINLINE char * GetXrtSpinField () const;
	UXINLINE void SetXrtSpinField (const char *);

	UXINLINE char * GetXrtSpinFieldClass () const;
	UXINLINE void SetXrtSpinFieldClass (const char *);

	UXINLINE char * GetXrtSpinFieldName () const;
	UXINLINE void SetXrtSpinFieldName (const char *);

	UXINLINE char * GetXrtSpinFieldType () const;
	UXINLINE void SetXrtSpinFieldType (const char *);

	UXINLINE char * GetXrtSpinIncrArrow () const;
	UXINLINE void SetXrtSpinIncrArrow (const char *);

	UXINLINE char * GetXrtSpinIncrArrowClass () const;
	UXINLINE void SetXrtSpinIncrArrowClass (const char *);
	/* pds */ 
	UXINLINE short GetXrtSpinSpacing () const;
	UXINLINE void SetXrtSpinSpacing (short);

	UXINLINE char * GetXrtSpinType () const;
	UXINLINE void SetXrtSpinType (const char *);

};

#ifdef DESIGN_TIME

#define XRTSPNFLD_TABLE(x)	xrtfldspn_res_table[x].prpty, xrtfldspn_res_table[x].name

extern Class_t UxC_XrtSpinBox;

#else /* (not DESIGN_TIME) */

// Constructors
inline UxXrtSpinBox::UxXrtSpinBox(void){}
inline UxXrtSpinBox::UxXrtSpinBox(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtSpinBox::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtSpinBoxWidgetClass, parent);
	return UxThis;
}

inline char * UxXrtSpinBox::GetXrtSpinArrowLayout (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinArrowLayout);}
inline void UxXrtSpinBox::SetXrtSpinArrowLayout (const char * val)
	{ DDSetProp(XmNxrtSpinArrowLayout, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinArrowOrientation (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinArrowOrientation);}
inline void UxXrtSpinBox::SetXrtSpinArrowOrientation (const char * val)
	{ DDSetProp(XmNxrtSpinArrowOrientation, ((XtArgVal)(val)));}
/* pds */ 
inline char * UxXrtSpinBox::GetXrtSpinArrowType (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinArrowType);}
inline void UxXrtSpinBox::SetXrtSpinArrowType (const char * val)
	{ DDSetProp(XmNxrtSpinArrowType, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinDecrArrow (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinDecrArrow);}
inline void UxXrtSpinBox::SetXrtSpinDecrArrow (const char * val)
	{ DDSetProp(XmNxrtSpinDecrArrow, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinDecrArrowClass (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinDecrArrowClass);}
inline void UxXrtSpinBox::SetXrtSpinDecrArrowClass (const char * val)
	{ DDSetProp(XmNxrtSpinDecrArrowClass, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinField (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinField);}
inline void UxXrtSpinBox::SetXrtSpinField (const char * val)
	{ DDSetProp(XmNxrtSpinField, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinFieldClass (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinFieldClass);}
inline void UxXrtSpinBox::SetXrtSpinFieldClass (const char * val)
	{ DDSetProp(XmNxrtSpinFieldClass, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinFieldName (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinFieldName);}
inline void UxXrtSpinBox::SetXrtSpinFieldName (const char * val)
	{ DDSetProp(XmNxrtSpinFieldName, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinFieldType (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinFieldType);}
inline void UxXrtSpinBox::SetXrtSpinFieldType (const char * val)
	{ DDSetProp(XmNxrtSpinFieldType, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinIncrArrow (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinIncrArrow);}
inline void UxXrtSpinBox::SetXrtSpinIncrArrow (const char * val)
	{ DDSetProp(XmNxrtSpinIncrArrow, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinIncrArrowClass (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinIncrArrowClass);}
inline void UxXrtSpinBox::SetXrtSpinIncrArrowClass (const char * val)
	{ DDSetProp(XmNxrtSpinIncrArrowClass, ((XtArgVal)(val)));}
/* pds */ 	
inline short UxXrtSpinBox::GetXrtSpinSpacing (void) const
	{ return (short ) ShortGetProp(XmNxrtSpinSpacing);}
inline void UxXrtSpinBox::SetXrtSpinSpacing (short val)
	{ SetProp(XmNxrtSpinSpacing, ((XtArgVal)(val)));}

inline char * UxXrtSpinBox::GetXrtSpinType (void) const
	{ return (char * ) DDGetProp(XmNxrtSpinType);}
inline void UxXrtSpinBox::SetXrtSpinType (const char * val)
	{ DDSetProp(XmNxrtSpinType, ((XtArgVal)(val)));}

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
