/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtStringField.h	1.9    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrtStringField.h
******************************************************************************/

#ifndef UXXRTSTRINGFIELD_INCLUDED
#define UXXRTSTRINGFIELD_INCLUDED

#include <Xm/XrtField.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxXrtField.h"
#include "UxXrtStringField.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTSTRFLD_NAME(x)	xrtfldstr_res_table[x].name
#define XRTSTRFLD_PRPTY(x)	xrtfldstr_res_table[x].prpty
#define XRTSTRFLD_TABLE(x)	XRTSTRFLD_PRPTY(x), XRTSTRFLD_NAME(x)

/* Design-Time UxGet and UxPut macros for xrtFldDefaultValue */
#ifndef UxGetXrtStringFldDefaultValue
#define UxGetXrtStringFldDefaultValue(sw) \
	UxGET_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumDefaultValue))
#endif
#ifndef UxPutXrtStringFldDefaultValue
#define UxPutXrtStringFldDefaultValue(sw, val) \
	UxPUT_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumDefaultValue), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldInternalValue */
#ifndef UxGetXrtStringFldInternalValue
#define UxGetXrtStringFldInternalValue(sw) \
	UxGET_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumInternalValue))
#endif
#ifndef UxPutXrtStringFldInternalValue
#define UxPutXrtStringFldInternalValue(sw, val) \
	UxPUT_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumInternalValue), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMax */
#ifndef UxGetXrtStringFldMax
#define UxGetXrtStringFldMax(sw) \
	UxGET_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumMax))
#endif
#ifndef UxPutXrtStringFldMax
#define UxPutXrtStringFldMax(sw, val) \
	UxPUT_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumMax), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldMin */
#ifndef UxGetXrtStringFldMin
#define UxGetXrtStringFldMin(sw) \
	UxGET_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumMin))
#endif
#ifndef UxPutXrtStringFldMin
#define UxPutXrtStringFldMin(sw, val) \
	UxPUT_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumMin), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtFldPickList */
#ifndef UxGetXrtStringFldPickList
#define UxGetXrtStringFldPickList(sw) \
	UxGET_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumPickList))
#endif
#ifndef UxPutXrtStringFldPickList
#define UxPutXrtStringFldPickList(sw, val) \
	UxPUT_string(sw, XRTSTRFLD_TABLE(xrtStringFldResNumPickList), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtStringField;
/* Design-time create macro */
#ifndef UxCreateXrtStringField
#define UxCreateXrtStringField(name, parent) \
	UxCreateSwidget(UxC_XrtStringField, name, parent)
#endif

#else /* Not DESIGN_TIME */

#ifndef UxGetXrtStringFldDefaultValue
#define UxGetXrtStringFldDefaultValue(sw) \
	(char *) UxGetProp(sw, XmNxrtFldDefaultValue)
#endif
#ifndef UxPutXrtStringFldDefaultValue
#define UxPutXrtStringFldDefaultValue(sw, val) \
	UxPutProp(sw, XmNxrtFldDefaultValue, (XtArgVal)(val))
#endif

#ifndef UxGetXrtStringFldInternalValue
#define UxGetXrtStringFldInternalValue(sw) \
	(char *) UxGetProp(sw, XmNxrtFldInternalValue)
#endif
#ifndef UxPutXrtStringFldInternalValue
#define UxPutXrtStringFldInternalValue(sw, val) \
	UxPutProp(sw, XmNxrtFldInternalValue, (XtArgVal)(val))
#endif

#ifndef UxGetXrtStringFldMax
#define UxGetXrtStringFldMax(sw) \
	(char *) UxGetProp(sw, XmNxrtFldMax)
#endif
#ifndef UxPutXrtStringFldMax
#define UxPutXrtStringFldMax(sw, val) \
	UxPutProp(sw, XmNxrtFldMax, (XtArgVal)(val))
#endif

#ifndef UxGetXrtStringFldMin
#define UxGetXrtStringFldMin(sw) \
	(char *) UxGetProp(sw, XmNxrtFldMin)
#endif
#ifndef UxPutXrtStringFldMin
#define UxPutXrtStringFldMin(sw, val) \
	UxPutProp(sw, XmNxrtFldMin, (XtArgVal)(val))
#endif

#ifndef UxGetXrtStringFldPickList
#define UxGetXrtStringFldPickList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtFldPickList)
#endif
#ifndef UxPutXrtStringFldPickList
#define UxPutXrtStringFldPickList(sw, val) \
	UxDDPutProp(sw, XmNxrtFldPickList, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtStringField
#define UxCreateXrtStringField(name, parent) \
	UxCreateSwidget(name, xmXrtStringFieldWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTSTRINGFIELD_INCLUDED */

/***END*OF*FILE***************************************************************/
