/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtStringField.hxx,v 1.3 1998/10/12 02:25:31 yamato Exp $
 *
 *  SCCSID -- @(#)UxXrtStringField.hxx	1.4    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtStringField : public UxXrtField
{
    public:


	// Constructors
	UXINLINE UxXrtStringField(void);
	UXINLINE UxXrtStringField(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrtStringFldDefaultValue () const;
	UXINLINE void SetXrtStringFldDefaultValue (const char *);

	UXINLINE char * GetXrtStringFldInternalValue () const;
	UXINLINE void SetXrtStringFldInternalValue (const char *);

	UXINLINE char * GetXrtStringFldMax () const;
	UXINLINE void SetXrtStringFldMax (const char *);

	UXINLINE char * GetXrtStringFldMin () const;
	UXINLINE void SetXrtStringFldMin (const char *);

	UXINLINE char * GetXrtStringFldPickList () const;
	UXINLINE void SetXrtStringFldPickList (const char *);

};

#ifdef DESIGN_TIME

#define XRTSTRFLD_NAME(x)	xrtfldstr_res_table[x].name
#define XRTSTRFLD_PRPTY(x)	xrtfldstr_res_table[x].prpty
#define XRTSTRFLD_TABLE(x)	XRTSTRFLD_PRPTY(x), XRTSTRFLD_NAME(x)

extern Class_t UxC_XrtStringField;

#else /* (not DESIGN_TIME) */

// Constructors
inline UxXrtStringField::UxXrtStringField(void){}
inline UxXrtStringField::UxXrtStringField(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtStringField::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtStringFieldWidgetClass, parent);
	return UxThis;
}

inline char * UxXrtStringField::GetXrtStringFldDefaultValue (void) const
	{ return (char * ) GetProp(XmNxrtFldDefaultValue);}
inline void UxXrtStringField::SetXrtStringFldDefaultValue (const char * val)
	{ SetProp(XmNxrtFldDefaultValue, ((XtArgVal)(val)));}

inline char * UxXrtStringField::GetXrtStringFldInternalValue (void) const
	{ return (char * ) GetProp(XmNxrtFldInternalValue);}
inline void UxXrtStringField::SetXrtStringFldInternalValue (const char * val)
	{ SetProp(XmNxrtFldInternalValue, ((XtArgVal)(val)));}

inline char * UxXrtStringField::GetXrtStringFldMax (void) const
	{ return (char * ) GetProp(XmNxrtFldMax);}
inline void UxXrtStringField::SetXrtStringFldMax (const char * val)
	{ SetProp(XmNxrtFldMax, ((XtArgVal)(val)));}

inline char * UxXrtStringField::GetXrtStringFldMin (void) const
	{ return (char * ) GetProp(XmNxrtFldMin);}
inline void UxXrtStringField::SetXrtStringFldMin (const char * val)
	{ SetProp(XmNxrtFldMin, ((XtArgVal)(val)));}

inline char * UxXrtStringField::GetXrtStringFldPickList (void) const
	{ return (char * ) DDGetProp(XmNxrtFldPickList);}
inline void UxXrtStringField::SetXrtStringFldPickList (const char * val)
	{ DDSetProp(XmNxrtFldPickList, ((XtArgVal)(val)));}

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
