/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtToolbar.h	1.5    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrtToolbar.h
******************************************************************************/

#ifndef UXXRTTOOLBAR_INCLUDED
#define UXXRTTOOLBAR_INCLUDED

#include <Xm/XrtToolbar.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxXrtManager.h"
#include "UxXrtToolbar.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTGEAR_TOOLBAR_TABLE(x)	xrtTbar_res_table[x].prpty, xrtTbar_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtTbarBottomSpace */
#ifndef UxGetXrtGearBottomSpace_Tbar
#define UxGetXrtGearBottomSpace_Tbar(sw) \
	UxGET_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumBottomSpace))
#endif
#ifndef UxPutXrtGearBottomSpace_Tbar
#define UxPutXrtGearBottomSpace_Tbar(sw, val) \
	UxPUT_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumBottomSpace), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTbarLeftSpace */
#ifndef UxGetXrtGearLeftSpace_Tbar
#define UxGetXrtGearLeftSpace_Tbar(sw) \
	UxGET_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumLeftSpace))
#endif
#ifndef UxPutXrtGearLeftSpace_Tbar
#define UxPutXrtGearLeftSpace_Tbar(sw, val) \
	UxPUT_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumLeftSpace), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTbarMarginHeight */
#ifndef UxGetXrtGearMarginHeight_Tbar
#define UxGetXrtGearMarginHeight_Tbar(sw) \
	UxGET_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumMarginHeight))
#endif
#ifndef UxPutXrtGearMarginHeight_Tbar
#define UxPutXrtGearMarginHeight_Tbar(sw, val) \
	UxPUT_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumMarginHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTbarMarginWidth */
#ifndef UxGetXrtGearMarginWidth_Tbar
#define UxGetXrtGearMarginWidth_Tbar(sw) \
	UxGET_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumMarginWidth))
#endif
#ifndef UxPutXrtGearMarginWidth_Tbar
#define UxPutXrtGearMarginWidth_Tbar(sw, val) \
	UxPUT_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumMarginWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTbarOrientation */
#ifndef UxGetXrtGearOrientation_Tbar
#define UxGetXrtGearOrientation_Tbar(sw) \
	UxGET_string(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumOrientation))
#endif
#ifndef UxPutXrtGearOrientation_Tbar
#define UxPutXrtGearOrientation_Tbar(sw, val) \
	UxPUT_string(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumOrientation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTbarPosition */
#ifndef UxGetXrtGearPosition_Tbar
#define UxGetXrtGearPosition_Tbar(sw) \
	UxGET_int(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumPosition))
#endif
#ifndef UxPutXrtGearPosition_Tbar
#define UxPutXrtGearPosition_Tbar(sw, val) \
	UxPUT_int(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumPosition), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTbarRightSpace */
#ifndef UxGetXrtGearRightSpace_Tbar
#define UxGetXrtGearRightSpace_Tbar(sw) \
	UxGET_int(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumRightSpace))
#endif
#ifndef UxPutXrtGearRightSpace_Tbar
#define UxPutXrtGearRightSpace_Tbar(sw, val) \
	UxPUT_int(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumRightSpace), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTbarTopSpace */
#ifndef UxGetXrtGearTopSpace_Tbar
#define UxGetXrtGearTopSpace_Tbar(sw) \
	UxGET_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumTopSpace))
#endif
#ifndef UxPutXrtGearTopSpace_Tbar
#define UxPutXrtGearTopSpace_Tbar(sw, val) \
	UxPUT_short(sw, XRTGEAR_TOOLBAR_TABLE(xrtTbarResNumTopSpace), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtToolbar;
/* Design-time create macro */
#ifndef UxCreateXrtToolbar
#define UxCreateXrtToolbar(name, parent) \
	UxCreateSwidget(UxC_XrtToolbar, name, parent)
#endif

#else /* RUN_TIME */

#ifndef UxGetXrtGearBottomSpace_Tbar
#define UxGetXrtGearBottomSpace_Tbar(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearBottomSpace)
#endif
#ifndef UxPutXrtGearBottomSpace_Tbar
#define UxPutXrtGearBottomSpace_Tbar(sw, val) \
	UxPutProp(sw, XmNxrtGearBottomSpace, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLeftSpace_Tbar
#define UxGetXrtGearLeftSpace_Tbar(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearLeftSpace)
#endif
#ifndef UxPutXrtGearLeftSpace_Tbar
#define UxPutXrtGearLeftSpace_Tbar(sw, val) \
	UxPutProp(sw, XmNxrtGearLeftSpace, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginHeight_Tbar
#define UxGetXrtGearMarginHeight_Tbar(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginHeight)
#endif
#ifndef UxPutXrtGearMarginHeight_Tbar
#define UxPutXrtGearMarginHeight_Tbar(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginWidth_Tbar
#define UxGetXrtGearMarginWidth_Tbar(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginWidth)
#endif
#ifndef UxPutXrtGearMarginWidth_Tbar
#define UxPutXrtGearMarginWidth_Tbar(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearOrientation_Tbar
#define UxGetXrtGearOrientation_Tbar(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearOrientation)
#endif
#ifndef UxPutXrtGearOrientation_Tbar
#define UxPutXrtGearOrientation_Tbar(sw, val) \
	UxDDPutProp(sw, XmNxrtGearOrientation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPosition_Tbar
#define UxGetXrtGearPosition_Tbar(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearPosition)
#endif
#ifndef UxPutXrtGearPosition_Tbar
#define UxPutXrtGearPosition_Tbar(sw, val) \
	UxPutProp(sw, XmNxrtGearPosition, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearRightSpace_Tbar
#define UxGetXrtGearRightSpace_Tbar(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearRightSpace)
#endif
#ifndef UxPutXrtGearRightSpace_Tbar
#define UxPutXrtGearRightSpace_Tbar(sw, val) \
	UxPutProp(sw, XmNxrtGearRightSpace, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTopSpace_Tbar
#define UxGetXrtGearTopSpace_Tbar(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearTopSpace)
#endif
#ifndef UxPutXrtGearTopSpace_Tbar
#define UxPutXrtGearTopSpace_Tbar(sw, val) \
	UxPutProp(sw, XmNxrtGearTopSpace, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtToolbar
#define UxCreateXrtToolbar(name, parent) \
	UxCreateSwidget(name, xmXrtToolbarWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTTOOLBAR_INCLUDED */

/***END*OF*FILE***************************************************************/
