/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/table widget UIM/X integration file
 *
 * $AstecId: XrtTbl.cl.h,v 1.3 1999/10/13 11:51:35 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtTbl.cl.h	1.7    98/11/05 KL Group Inc.
 */

/******************************************************************************
				XrtTbl.cl.h
******************************************************************************/

#ifndef XRTTBL_CL_H
#define XRTTBL_CL_H

#include "mgr.cl.h"		/* swidget-superclass header file for table widget */
#include "prim.cl.h"	/* swidget-superclass header file for label widget */

/* Definition of the XrtTable class structure */

typedef	struct UxXrtTableClassPart
{
	Resource_t		*RD_xrtTblAlignmentContext;
	Resource_t		*RD_xrtTblAlignmentSeries;
	Resource_t		*RD_xrtTblAllowCellResize;
	Resource_t		*RD_xrtTblAllowResize;
	Resource_t		*RD_xrtTblBackgroundContext;
	Resource_t		*RD_xrtTblBackgroundPixelContext;	
	Resource_t		*RD_xrtTblBackgroundSeries;
	Resource_t		*RD_xrtTblBackingStore;				
	Resource_t		*RD_xrtTblBorderSidesContext;
	Resource_t		*RD_xrtTblBorderSidesSeries;
	Resource_t		*RD_xrtTblBorderTypeContext;
	Resource_t		*RD_xrtTblBorderTypeSeries;
	Resource_t		*RD_xrtTblBottomOffset;
	Resource_t		*RD_xrtTblBottomShadowContext;			
	Resource_t		*RD_xrtTblCaseContext;
	Resource_t		*RD_xrtTblCaseSeries;
	Resource_t		*RD_xrtTblCellValueCallback;			
 	Resource_t		*RD_xrtTblCellValueContext;
	Resource_t		*RD_xrtTblCellValueFunc;
	Resource_t		*RD_xrtTblCellValues;
	Resource_t		*RD_xrtTblCharHeightContext;
	Resource_t		*RD_xrtTblCharHeightSeries;
	Resource_t		*RD_xrtTblCharWidthContext;
	Resource_t		*RD_xrtTblCharWidthSeries;
	Resource_t		*RD_xrtTblClipChildrenPersistent;		
	Resource_t		*RD_xrtTblClipPixmapContext;			
	Resource_t		*RD_xrtTblClipPixmapSeries;				
	Resource_t		*RD_xrtTblColumnLabelPlacement;
	Resource_t		*RD_xrtTblColumnLabels;
	Resource_t		*RD_xrtTblColumnLabelOffset;			
	Resource_t		*RD_xrtTblContext;
	Resource_t		*RD_xrtTblContextValueCallback;			
	Resource_t		*RD_xrtTblCreateWidgetCallback;
	Resource_t		*RD_xrtTblCursorCorner;
	Resource_t		*RD_xrtTblCursorHorizontal;
	Resource_t		*RD_xrtTblCursorNontraversable;
	Resource_t		*RD_xrtTblCursorTraversable;
	Resource_t		*RD_xrtTblCursorVertical;
	Resource_t		*RD_xrtTblDataTypeContext;
	Resource_t		*RD_xrtTblDataTypeList;
	Resource_t		*RD_xrtTblDataTypeSeries;
	Resource_t		*RD_xrtTblDebug;
	Resource_t		*RD_xrtTblDisplayClipArrows;
	Resource_t		*RD_xrtTblDisplayHorizScrollBar;
	Resource_t		*RD_xrtTblDisplayVertScrollBar;
	Resource_t		*RD_xrtTblDisplayWidgetCallback;
	Resource_t		*RD_xrtTblDoubleBuffer;
	Resource_t		*RD_xrtTblEditableContext;
	Resource_t		*RD_xrtTblEditableSeries;
	Resource_t		*RD_xrtTblEnterCellCallback;
	Resource_t		*RD_xrtTblExportDelimiter;				 
	Resource_t		*RD_xrtTblExposeCallback;
	Resource_t		*RD_xrtTblFontListContext;
	Resource_t		*RD_xrtTblFontListSeries;
	Resource_t		*RD_xrtTblForegroundContext;
	Resource_t		*RD_xrtTblForegroundSeries;
	Resource_t		*RD_xrtTblForegroundPixelContext;
	Resource_t		*RD_xrtTblFrameBorderType;				 
	Resource_t		*RD_xrtTblFrameShadowThickness;
	Resource_t		*RD_xrtTblFrozenColumnPlacement;
	Resource_t		*RD_xrtTblFrozenColumns;
	Resource_t		*RD_xrtTblFrozenRowPlacement;
	Resource_t		*RD_xrtTblFrozenRows;
	Resource_t		*RD_xrtTblHorizScrollBarLeftAttachment;
	Resource_t		*RD_xrtTblHorizScrollBarPlacement;
	Resource_t		*RD_xrtTblHorizScrollBarPosition;
	Resource_t		*RD_xrtTblHorizScrollBarRightAttachment;
	Resource_t		*RD_xrtTblHorizontalScrollBar;
	Resource_t		*RD_xrtTblImportDelimiter;				 
	Resource_t		*RD_xrtTblJumpScroll;
	Resource_t		*RD_xrtTblLabelContext;
	Resource_t		*RD_xrtTblLabelCreateCallback;
	Resource_t		*RD_xrtTblLabelCreateFunc;
	Resource_t		*RD_xrtTblLeftColumn;
	Resource_t		*RD_xrtTblLeftOffset;
	Resource_t		*RD_xrtTblLocation;
	Resource_t		*RD_xrtTblMarginHeight;
	Resource_t		*RD_xrtTblMarginWidth;
	Resource_t		*RD_xrtTblMaxLengthContext;
	Resource_t		*RD_xrtTblMaxLengthSeries;
	Resource_t		*RD_xrtTblMinCellVisibility;
	Resource_t		*RD_xrtTblMinFlexibleHeight;
	Resource_t		*RD_xrtTblMinFlexibleWidth;
	Resource_t		*RD_xrtTblMode;
	Resource_t		*RD_xrtTblMultilineContext;
	Resource_t		*RD_xrtTblMultilineSeries;
	Resource_t		*RD_xrtTblNumColumns;
	Resource_t		*RD_xrtTblNumRows;
	Resource_t		*RD_xrtTblOverflowContext;
	Resource_t		*RD_xrtTblOverflowSeries;
	Resource_t		*RD_xrtTblPixelHeightContext;
	Resource_t		*RD_xrtTblPixelHeightSeries;
	Resource_t		*RD_xrtTblPixelWidthContext;
	Resource_t		*RD_xrtTblPixelWidthSeries;
	Resource_t		*RD_xrtTblPixmapContext;
	Resource_t		*RD_xrtTblPixmapLayoutContext;
	Resource_t		*RD_xrtTblPixmapLayoutSeries;
	Resource_t		*RD_xrtTblPixmapSeries;
	Resource_t		*RD_xrtTblPixmapShadowContext;
	Resource_t		*RD_xrtTblPixmapShadowSeries;
	Resource_t		*RD_xrtTblPrintCallback;	
	Resource_t		*RD_xrtTblPrintWidgetCallback;	
	Resource_t		*RD_xrtTblPSFontMapList;
	Resource_t		*RD_xrtTblPSFontListContext;
	Resource_t		*RD_xrtTblPSFontListSeries;
	Resource_t		*RD_xrtTblRangeContext;
	Resource_t		*RD_xrtTblRepaint;
	Resource_t		*RD_xrtTblRepeatBackgroundColors;	
	Resource_t		*RD_xrtTblRepeatForegroundColors;
	Resource_t		*RD_xrtTblResizeCallback;
	Resource_t		*RD_xrtTblResizeCellCallback;
	Resource_t		*RD_xrtTblRightOffset;
	Resource_t		*RD_xrtTblRowLabelOffset;	
	Resource_t		*RD_xrtTblRowLabelPlacement;
	Resource_t		*RD_xrtTblRowLabels;
	Resource_t		*RD_xrtTblScrollCallback;	
	Resource_t		*RD_xrtTblSelectCallback;
	Resource_t		*RD_xrtTblSelectedBackground;
	Resource_t		*RD_xrtTblSelectedCellList;
	Resource_t		*RD_xrtTblSelectedForeground;
	Resource_t		*RD_xrtTblSelectionPolicy;
	Resource_t		*RD_xrtTblSetTextCursorPos;	
	Resource_t		*RD_xrtTblShadowThickness;
	Resource_t		*RD_xrtTblSortCallback;
	Resource_t		*RD_xrtTblSpace;
	Resource_t		*RD_xrtTblSpanList;
	Resource_t		*RD_xrtTblText;
	Resource_t		*RD_xrtTblTextInitSelect;	
	Resource_t		*RD_xrtTblTopOffset;
	Resource_t		*RD_xrtTblTopRow;
	Resource_t		*RD_xrtTblTopShadowContext;	
	Resource_t		*RD_xrtTblTrackCursor;
	Resource_t		*RD_xrtTblTrackCursorCallback;
	Resource_t		*RD_xrtTblTraversableContext;
	Resource_t		*RD_xrtTblTraversableSeries;
	Resource_t		*RD_xrtTblTraverseCellCallback;
	Resource_t		*RD_xrtTblUseXmGetColors;
	Resource_t		*RD_xrtTblValidateCellCallback;
	Resource_t		*RD_xrtTblValidatePolicy;
	Resource_t		*RD_xrtTblVertScrollBarBottomAttachment;
	Resource_t		*RD_xrtTblVertScrollBarPlacement;
	Resource_t		*RD_xrtTblVertScrollBarPosition;
	Resource_t		*RD_xrtTblVertScrollBarTopAttachment;
	Resource_t		*RD_xrtTblVerticalScrollBar;
	Resource_t		*RD_xrtTblVisibleColumns;
	Resource_t		*RD_xrtTblVisibleRows;
	Resource_t		*RD_xrtTblWidgetLocation;
	Resource_t		*RD_xrtTblWidgetClassList;
	Resource_t		*RD_xrtTblWidgetContext;
	Resource_t		*RD_xrtTblWidgetSeries;
	Resource_t		*RD_xrtTblWidgetSetValueCallback;
	Resource_t		*RD_xrtTblWidgetShadowContext;
	Resource_t		*RD_xrtTblWidgetShadowSeries;
	Resource_t		*RD_xrtTblWordWrapContext;
	Resource_t		*RD_xrtTblWordWrapSeries;
	Resource_t		*RD_xrtTblXmStringGetMode;
	Resource_t		*RD_xrtTblXmStringSetMode;
	Resource_t		*RD_xrtTblExportCallback;
	Resource_t		*RD_xrtTblImportCallback;
	/*new*/
	Resource_t		*RD_xrtTblCurrencyPickListContext;
	Resource_t		*RD_xrtTblCurrencyPickListSeries;
	Resource_t		*RD_xrtTblDatePickListContext;
	Resource_t		*RD_xrtTblDatePickListSeries;
	Resource_t		*RD_xrtTblFloatPickListContext;
	Resource_t		*RD_xrtTblFloatPickListSeries;
	Resource_t		*RD_xrtTblIntPickListContext;
	Resource_t		*RD_xrtTblIntPickListSeries;
	Resource_t		*RD_xrtTblPreviewScrolling;
	Resource_t		*RD_xrtTblResizeToCell;
	Resource_t		*RD_xrtTblSensitiveContext;
	Resource_t		*RD_xrtTblSensitiveSeries;
	Resource_t		*RD_xrtTblStringPickListContext;
	Resource_t		*RD_xrtTblStringPickListSeries;
	int	mumble;		/* Just in case */
} UxXrtTableClassPart;

/* Definition of the XrtLabel class structure */

typedef	struct UxXrtLabelClassPart
{
	Resource_t		*RD_alignment;
	Resource_t		*RD_fontList;
	Resource_t		*RD_labelPixmap;
	Resource_t		*RD_labelString;
	Resource_t		*RD_labelType;
	Resource_t		*RD_marginHeight;
	Resource_t		*RD_marginWidth;
	Resource_t		*RD_recomputeSize;
	Resource_t		*RD_shadowThickness;
	Resource_t		*RD_stringDirection;
	Resource_t		*RD_xrtLblBackgroundString;
	Resource_t		*RD_xrtLblBorderType;
	Resource_t		*RD_xrtLblForegroundString;
	Resource_t		*RD_xrtLblRotation;
	int	mumble;		/* Just in case */
} UxXrtLabelClassPart;

typedef	struct UxXrtTableClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxCoreClassPart			Core;
	UxCompositeClassPart	Composite;
	UxManagerClassPart		manager;
	UxXrtTableClassPart		XrtTable;
} UxXrtTableClass;

typedef	struct UxXrtLabelClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxCoreClassPart			Core;
	UxPrimitiveClassPart	primitive;
	UxXrtLabelClassPart		XrtLabel;
} UxXrtLabelClass;

/* Definition of the XrtTable and XrtLabel instance structures
   (there are no instance properties so the XrtTable/XrtLabel instance
   structure is the same as the manager/primitive instance structure) */

typedef	manager		UxXrtTable;
typedef	primitive	UxXrtLabel;

/* Declarations of global variables for XrtTable & XrtLabel class */

extern Class_t	UxC_XrtTable;
extern Class_t	UxC_XrtLabel;

#include "Xrt_restable.h"

#endif /* XRTTBL_CL_H */
