/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT products and UIM/X integration file
 *
 * $AstecId: stub_runtime.c,v 1.7 2003/01/29 04:15:33 kosaka Exp $
 *
 *  SCCSID -- @(#)stub_runtime.c	1.7    99/02/01 KL Group Inc.
 */

/******************************************************************************
				stub_rtime.c
******************************************************************************/

#include <stdio.h>

/*
Because of a bug in how UIM/X uses the files involved in customization,
these symbols are undefined when linking uxcgen.  They are used within
routines described in user-xtype.c but their libraries and header files are
not accessed by the cgen make.  They are not called by cgen and can thus
be stubbed out here without ill effect.
*/


#define STUB(name) \
int name(){ return 1; }

#ifdef STUBUXSTREQUAL
	STUB(UxStrEqual)
#endif /* STUBUXSTREQUAL */
	STUB(UxGetSelectedIface)
	STUB(UxGUIPopupColorView)
	STUB(UxGUIPopupFontView)
	STUB(UxGUIPopupPixView)
	STUB(UxSaveValue)

	STUB(UxValidateAlignment)
	STUB(UxValuesOfAlignment)

	STUB(UxValidateBoolean)
	STUB(UxValuesOfBoolean)

	STUB(UxValuesOfChar)
	STUB(UxValidateChar)

	STUB(UxValidateDimension)
	STUB(UxValuesOfDimension)

	STUB(UxValuesOfInt)
	STUB(UxValidateInt)

	STUB(UxValidateLabelType)
	STUB(UxValuesOfLabelType)

	STUB(UxValidateOrientation)
	STUB(UxValuesOfOrientation)

	STUB(UxValidatePixel)
	STUB(UxValuesOfPixel)

	STUB(UxValidatePixmap)
	STUB(UxValuesOfPixmap)

	STUB(UxValidatePosition)
	STUB(UxValuesOfPosition)

	STUB(UxValuesOfScrollBarPlacement)
	STUB(UxValidateScrollBarPlacement)

	STUB(UxValidateString)
	STUB(UxValuesOfString)

	STUB(UxValidateStringDirection)
	STUB(UxValuesOfStringDirection)

	STUB(UxValidateStringTable)
	STUB(UxValuesOfStringTable)

	STUB(UxValidateWidget)
	STUB(UxValuesOfWidget)

	STUB(UxValidateVoidFunction)
	STUB(UxValuesOfVoidFunction)

	STUB(UxValidateXmFontList)
	STUB(UxValuesOfXmFontList)

	STUB(UxValidateXmString)
	STUB(UxValuesOfXmString)

	STUB(UxValidatePointer)
	STUB(UxValuesOfPointer)

/*
 * stub XRT ValuesOf and Validator functions
 */

	/* Xrt3d Specific functions */

	STUB(UxValuesOfXrt3dAdjust)
	STUB(UxValuesOfXrt3dAlign)
	STUB(UxValuesOfXrt3dAnchor)
	STUB(UxValuesOfXrt3dAnnoMethod)
	STUB(UxValuesOfXrt3dAttachMethod)
	STUB(UxValuesOfXrt3dBarFormat)
	STUB(UxValuesOfXrt3dBorder)
	STUB(UxValuesOfXrt3dContourStyles)
	STUB(UxValuesOfXrt3dData)
	STUB(UxValuesOfXrt3dDistnMethod)
	STUB(UxValuesOfXrt3dDistnTable)
	STUB(UxValuesOfXrt3dDouble)
	STUB(UxValuesOfXrt3dLegendStyle)
	STUB(UxValuesOfXrt3dPreviewMethod)
	STUB(UxValuesOfXrt3dPlane)
	STUB(UxValuesOfXrt3dProject)
	STUB(UxValuesOfXrt3dStrings)
	STUB(UxValuesOfXrt3dStrokeFont)
	STUB(UxValuesOfXrt3dTextList)
	STUB(UxValuesOfXrt3dType)
	STUB(UxValuesOfXrt3dValueLabels)
	STUB(UxValuesOfXrt3dXYColors)
	STUB(UxValuesOfXrt3dXGridLines)
	STUB(UxValuesOfXrt3dYGridLines)
	STUB(UxValuesOfXrt3dZGridLines)
	STUB(UxValuesOfXrt3dZoneMethod)
	STUB(UxValuesOfXrt3dDataStyles)
	STUB(UxValuesOfXrt3dDistnRange)
	STUB(UxValuesOfXrt3dImage)
	STUB(UxValuesOfXrt3dImageLayout)
	STUB(UxValuesOfXrt3dLineStyle)

	STUB(UxValidateXrt3dAdjust)
	STUB(UxValidateXrt3dAlign)
	STUB(UxValidateXrt3dAnchor)
	STUB(UxValidateXrt3dAnnoMethod)
	STUB(UxValidateXrt3dAttachMethod)
	STUB(UxValidateXrt3dBarFormat)
	STUB(UxValidateXrt3dBorder)
	STUB(UxValidateXrt3dData)
	STUB(UxValidateXrt3dDistnMethod)
	STUB(UxValidateXrt3dDistnTable)
	STUB(UxValidateXrt3dLegendStyle)
	STUB(UxValidateXrt3dPreviewMethod)
	STUB(UxValidateXrt3dPlane)
	STUB(UxValidateXrt3dProject)
	STUB(UxValidateXrt3dStrokeFont)
	STUB(UxValidateXrt3dType)
	STUB(UxValidateXrt3dXGridLines)
	STUB(UxValidateXrt3dYGridLines)
	STUB(UxValidateXrt3dZGridLines)
	STUB(UxValidateXrt3dZoneMethod)
	STUB(UxValidateXrt3dDistnRange)
	STUB(UxValidateXrt3dDataStyles)
	STUB(UxValidateXrt3dImage)
	STUB(UxValidateXrt3dImageLayout)
	STUB(UxValidateXrt3dLineStyle)

	/* XrtField Specific functions */

	STUB(UxValuesOfXrtFldArrowType)
	STUB(UxValuesOfXrtFldCase)
	STUB(UxValuesOfXrtFldDate)
	STUB(UxValuesOfXrtFldDateIncrement)
	STUB(UxValuesOfXrtFldDispScrollBar)
	STUB(UxValuesOfXrtFldDouble)
	STUB(UxValuesOfXrtFldError)
	STUB(UxValuesOfXrtFldFieldType)
	STUB(UxValuesOfXrtFldFormat)
	STUB(UxValuesOfXrtFldMatchMask)
	STUB(UxValuesOfXrtFldMenuAlignment)
	STUB(UxValuesOfXrtFldMultiTypeList)
	STUB(UxValuesOfXrtFldNegFormat)
	STUB(UxValuesOfXrtFldPixel)
	STUB(UxValuesOfXrtFldRange)
	STUB(UxValuesOfXrtFldSearchPolicy)
	STUB(UxValuesOfXrtFldSpinArrowLayout)
	STUB(UxValuesOfXrtFldSpinType)
	STUB(UxValuesOfXrtFldStringTable)
	STUB(UxValuesOfXrtFldPopupType)
	STUB(UxValuesOfXrtFldSpecialDays)
	STUB(UxValuesOfXrtFldSpinPolicy)
	STUB(UxValuesOfXrtFldFontList)

	STUB(UxValidateXrtFldArrowType)
	STUB(UxValidateXrtFldCase)
	STUB(UxValidateXrtFldDate)
	STUB(UxValidateXrtFldDispScrollBar)
	STUB(UxValidateXrtFldError)
	STUB(UxValidateXrtFldFieldType)
	STUB(UxValidateXrtFldFormat)
	STUB(UxValidateXrtFldMatchMask)
	STUB(UxValidateXrtFldMenuAlignment)
	STUB(UxValidateXrtFldMultiTypeList)
	STUB(UxValidateXrtFldNegFormat)
	STUB(UxValidateXrtFldRange)
	STUB(UxValidateXrtFldSearchPolicy)
	STUB(UxValidateXrtFldSpinArrowLayout)
	STUB(UxValidateXrtFldSpinType)
	STUB(UxValidateXrtFldPopupType)
	STUB(UxValidateXrtFldSpinPolicy)

	/* XrtGear Specific functions */

	STUB(UxValuesOfXrtGearAlignerAlignment)
	STUB(UxValuesOfXrtGearAlignment)
	STUB(UxValuesOfXrtGearAnchorSide)
	STUB(UxValuesOfXrtGearBorderType)
	STUB(UxValuesOfXrtGearChildType)
	STUB(UxValuesOfXrtGearIndicator)
	STUB(UxValuesOfXrtGearMask)
	STUB(UxValuesOfXrtGearIndicatorPixmapList)
	STUB(UxValuesOfXrtGearIndicatorMaskList)
	STUB(UxValuesOfXrtGearPageAttachPolicy)
	STUB(UxValuesOfXrtGearPSFontMapList)
	STUB(UxValuesOfXrtGearPixmap)
	STUB(UxValuesOfXrtGearRotation)
	STUB(UxValuesOfXrtGearTabSide)
	STUB(UxValuesOfXrtGearStringLayout)
	STUB(UxValuesOfXrtGearStyle)
	STUB(UxValuesOfXrtGearType)
	STUB(UxValuesOfXrtGearDouble)

	STUB(UxValuesOfXrtGearArrowType)
	STUB(UxValuesOfXrtGearMenuAlignment)
	STUB(UxValuesOfXrtGearProgressType)
	STUB(UxValuesOfXrtGearBorderLocation)
	STUB(UxValuesOfXrtGearColumnResizePolicy)
	STUB(UxValuesOfXrtGearDisplayPolicy)
	STUB(UxValuesOfXrtGearImportPolicy)
	STUB(UxValuesOfXrtGearIndentPolicy)
	STUB(UxValuesOfXrtGearLineStyle)
	STUB(UxValuesOfXrtGearNodeMovePolicy)
	STUB(UxValuesOfXrtGearSelectionPolicy)
	STUB(UxValuesOfXrtGearSearchPolicy)
	STUB(UxValuesOfXrtGearSizingPolicy)
	STUB(UxValuesOfXrtGearTextClipPolicy)
	STUB(UxValuesOfXrtGearWidgetResizePolicy)
	STUB(UxValuesOfXrtGearString)
	STUB(UxValuesOfXrtGearIcon)
	STUB(UxValuesOfXrtGearFolderStateMask)
	STUB(UxValuesOfXrtGearSelectionRestrictions)
	STUB(UxValuesOfXrtGearPickListIndex)
	STUB(UxValuesOfXrtGearEditType)

	STUB(UxValidateXrtGearAlignerAlignment)
	STUB(UxValidateXrtGearAlignment)
	STUB(UxValidateXrtGearAnchorSide)
	STUB(UxValidateXrtGearBorderType)
	STUB(UxValidateXrtGearChildType)
	STUB(UxValidateXrtGearIndicator)
	STUB(UxValidateXrtGearPageAttachPolicy)
	STUB(UxValidateXrtGearPagePosition)
	STUB(UxValidateXrtGearRotation)
	STUB(UxValidateXrtGearTabSide)
	STUB(UxValidateXrtGearStringLayout)
	STUB(UxValidateXrtGearStyle)
	STUB(UxValidateXrtGearType)

	STUB(UxValidateXrtGearArrowType)
	STUB(UxValidateXrtGearMenuAlignment)
	STUB(UxValidateXrtGearProgressType)
	STUB(UxValidateXrtGearBorderLocation)
	STUB(UxValidateXrtGearColumnResizePolicy)
	STUB(UxValidateXrtGearDisplayPolicy)
	STUB(UxValidateXrtGearImportPolicy)
	STUB(UxValidateXrtGearIndentPolicy)
	STUB(UxValidateXrtGearLineStyle)
	STUB(UxValidateXrtGearNodeMovePolicy)
	STUB(UxValidateXrtGearSelectionPolicy)
	STUB(UxValidateXrtGearSearchPolicy)
	STUB(UxValidateXrtGearSizingPolicy)
	STUB(UxValidateXrtGearWidgetResizePolicy)
	STUB(UxValidateXrtGearTextClipPolicy)
	STUB(UxValidateXrtGearPickListIndex)
	STUB(UxValidateXrtGearEditType)

	/* XRT/graph specific functions */

	STUB(UxValuesOfFloat)
	STUB(UxValuesOfXrtGphAdjust)
	STUB(UxValuesOfXrtGphAlign)
	STUB(UxValuesOfXrtGphAnchor)
	STUB(UxValuesOfXrtGphAngleUnit)
	STUB(UxValuesOfXrtGphBorder)
	STUB(UxValuesOfXrtGphData)
	STUB(UxValuesOfXrtGphDataStyle)
	STUB(UxValuesOfXrtGphDataStyles)
	STUB(UxValuesOfXrtGphMarkerMethod)
	STUB(UxValuesOfXrtGphPieOrder)
	STUB(UxValuesOfXrtGphPieThrMethod)
	STUB(UxValuesOfXrtGphRotate)
	STUB(UxValuesOfXrtGphShading)
	STUB(UxValuesOfXrtGphStrings)
	STUB(UxValuesOfXrtGphTimeUnit)
	STUB(UxValuesOfXrtGphType)
	STUB(UxValuesOfXrtGphValueLabels)
	STUB(UxValuesOfXrtGphAnnotationMethod)
	STUB(UxValuesOfXrtGphAnnoPlacement)
	STUB(UxValuesOfXrtGphOriginPlacement)
	STUB(UxValuesOfXrtGphNumMethod)
	STUB(UxValuesOfXrtGphBubbleMethod)
	STUB(UxValuesOfXrtGphImage)
	STUB(UxValuesOfXrtGphImageLayout)

	STUB(UxValidateXrtGphAdjust)
	STUB(UxValidateXrtGphAlign)
	STUB(UxValidateXrtGphAnchor)
	STUB(UxValidateXrtGphAngleUnit)
	STUB(UxValidateXrtGphBorder)
	STUB(UxValidateXrtGphData)
	STUB(UxValidateXrtGphMarkerMethod)
	STUB(UxValidateXrtGphPieOrder)
	STUB(UxValidateXrtGphPieThrMethod)
	STUB(UxValidateXrtGphRotate)
	STUB(UxValidateXrtGphShading)
	STUB(UxValidateXrtGphTimeUnit)
	STUB(UxValidateXrtGphType)
	STUB(UxValidateXrtGphAnnotationMethod)
	STUB(UxValidateXrtGphAnnoPlacement)
	STUB(UxValidateXrtGphOriginPlacement)
	STUB(UxValidateXrtGphNumMethod)
	STUB(UxValidateXrtGphBubbleMethod)
	STUB(UxValidateXrtGphImage)
	STUB(UxValidateXrtGphImageLayout)

	/* XrtTable Specific functions */

	STUB(UxValuesOfXrtTblAlignment)
	STUB(UxValuesOfXrtTblAlignmentSeries)
	STUB(UxValuesOfXrtTblAttachment)
	STUB(UxValuesOfXrtTblBooleanSeries)
	STUB(UxValuesOfXrtTblBorderSides)
	STUB(UxValuesOfXrtTblBorderSidesSeries)
	STUB(UxValuesOfXrtTblBorderType)
	STUB(UxValuesOfXrtTblBorderTypeSeries)
	STUB(UxValuesOfXrtTblCase)
	STUB(UxValuesOfXrtTblCaseSeries)
	STUB(UxValuesOfXrtTblCellSizeSeries)
	STUB(UxValuesOfXrtTblCellValues)
	STUB(UxValuesOfXrtTblColorSeries)
	STUB(UxValuesOfXrtTblColumnPlacement)
	STUB(UxValuesOfXrtTblContext)
	STUB(UxValuesOfXrtTblCursor)
	STUB(UxValuesOfXrtTblDataType)
	STUB(UxValuesOfXrtTblDataTypeSeries)
	STUB(UxValuesOfXrtTblDispScrollBar)
	STUB(UxValuesOfXrtTblDoubleBuffer)
	STUB(UxValuesOfXrtTblFontList)
	STUB(UxValuesOfXrtTblFontListSeries)
	STUB(UxValuesOfXrtTblIntSeries)
	STUB(UxValuesOfXrtTblJumpScroll)
	STUB(UxValuesOfXrtTblLabelBorderType)
	STUB(UxValuesOfXrtTblLocation)
	STUB(UxValuesOfXrtTblMode)
	STUB(UxValuesOfXrtTblOverflow)
	STUB(UxValuesOfXrtTblOverflowSeries)
	STUB(UxValuesOfXrtTblPixel)
	STUB(UxValuesOfXrtTblPixmap)
	STUB(UxValuesOfXrtTblPixmapLayout)
	STUB(UxValuesOfXrtTblPixmapLayoutSeries)
	STUB(UxValuesOfXrtTblPixmapSeries)
	STUB(UxValuesOfXrtTblPSFontMapList)
	STUB(UxValuesOfXrtTblRange)
	STUB(UxValuesOfXrtTblRangeList)
	STUB(UxValuesOfXrtTblRepaint)
	STUB(UxValuesOfXrtTblResize)
	STUB(UxValuesOfXrtTblRotation)
	STUB(UxValuesOfXrtTblRowPlacement)
	STUB(UxValuesOfXrtTblSBPosition)
	STUB(UxValuesOfXrtTblSelectionPolicy)
	STUB(UxValuesOfXrtTblStringSeries)
	STUB(UxValuesOfXrtTblStringTable)
	STUB(UxValuesOfXrtTblValidatePolicy)
	STUB(UxValuesOfXrtTblWidgetSeries)
	STUB(UxValuesOfXrtTblXmStringGetMode)
	STUB(UxValuesOfXrtTblXmStringList)
	STUB(UxValuesOfXrtTblXmStringSetMode)
	STUB(UxValuesOfXrtTblCurrencyPickList)
	STUB(UxValuesOfXrtTblCurrencyPickListSeries)
	STUB(UxValuesOfXrtTblDatePickList)
	STUB(UxValuesOfXrtTblDatePickListSeries)
	STUB(UxValuesOfXrtTblFloatPickList)
	STUB(UxValuesOfXrtTblFloatPickListSeries)
	STUB(UxValuesOfXrtTblIntPickList)
	STUB(UxValuesOfXrtTblIntPickListSeries)
	STUB(UxValuesOfXrtTblPreviewScrolling)
	STUB(UxValuesOfXrtTblSensitiveSeries)
	STUB(UxValuesOfXrtTblStringPickList)
	STUB(UxValuesOfXrtTblStringPickListSeries)

	STUB(UxValidateXrtTblAlignment)
	STUB(UxValidateXrtTblAttachment)
	STUB(UxValidateXrtTblBorderSides)
	STUB(UxValidateXrtTblBorderType)
	STUB(UxValidateXrtTblCase)
	STUB(UxValidateXrtTblCellValues)
	STUB(UxValidateXrtTblColumnPlacement)
	STUB(UxValidateXrtTblDataType)
	STUB(UxValidateXrtTblDispScrollBar)
	STUB(UxValidateXrtTblDoubleBuffer)
	STUB(UxValidateXrtTblLabelBorderType)
	STUB(UxValidateXrtTblLocation)
	STUB(UxValidateXrtTblMode)
	STUB(UxValidateXrtTblJumpScroll)
	STUB(UxValidateXrtTblOverflow)
	STUB(UxValidateXrtTblPixmapLayout)
	STUB(UxValidateXrtTblRepaint)
	STUB(UxValidateXrtTblResize)
	STUB(UxValidateXrtTblRotation)
	STUB(UxValidateXrtTblRowPlacement)
	STUB(UxValidateXrtTblSelectionPolicy)
	STUB(UxValidateXrtTblSBPosition)
	STUB(UxValidateXrtTblValidatePolicy)
	STUB(UxValidateXrtTblXmStringGetMode)
	STUB(UxValidateXrtTblXmStringSetMode)
	STUB(UxValidateXrtTblCurrencyPickList)
	STUB(UxValidateXrtTblCurrencyPickListSeries)
	STUB(UxValidateXrtTblDatePickList)
	STUB(UxValidateXrtTblDatePickListSeries)
	STUB(UxValidateXrtTblFloatPickList)
	STUB(UxValidateXrtTblFloatPickListSeries)
	STUB(UxValidateXrtTblIntPickList)
	STUB(UxValidateXrtTblIntPickListSeries)
	STUB(UxValidateXrtTblPreviewScrolling)
	STUB(UxValidateXrtTblSensitiveSeries)
	STUB(UxValidateXrtTblStringPickList)
	STUB(UxValidateXrtTblStringPickListSeries)

	/* XrtGauge Specific functions */

	STUB(UxValuesOfXrtGaAlignment)
	STUB(UxValuesOfXrtGaBorder)
	STUB(UxValuesOfXrtGaCalcMode)
	STUB(UxValuesOfXrtGaDirection)
	STUB(UxValuesOfXrtGaDisplayMode)
	STUB(UxValuesOfXrtGaDouble)
	STUB(UxValuesOfXrtGaImage)
	STUB(UxValuesOfXrtGaImageLayout)
	STUB(UxValuesOfXrtGaIndicatorType)
	STUB(UxValuesOfXrtGaInteractionType)
	STUB(UxValuesOfXrtGaLinePattern)
	STUB(UxValuesOfXrtGaMarkerType)
	STUB(UxValuesOfXrtGaNeedleType)
	STUB(UxValuesOfXrtGaObject)
	STUB(UxValuesOfXrtGaObjectList)
	STUB(UxValuesOfXrtGaOffsetType)
	STUB(UxValuesOfXrtGaShape)
	STUB(UxValuesOfXrtGaSizingPolicy)
	STUB(UxValuesOfXrtGaStringMode)
	STUB(UxValuesOfXrtGaSwitchType)
	STUB(UxValuesOfXrtGaTickType)
	STUB(UxValuesOfXrtGaValueType)

	STUB(UxValidateXrtGaAlignment)
	STUB(UxValidateXrtGaBorder)
	STUB(UxValidateXrtGaCalcMode)
	STUB(UxValidateXrtGaDirection)
	STUB(UxValidateXrtGaDisplayMode)
	STUB(UxValidateXrtGaImageLayout)
	STUB(UxValidateXrtGaIndicatorType)
	STUB(UxValidateXrtGaInteractionType)
	STUB(UxValidateXrtGaLinePattern)
	STUB(UxValidateXrtGaMarkerType)
	STUB(UxValidateXrtGaNeedleType)
	STUB(UxValidateXrtGaObject)
	STUB(UxValidateXrtGaObjectList)
	STUB(UxValidateXrtGaOffsetType)
	STUB(UxValidateXrtGaShape)
	STUB(UxValidateXrtGaSizingPolicy)
	STUB(UxValidateXrtGaStringMode)
	STUB(UxValidateXrtGaSwitchType)
	STUB(UxValidateXrtGaTickType)
	STUB(UxValidateXrtGaValueType)

/*
 * stub XRT popup editors
 */
	STUB(UxPopupXrtData)
	STUB(UxPopupXrt3dSurfaceData)
	STUB(UxPopupXrt3dZoneData)
	STUB(UxPopupXrt3dDistnTable)
	STUB(UxPopupXrt3dContourStyles)
	STUB(UxPopupXrtTblCellValues)
	STUB(UxPopupXrtTreeEd)

	STUB(UxPopupXrtTblAlignmentSeriesEditor)
	STUB(UxPopupXrtTblBooleanSeriesEditor)
	STUB(UxPopupXrtTblColorSeriesEditor)
	STUB(UxPopupXrtTblFontSeriesEditor)
	STUB(UxPopupXrtTblPixmapSeriesEditor)
	STUB(UxPopupXrtTblBorderSideSeriesEditor)
	STUB(UxPopupXrtTblBorderTypeSeriesEditor)
	STUB(UxPopupXrtTblCaseSeriesEditor)
	STUB(UxPopupXrtTblDataTypeSeriesEditor)
	STUB(UxPopupXrtTblSeriesEditor)
	STUB(UxPopupXrtTblOverflowSeriesEditor)
	STUB(UxPopupXrtTblPixmapLayoutSeriesEditor)

/*
 * stub out functions from gear tools used by Print Popup for Snapshot
 */
    STUB(MtGetShell)
    STUB(MtGearCreatePrintWidgetPage)
    STUB(MtCreatePopupShell)

	long UxDisplay;
