/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/table widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtTbl_conf.c	1.8    95/10/12 KL Group Inc.
 */

/******************************************************************************
				XrtTbl_conf.c
******************************************************************************/

#include <Xm/XrtTable.h>

#ifndef	UXREGFUNC
# ifdef __STDC__
#  define UXREGFUNC(func)	UxRegisterFunction( #func, func)
# else
#  define UXREGFUNC(func)	UxRegisterFunction( "func", func)
# endif
#endif

XrtTbl_register_functions()
{
	UXREGFUNC( XrtTblAddColumns );
	UXREGFUNC( XrtTblAddRows );
	UXREGFUNC( XrtTblCancelEdit );
	UXREGFUNC( XrtTblCheckIsBoolean );
	UXREGFUNC( XrtTblCheckIsEmpty );
	UXREGFUNC( XrtTblCheckIsDouble );
	UXREGFUNC( XrtTblCheckIsFloat );
	UXREGFUNC( XrtTblCheckIsInt );
	UXREGFUNC( XrtTblCheckDispatcher );
	UXREGFUNC( XrtTblCommitEdit );
	UXREGFUNC( XrtTblCreateSpreadsheetLabel );
	UXREGFUNC( XrtTblCvtEnumToString );
	UXREGFUNC( XrtTblCvtPixelToString );
	UXREGFUNC( XrtTblCvtXmStringToString );
	UXREGFUNC( XrtTblDeleteColumns );
	UXREGFUNC( XrtTblDeleteRows );
	UXREGFUNC( XrtTblDrawPS );
	UXREGFUNC( XrtTblRangeListCopy );
	UXREGFUNC( XrtTblRangeListFree );
	UXREGFUNC( XrtTblRangeListAdd );
	UXREGFUNC( XrtTblRangeListDelete );
	UXREGFUNC( XrtTblFlash );
	UXREGFUNC( XrtTblRepaintRange );
	UXREGFUNC( XrtTblSyncScrolling );
	UXREGFUNC( XrtTblEventToRowCol );
	UXREGFUNC( XrtTblGetRowColByWidget );
	UXREGFUNC( XrtTblGetCellDimensions );
	UXREGFUNC( XrtTblGetRowColLocation );
	UXREGFUNC( XrtTblGetCellValuesSize );
	UXREGFUNC( XrtTblGetCurrentCell );
	UXREGFUNC( XrtTblGetRangeSize );
	UXREGFUNC( XrtTblGetSelectedRange );
	UXREGFUNC( XrtTblGetWidgetByRowCol );
	UXREGFUNC( XrtTblIsCellSelected );
	UXREGFUNC( XrtTblIsCellVisible );
	UXREGFUNC( XrtTblIsCellTraversable );
	UXREGFUNC( XrtTblMakeCellVisible );
	UXREGFUNC( XrtTblMoveColumns );
	UXREGFUNC( XrtTblMoveRows );
	UXREGFUNC( XrtTblGetSpanByRowCol );
	UXREGFUNC( XrtTblSeriesIterate );
	UXREGFUNC( XrtTblSeriesSetValue );
/*	UXREGFUNC( XrtTblSetCellValues );
*/	
	UXREGFUNC( XrtTblSetRange );
	UXREGFUNC( XrtTblSortTable );
	UXREGFUNC( XrtTblTraverseToCell );
	UXREGFUNC( XrtTblVaDrawPS );
	UXREGFUNC( XrtTblWriteAscii );
	UXREGFUNC( XrtTblWriteSylk );
	UXREGFUNC( XmCreateXrtTable );
	UXREGFUNC( XrtTblGet3dData );
	UXREGFUNC( XrtTblGetCellValues );
	UXREGFUNC( XrtTblGetGraphData );
	UXREGFUNC( XrtTblReadAscii );
	UXREGFUNC( XrtTblSetContext );
	UXREGFUNC( XrtTblSeriesCopy );
	UXREGFUNC( XrtTblSeriesCreate );
	UXREGFUNC( XrtTblSeriesFind );
	UXREGFUNC( XrtTblDestroyCellValues );
	UXREGFUNC( XrtTblSeriesDestroy );
	UXREGFUNC( XrtTblSeriesDelete );
	UXREGFUNC( XrtTblSeriesMoveColumns );
	UXREGFUNC( XrtTblSeriesMoveRows );
	UXREGFUNC( XrtTblSetReverseConverters );
	UXREGFUNC( XrtTblSeriesAdd );
	UXREGFUNC( XrtTblSeriesAddValue );
	UXREGFUNC( XrtTblXYtoRowCol );

	UXREGFUNC( XmCreateXrtLabel );
	UXREGFUNC( XrtLblCvtPixelToString );
	UXREGFUNC( XrtLblRepaint );
	UXREGFUNC( XrtLblGetColors );
}

XrtTbl_config()
{
	/*
	 ** Calls to XtSetTypeConverter() go here
	 */

	XtInitializeWidgetClass(xtXrtTableWidgetClass);
	XtInitializeWidgetClass(xtXrtLabelWidgetClass);
	XrtTblSetReverseConverters();

	XrtTbl_register_functions();
}
